;(function ($, window, document, undefined) {
    'use strict';

    if($('.stellar-parallax').length){

        $.stellar({
            horizontalScrolling: false,
            verticalOffset: 40,
            responsive: true
        });
    }

    function mobileHeight() {
        if($('.stellar-parallax').length) {
            var headerH = $('.header_top_bg').not('.header_trans-fixed, .fixed-header').outerHeight() || 0;
            var footerH = $('#footer').not('.fix-bottom').outerHeight() || 0;
            var windowH = $(window).height();
            var offsetTop;
            var adminbarH;
            if ($('#wpadminbar').length) {
                offsetTop = headerH + $('#wpadminbar').outerHeight();
            } else {
                offsetTop = headerH;
            }

            if ($('#wpadminbar').length && $('.header_trans-fixed').length) {
                adminbarH = $('#wpadminbar').outerHeight();
            } else {
                adminbarH = 0;
            }
            if ($(window).width() < $('.main-wrapper').attr('data-top')) {

                $('.posts-list-wrap.parallax .post-item').css('height', (windowH - offsetTop - footerH) + adminbarH + 'px').addClass('fix-attach');
            } else {
                $('.posts-list-wrap.parallax .post-item').css('height', windowH).removeClass('fix-attach');
            }
        }
    }


    $(window).on('load resize orientationchange', function () {
        mobileHeight();
    });


})(jQuery, window, document);