jQuery( function( $ ) {

    $(window).on('load resize', function() {
        // make square images for inline team
        makeSquareImages( $('.team-members-wrap.inline .team-member') );
        makeSquareImages( $('.team-members-wrap.modern .member-wrap') );
    });

    if ($('.team-members-wrap.modern .team-member').length && $(window).width > 600 ) {
        $('.team-members-wrap.modern .team-member').css('height', 'auto').equalHeights();
    }else{
        $('.team-members-wrap.modern .team-member').css('height', 'auto');
    }


    function makeSquareImages( $imagesSelector ) {
        var $imagesWidth = $imagesSelector.innerWidth();
        $imagesSelector.each( function() {
            $(this).innerHeight( $imagesWidth );
        });
    }
});