;(function ($, window, document, undefined) {
  'use strict';

  // banner video full screen
  if($('.banner-video .full-button').length){
    $('.banner-video .full-button').each(function () {
      $(this).on('click', function(){
        if($(this).hasClass('on')){
          $(this).removeClass('on');
          $(this).closest('.banner-video').removeClass('full');
          $('header').show();
          $('footer:not(.no-footer)').show();
        }else{
          $(this).addClass('on');
          $(this).closest('.banner-video').addClass('full');
          $('header').hide();
          $('footer').hide();
        }
      })
    })
  }

  function visibleFull(){
    if($('.banner-video .full-button').length){
      $('header').show().closest('.header_top_bg').css('z-index', '303');
    }
  }

  $(window).on('load', function () {
    if($('.banner-video .full-button').length){
      $('.banner-video .full-button').addClass('on');
      $('.banner-video .full-button').closest('.banner-video').addClass('full');
      $('header').hide();
      $('footer').hide();
    }
    setTimeout (visibleFull, 3000)
  });




    if($('.video').length) {
        $('.play').each(function() {
            $(this).magnificPopup({
                disableOn: 700,
                type: 'iframe',
                mainClass: 'mfp-fade',
                removalDelay: 160,
                preloader: false,
                fixedContentPos: true,
                fixedBgPos: true
            });
        });
    }






    if ($('.video-banner-centered-modern .preview').length) {

        if ($(window).width() > 767) {

            $('.video-banner-centered-modern').each(function () {

                var items = $(this).find('.prev-wrap');
                items.each(function () {
                    var id = $(this).attr('id');
                    var scene = document.getElementById(id);
                    var parallaxInstance = new Parallax(scene, {
                        relativeInput: false,
                        clipRelativeInput: false,
                        calibrationThreshold: 100,
                        calibrationDelay: 500,
                        supportDelay: 500,
                        calibrateX: true,
                        calibrateY: false,
                        invertX: true,
                        invertY: true,
                        limitX: false,
                        limitY: false,
                        scalarX: 5.0,
                        scalarY: 5.0,
                        frictionX: 0.1,
                        frictionY: 0.1,
                        originX: 0.5,
                        originY: 0.5,
                        hoverOnly: true
                    });
                });
            });
        }
    }




})(jQuery, window, document);