<?php

function phoxy_reset_default_templates( $data ) {
	return array();
}
add_filter( 'vc_load_default_templates', 'phoxy_reset_default_templates' );

function phoxy_vc_templates(){

	$templates = array();

	//Category About
//	About (Simple)
	$data = array();
	$data['name'] = esc_html__( 'About (Simple)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/about/simple.jpg' );
	$data['sort_name'] = 'About';
	$data['custom_class'] = 'general about';
	$data['content'] = <<<CONTENT
[vc_row equal_height="yes" content_placement="middle" desctop_mt="margin-lg-135t" tablets_mt="margin-sm-105t" mobile_mt="margin-xs-5t" mobile_mb="margin-xs-0b" css=".vc_custom_1538564575192{background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}"][vc_column width="1/2" offset="vc_col-lg-6 vc_col-md-6" css=".vc_custom_1538564377146{padding-top: 0px !important;}"][phoxy_about style="simple" button="|||"]
<h3>hi there, we are Phoxy</h3>
Pellentesque tempor tristique mauris, sit amet rutrum nunc faucibus ac. Vestibulum in augue quis ipsum commodo lacinia. Vivamus tempor urna dui, in auctor elit finibus non. Ut luctus eget eros in tempus. Class aptent taciti sociosqu ad litora torquent per conubia nostra.[/phoxy_about][/vc_column][vc_column width="1/2" offset="vc_col-lg-offset-1 vc_col-lg-5 vc_col-md-offset-0 vc_col-md-6 vc_hidden-xs" css=".vc_custom_1538564383204{padding-top: 0px !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}"][vc_single_image image="7012" img_size="large"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Banners
//	Image Banner (Classic)
	$data = array();
	$data['name'] = esc_html__( 'Image Banner (Classic)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/banner/classic.jpg' );
	$data['sort_name'] = 'Banners';
	$data['custom_class'] = 'general banners';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][phoxy_banner style_banner="classic" title="Welcome to Phoxy Photography! We're glad you're here." image="7013" bg_color="#222222"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Banners
//	Image Banner (Full wall)
	$data = array();
	$data['name'] = esc_html__( 'Image Banner (Full wall)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/banner/full-wall.jpg' );
	$data['sort_name'] = 'Banners';
	$data['custom_class'] = 'general banners';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][phoxy_banner style_banner="full_wall" animation_text="life.,action.,emotion." title="hi. i am a photographer. i capture" images="3032,3430,3514,3526,3520,3517,4423,4287,4284,4765,4763,5968,3521,3527,3515,3427,3046,3050,3049,3034,3054,3085,3100,3103,3433,3518,6719,6720,6721,6722,6723,6724,6725,6726,6727,6728,6729,6730,6731,6732,6733,6734,6735,6736,6737,6738,6739,6740,6741"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Banners
//	Image Banner (Simple)
	$data = array();
	$data['name'] = esc_html__( 'Image Banner (Simple)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/banner/simple.jpg' );
	$data['sort_name'] = 'Banners';
	$data['custom_class'] = 'general banners';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][phoxy_banner style="center_content" overlay="yes" title="3D Cover" image="4297"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Banners
//	Banner Slider (Supersized slider)
	$data = array();
	$data['name'] = esc_html__( 'Banner Slider (Supersized slider)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/banner_slider/supersized-slider.jpg' );
	$data['sort_name'] = 'Banners';
	$data['custom_class'] = 'general banners';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][banner_slider type_slider="supersized_slider" autoplay="6" speed="1500"][banner_slider_items option_style="supersized_slider" subtitle="our greatest ambition is to create powerful images that commemorate, across generations, the people we love and the good times we have had" title="INSPIRATION" btn_style="a-btn-4" image="6727" button="url:http%3A%2F%2Fw4.themedemo.co%2Fphoxy%2Fcontact-us%2F|title:Contact%20Us||"][banner_slider_items option_style="supersized_slider" subtitle="you can see our special love for shine light, medium format film cameras &amp; redheads with freckles" title="FASHION STYLE" btn_style="a-btn-4" image="6738" button="url:http%3A%2F%2Fw4.themedemo.co%2Fphoxy%2Fcontact-us%2F|title:See%20Us||"][banner_slider_items option_style="supersized_slider" subtitle="with over 5 years of experience, numerous workshops and features in top wedding publications" title="ART PHOTOGRAPHY" btn_style="a-btn-4" image="6719" button="url:http%3A%2F%2Fw4.themedemo.co%2Fphoxy%2Fcontact-us%2F|title:Fire%20us||"][/banner_slider][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Banners
//	Banner Slider (Supersized slider)
	$data = array();
	$data['name'] = esc_html__( 'Banner Slider (Modern slider)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/banner_slider/modern.jpg' );
	$data['sort_name'] = 'Banners';
	$data['custom_class'] = 'general banners';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces" desctop_mb="margin-lg-90b" desctop_md_mb="margin-md-70b" tablets_mb="margin-sm-50b" mobile_mb="margin-xs-25b"][vc_column][banner_slider type_slider="modern" autoplay="5000" speed="1000"][banner_slider_items option_style="modern" subtitle="Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin sit amet enim at quam maximus fringilla vitae ut nulla. Donec sagittis viverra odio, et consectetur lorem efficitur sit amet. Maecenas consectetur ligula quis metus lobortis, quis lobortis arcu lobortis." title="Great implementation of your ideas" image="6738" button="url:http%3A%2F%2Flocalhost%3A8888%2Fphoxy.loc%2Fshop%2F|title:view%20more||"][banner_slider_items option_style="modern" subtitle="Proin sit amet enim at quam maximus fringilla vitae ut nulla. Donec sagittis viverra odio, et consectetur lorem efficitur sit amet. Maecenas consectetur ligula quis metus lobortis, quis lobortis arcu lobortis. Lorem ipsum dolor sit amet, consectetur adipiscing elit." title="Focus on your strong sides" image="7883" button="url:http%3A%2F%2Flocalhost%3A8888%2Fphoxy.loc%2Fshop%2F|title:view%20more||"][banner_slider_items option_style="modern" subtitle="Maecenas consectetur ligula quis metus lobortis, quis lobortis arcu lobortis. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin sit amet enim at quam maximus fringilla vitae ut nulla. Donec sagittis viverra odio, et consectetur lorem efficitur sit amet." title="For your creative presentation" image="7884" button="url:http%3A%2F%2Flocalhost%3A8888%2Fphoxy.loc%2Fshop%2F|title:view%20more||"][/banner_slider][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Buttons
//	Buttons (Dark)
	$data = array();
	$data['name'] = esc_html__( 'Buttons (Dark)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/buttons/dark.jpg' );
	$data['sort_name'] = 'Buttons';
	$data['custom_class'] = 'general buttons';
	$data['content'] = <<<CONTENT
[vc_row desctop_mb="margin-lg-60b" mobile_mb="margin-xs-40b"][vc_column][phoxy_button button="url:%23|title:Dark||"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Buttons
//	Buttons (Light)
	$data = array();
	$data['name'] = esc_html__( 'Buttons (Light)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/buttons/light.jpg' );
	$data['sort_name'] = 'Buttons';
	$data['custom_class'] = 'general buttons';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces" desctop_mb="margin-lg-60b" mobile_mb="margin-xs-40b"][vc_column css=".vc_custom_1527862172186{padding-bottom: 35px !important;background-color: #999999 !important;}"][phoxy_button style="a-btn-2" button="url:%23|title:Light||"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Buttons
//	Buttons (Grey)
	$data = array();
	$data['name'] = esc_html__( 'Buttons (Grey)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/buttons/grey.jpg' );
	$data['sort_name'] = 'Buttons';
	$data['custom_class'] = 'general buttons';
	$data['content'] = <<<CONTENT
[vc_row desctop_mb="margin-lg-60b" mobile_mb="margin-xs-40b"][vc_column][phoxy_button style="a-btn-3" button="url:%23|title:Grey||"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Buttons
//	Buttons (White)
	$data = array();
	$data['name'] = esc_html__( 'Buttons (White)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/buttons/white.jpg' );
	$data['sort_name'] = 'Buttons';
	$data['custom_class'] = 'general buttons';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces" desctop_mb="margin-lg-60b" mobile_mb="margin-xs-40b"][vc_column css=".vc_custom_1527862124331{padding-bottom: 35px !important;background-color: #222222 !important;}"][phoxy_button style="a-btn-4" button="url:%23|title:White||"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Clients
//	Clients (Classic)
	$data = array();
	$data['name'] = esc_html__( 'Clients (Classic)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/clients/classic.jpg' );
	$data['sort_name'] = 'Clients';
	$data['custom_class'] = 'general clients';
	$data['content'] = <<<CONTENT
[vc_row desctop_mb="margin-lg-115b" desctop_md_mb="margin-md-100b" tablets_mb="margin-sm-95b" mobile_mb="margin-xs-60b"][vc_column][phoxy_clients clients="amanda-carson,annie-herrera,gabriel-campbell,lula-klein,robin-ellis,shari-santos" columns_number="col-xs-12 col-sm-6 col-md-4"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Coming soon
//	Coming soon (Classic)
	$data = array();
	$data['name'] = esc_html__( 'Coming soon (Classic)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/coming_soon/classic.jpg' );
	$data['sort_name'] = 'Coming soon';
	$data['custom_class'] = 'general coming-soon';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row" full_height="yes" content_placement="middle" enable_ovarlay="true" desctop_lg_pt="padding-lg-80t" desctop_lg_pb="padding-lg-80b" tablets_pt="padding-sm-0t" tablets_pb="padding-sm-0b" css=".vc_custom_1536941410891{background-image: url(http://w4.themedemo.co/phoxy/wp-content/uploads/2018/09/photo-1491956142110-8a4226a12077-1.jpg?id=6905) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}"][vc_column][phoxy_coming_soon title="Something awesome in the works." subtitle="You can subscribe us to get when our website is ready." date="2019/01/01 00:00" btn_style="btn-style-2" days="Days" hours="Hours" minutes="Minutes" seconds="Seconds" days_mobile="D" hours_mobile="H" minutes_mobile="Min" seconds_mobile="Sec" form="5086"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Contacts
//	Contacts (Content with parallax)
	$data = array();
	$data['name'] = esc_html__( 'Contacts (Content with parallax)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/contacts/content-with-parallax.jpg' );
	$data['sort_name'] = 'Contacts';
	$data['custom_class'] = 'general contacts';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][phoxy_contacts style="parallax_content" image="7108"]
<h3>About Me</h3>
During your engagement shoot or portrait session I will assist and direct you through posing and expression to get you and your fiancée / partner comfortable in front of the camera so we can incorporate both posed and natural moments on your special day.

From a fashion forward shoot to a more reserved traditional style, I am here for you.
<blockquote>It takes a lot of imagination to be a good photographer. Everything is so ordinary..</blockquote>
I love trying creative things in a fast paced environment. I adapt to any given situation and try to bring the beauty out that is already there. This is your day, lets have fun with it and make memories.

I have won a boatload of awards for my work, and I’m grateful for every single one of them, but I’ve always been unsure of whether I earned them or whether the jury was rigged.<span class="Apple-converted-space">  </span>

<span class="Apple-converted-space">By now I am literally addicted to making photos…for which there is no known cure, except to make more.</span>
<div class="gridable gridable--row">
<div class="gridable--col col-6">
<h6>Client List</h6>
<span class="Apple-converted-space">Able Jeans, Ann Taylor, Bloomingdale’s, Cole Haan, Emanuel Ungaro, Lord &amp; Taylor, Nexxus, Nike, Nordstrom, Pantene, Target, Theory, Tommy Bahama and Tory Burch.</span></div>
<div class="gridable--col col-6">
<h6>Editorial Includes</h6>
Grazia, Harper’s Bazaar KZ, L’Officiel (ME, Ukraine), Marie Claire, No Tofu, Schön!, Sportswear International, Vanity Fair Italia, Vman and Vogue Nippon.</div>
</div>
[/phoxy_contacts][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Contacts
//	Contacts (Custom info)
	$data = array();
	$data['name'] = esc_html__( 'Contacts (Custom info)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/contacts/custom-info.jpg' );
	$data['sort_name'] = 'Contacts';
	$data['custom_class'] = 'general contacts';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][phoxy_contacts style="custom_info" address_info="%5B%7B%22address%22%3A%22Via%20Cesare%20Rosaroll%20st.%20118%2C%2080139%20Sofia%22%7D%5D" email_info="%5B%7B%22email%22%3A%22phoxy%40info.com%22%7D%5D" phone_info="%5B%7B%22phone%22%3A%22%2B759%20933%2043%2045%22%7D%5D"]Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque facilisis elementum laoreet. Vivamus vestibulum facilisis tortor non pellentesque. Etiam porttitor augue a iaculis bibendum. Nulla vitae metus non orci porta auctor nec eu ipsum.

In vitae feugiat mauris. Cras placerat dolor sed leo dictum, id sodales felis vestibulum. Ut imperdiet pharetra neque vitae sodales. Curabitur at magna pulvinar, porta odio in.[/phoxy_contacts][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Contacts
//	Contacts (Info with form)
	$data = array();
	$data['name'] = esc_html__( 'Contacts (Info with form)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/contacts/info-with-form.jpg' );
	$data['sort_name'] = 'Contacts';
	$data['custom_class'] = 'general contacts';
	$data['content'] = <<<CONTENT
[vc_row desctop_mb="margin-lg-110b" tablets_mb="margin-sm-60b" mobile_mb="margin-xs-40b"][vc_column css_animation="none"][phoxy_contacts style="info_with_form" address_info="%5B%7B%22address%22%3A%2214%20Tottenham%20Road%2C%20%5CnLondon%2C%20England%22%7D%5D" form="3290"]<a href="mailto:info@yourdomain.comain.com">info@yourdomain.com</a>

<a href="tel:(+68) 12004509">(+68) 12004509</a>[/phoxy_contacts][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Portfolio
//	Exhibition portfolio (Classic)
	$data = array();
	$data['name'] = esc_html__( 'Exhibition portfolio (Classic)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/exhibition_portfolio/classic.jpg' );
	$data['sort_name'] = 'Portfolio';
	$data['custom_class'] = 'general portfolio';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][phoxy_exhibition cats="exhibition"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Banners
//	Full screen slider (Classic)
	$data = array();
	$data['name'] = esc_html__( 'Full screen slider (Classic)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/full_screen_slider/classic.jpg' );
	$data['sort_name'] = 'Banners';
	$data['custom_class'] = 'general banners';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][full_screen_slider autoplay="5000" speed="1500" loop="true" sound_autoplay="true" slider_type="kenburn_slider" images="3517,3031,3039,3049" phoxy_file="http://w4.themedemo.co/phoxy/wp-content/uploads/2018/05/preview-2.mp3"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Gallery
//	Gallery (Fullscreen with thumbnail)
	$data = array();
	$data['name'] = esc_html__( 'Gallery (Fullscreen with thumbnail)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/gallery/phoxy-gallery-fullscreen-with-thumbnail.jpg' );
	$data['sort_name'] = 'Gallery';
	$data['custom_class'] = 'general gallery';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][phoxy_gallery type="with_thumbnile" images="6745,3050,3514,3517,4507,4508,3039,3031,6744,6747,6726,6731,6734,6723,6724,6728,4790,6730,3049,4795"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Gallery
//	Gallery (Modern)
	$data = array();
	$data['name'] = esc_html__( 'Gallery (Modern)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/gallery/phoxy-modern-gallery.jpg' );
	$data['sort_name'] = 'Gallery';
	$data['custom_class'] = 'general gallery';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][phoxy_gallery type="with_thumbnile" images="6745,3050,3514,3517,4507,4508,3039,3031,6744,6747,6726,6731,6734,6723,6724,6728,4790,6730,3049,4795"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Gallery
//	Gallery (Tilt)
	$data = array();
	$data['name'] = esc_html__( 'Gallery (Tilt)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/gallery/phoxy-tilt-gallery.jpg' );
	$data['sort_name'] = 'Gallery';
	$data['custom_class'] = 'general gallery';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content"][vc_column][phoxy_gallery type="tilt_gallery" images="4503,4512,4506,4504,4508,4510,4511,4509,8000,7997,7998,8001"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Gallery
//	Gallery (Adjusted Grid)
	$data = array();
	$data['name'] = esc_html__( 'Gallery (Adjusted Grid)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/gallery/phoxy-adjusted-grid.jpg' );
	$data['sort_name'] = 'Gallery';
	$data['custom_class'] = 'general gallery';
	$data['content'] = <<<CONTENT
[vc_row][vc_column][phoxy_gallery type="adjusted_grid" images="6723,6729,6726,6806,7202,6810,6734,6733,3030,4278,3533,7097"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Category Gallery
//	Gallery (Glitch gallery)
	$data = array();
	$data['name'] = esc_html__( 'Gallery (Glitch gallery)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/gallery/phoxy-gallery-glitch.jpg' );
	$data['sort_name'] = 'Gallery';
	$data['custom_class'] = 'general gallery';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][phoxy_gallery type="glitch" images="4503,4512,4504,4510,4506,4508,6739,4511"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Gallery
//	Gallery (Simple slider)
	$data = array();
	$data['name'] = esc_html__( 'Gallery (Simple slider)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/gallery/phoxy-gallery-simple-slider.jpg' );
	$data['sort_name'] = 'Gallery';
	$data['custom_class'] = 'general gallery';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][phoxy_gallery type="simple_slider" images="6713,6714,6715,6716,6717"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Gallery
//	Gallery (Slider transition)
	$data = array();
	$data['name'] = esc_html__( 'Gallery (Slider transition)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/gallery/phoxy-gallery-slider-transition.jpg' );
	$data['sort_name'] = 'Gallery';
	$data['custom_class'] = 'general gallery';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][phoxy_gallery type="slider_transition" images="6744,6745,6747"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Headings
//	Headings (Simple)
	$data = array();
	$data['name'] = esc_html__( 'Headings (Simple)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/headings/simple.jpg' );
	$data['sort_name'] = 'Headings';
	$data['custom_class'] = 'general headings';
	$data['content'] = <<<CONTENT
[vc_row desctop_mt="margin-lg-105t" desctop_mb="margin-lg-120b" desctop_md_mt="margin-md-70t" desctop_md_mb="margin-md-90b" tablets_mt="margin-sm-60t" tablets_mb="margin-sm-70b" mobile_mt="margin-xs-30t" mobile_mb="margin-xs-50b"][vc_column css=".vc_custom_1525961139882{padding-top: 0px !important;}"][phoxy_headings style="simple" title="Hey Phoxy, Welcome" subtitle="See our best fine-art, wedding &amp; portrait photos Oregon"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Headings
//	Headings (Text center align)
	$data = array();
	$data['name'] = esc_html__( 'Headings (Text center align)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/headings/text_center_align.jpg' );
	$data['sort_name'] = 'Headings';
	$data['custom_class'] = 'general headings';
	$data['content'] = <<<CONTENT
[vc_row desctop_lg_pt="padding-lg-105t" desctop_lg_pb="padding-lg-80b" desctop_pt="padding-md-105t" desctop_pb="padding-md-80b" tablets_pt="padding-sm-75t" tablets_pb="padding-sm-60b" mobile_pt="padding-xs-10t" mobile_pb="padding-xs-20b"][vc_column css=".vc_custom_1538564466182{padding-top: 0px !important;}"][phoxy_headings style="text_center" title="we present our team" subtitle="our team" animation_fade="true"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Headings
//	Headings (Text with button (modern))
	$data = array();
	$data['name'] = esc_html__( 'Headings (Text with button (modern))', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/headings/text-with-button-modern.jpg' );
	$data['sort_name'] = 'Headings';
	$data['custom_class'] = 'general headings';
	$data['content'] = <<<CONTENT
[vc_row desctop_mt="margin-lg-120t" desctop_mb="margin-lg-85b" tablets_mt="margin-sm-80t" tablets_mb="margin-sm-45b" mobile_mt="margin-xs-40t" mobile_mb="margin-xs-40b"][vc_column video_bg_url="https://www.youtube.com/watch?v=lMJXxhRFO1k" parallax_speed_video="1.5" parallax_speed_bg="1.5" width="1/1" desctop_mt="none" desctop_mb="none" desctop_md_mt="none" desctop_md_mb="none" tablets_mt="none" tablets_mb="margin-sm-80b" mobile_mt="none" mobile_mb="margin-xs-50b" desctop_lg_pt="none" desctop_lg_pb="none" desctop_pt="none" desctop_pb="none" tablets_pt="none" tablets_pb="none" mobile_pt="none" mobile_pb="none"][phoxy_headings style="text_button_modern" title="Reservation" subtitle="Aenean diam lectus, porta ut quam ut, ultricies venenatis quam. Praesent id rutrum ante. Ut consectetur, dolor a imperdiet varius, purus nunc convallis nisl, eget pretium est tortor vel urna. Donec varius lorem orci, at aliquet tellus rhoncus vel.

Donec in lorem nibh. Suspendisse dignissim leo venenatis eros blandit, et sagittis nibh iaculis. Nulla bibendum semper velit et accumsan. Suspendisse potenti.

Sed metus ac nisi maximus lacinia quis non augue. Ut justo nisl, molestie quis semper at, imperdiet ultricies mi. Phasellus condimentum hendrerit nibh, et placerat lacus suscipit quis. Proin sit amet commodo diam." animation_fade="true" button="url:http%3A%2F%2Fw4.themedemo.co%2Fphoxy%2Fcontact-us%2F|title:Contact%20us||"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Headings
//	Headings (Text with button (simple))
	$data = array();
	$data['name'] = esc_html__( 'Headings (Text with button (simple))', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/headings/text-with-button-simple.jpg' );
	$data['sort_name'] = 'Headings';
	$data['custom_class'] = 'general headings';
	$data['content'] = <<<CONTENT
[vc_row desctop_mt="margin-lg-125t" desctop_mb="margin-lg-125b" desctop_md_mt="margin-md-100t" desctop_md_mb="margin-md-100b" tablets_mt="margin-sm-80t" tablets_mb="margin-sm-80b" mobile_mt="margin-xs-10t" mobile_mb="margin-xs-60b"][vc_column][phoxy_headings style="text_button" title="about us" subtitle="My greatest ambition is to create powerful images that commemorate, across generations, the people we love and the good times we have had. Creativity, hard work and experience" button="url:http%3A%2F%2Fw4.themedemo.co%2Fphoxy%2Fcontact%2F|title:contact%20us||"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Sliders
//	Kenburns slider (Zoom effect)
	$data = array();
	$data['name'] = esc_html__( 'Kenburns slider (Zoom effect)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/ken_burn_slider/zoom.gif' );
	$data['sort_name'] = 'Banners';
	$data['custom_class'] = 'general banners';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][ken_burns_slider sound_autoplay="true" images="3039,3517,3031,6734" phoxy_file="http://w4.themedemo.co/phoxy/wp-content/uploads/2018/05/preview-2.mp3"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Banners
//	Kenburns slider (Fade effect)
	$data = array();
	$data['name'] = esc_html__( 'Kenburns slider (Fade effect)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/ken_burn_slider/fade-effect.gif' );
	$data['sort_name'] = 'Banners';
	$data['custom_class'] = 'general banners';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][ken_burns_slider type="fade-effect" hide_title="true" sound_autoplay="true" images="3514,3526,3050" phoxy_file="http://w4.themedemo.co/phoxy/wp-content/uploads/2018/05/preview-2.mp3"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Line of images
//	Line of images (Logos with link style 1)
	$data = array();
	$data['name'] = esc_html__( 'Line of images (Logos with link style 1)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/line_of_images/logos-with-link-style1.jpg' );
	$data['sort_name'] = 'Line of images';
	$data['custom_class'] = 'general line-of-images';
	$data['content'] = <<<CONTENT
[vc_row][vc_column][phoxy_line_of_images style="logos" logos="%5B%7B%22image%22%3A%224642%22%7D%2C%7B%22image%22%3A%224642%22%7D%2C%7B%22image%22%3A%224642%22%7D%2C%7B%22image%22%3A%224642%22%7D%2C%7B%22image%22%3A%224642%22%7D%5D"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Line of images
//	Line of images (Logos with link style 2)
	$data = array();
	$data['name'] = esc_html__( 'Line of images (Logos with link style 2)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/line_of_images/logos-with-link-style2.jpg' );
	$data['sort_name'] = 'Line of images';
	$data['custom_class'] = 'general line-of-images';
	$data['content'] = <<<CONTENT
[vc_row css=".vc_custom_1539849923430{background-color: #000000 !important;}"][vc_column][phoxy_line_of_images style="logos2" logos="%5B%7B%22image%22%3A%224654%22%7D%2C%7B%22image%22%3A%224654%22%7D%2C%7B%22image%22%3A%224654%22%7D%2C%7B%22image%22%3A%224654%22%7D%2C%7B%22image%22%3A%224654%22%7D%2C%7B%22image%22%3A%224654%22%7D%2C%7B%22image%22%3A%224654%22%7D%2C%7B%22image%22%3A%224654%22%7D%5D"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Line of images
//	Line of images (Logos with link style 3)
	$data = array();
	$data['name'] = esc_html__( 'Line of images (Logos with link style 3)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/line_of_images/logos-with-link-style3.jpg' );
	$data['sort_name'] = 'Line of images';
	$data['custom_class'] = 'general line-of-images';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content" desctop_mb="margin-lg-10b"][vc_column desctop_lg_pt="padding-lg-40t" desctop_lg_pb="padding-lg-40b" mobile_pt="padding-xs-30t" mobile_pb="padding-xs-30b" css=".vc_custom_1542015387889{background-color: #faf7f7 !important;}"][phoxy_line_of_images style="logos3" logos="%5B%7B%22image%22%3A%227899%22%7D%2C%7B%22image%22%3A%227900%22%7D%2C%7B%22image%22%3A%227901%22%7D%2C%7B%22image%22%3A%227902%22%7D%2C%7B%22image%22%3A%227903%22%7D%2C%7B%22image%22%3A%227904%22%7D%2C%7B%22image%22%3A%227905%22%7D%2C%7B%22image%22%3A%227906%22%7D%5D"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Line of images
//	Line of images (Logos with link style 4)
	$data = array();
	$data['name'] = esc_html__( 'Line of images (Logos with link style 4)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/line_of_images/logos-with-link-style4.jpg' );
	$data['sort_name'] = 'Line of images';
	$data['custom_class'] = 'general line-of-images';
	$data['content'] = <<<CONTENT
[vc_row desctop_mb="margin-lg-60b" tablets_mb="margin-sm-30b" mobile_mb="margin-xs-40b"][vc_column][phoxy_line_of_images style="logos4" logos="%5B%7B%22image%22%3A%224638%22%7D%2C%7B%22image%22%3A%224640%22%7D%2C%7B%22image%22%3A%224639%22%7D%2C%7B%22image%22%3A%227903%22%7D%2C%7B%22image%22%3A%224641%22%7D%5D"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Category Line of images
//	Line of images (Only images)
	$data = array();
	$data['name'] = esc_html__( 'Line of images (Only images)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/line_of_images/only-images.jpg' );
	$data['sort_name'] = 'Line of images';
	$data['custom_class'] = 'general line-of-images';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][phoxy_line_of_images style="images" count="4" images="6717,6716,6714,6715"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Instagram
//	Instagram
	$data = array();
	$data['name'] = esc_html__( 'Instagram', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/instagram/list-style.jpg' );
	$data['sort_name'] = 'Instagram';
	$data['custom_class'] = 'general instagram';
	$data['content'] = <<<CONTENT
[vc_row desctop_lg_pb="padding-lg-80b" desctop_pb="padding-md-60b" tablets_pb="padding-sm-40b" mobile_pb="padding-xs-20b"][vc_column][phoxy_instagram style="style1" username="phoxytheme"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Portfolio
//	Portfolio list (Distortion)
	$data = array();
	$data['name'] = esc_html__( 'Portfolio list (Distortion)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/portfolio_list/portfolio-list-distortion.jpg' );
	$data['sort_name'] = 'Portfolio';
	$data['custom_class'] = 'general portfolio';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][phoxy_portfolio_list style="distortion" cats="creative,tiramila,travel" orderby="title" order="ASC" count="4"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Portfolio
//	Portfolio list (Parallax showcase)
	$data = array();
	$data['name'] = esc_html__( 'Portfolio list (Parallax showcase)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/portfolio_list/portfolio-list-parallax-showcase.jpg' );
	$data['sort_name'] = 'Portfolio';
	$data['custom_class'] = 'general portfolio';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][phoxy_portfolio_list style="parallax_showcase" cats="destination" orderby="date" order="ASC" btn_style="a-btn-2" count="4"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


//Category Portfolio
//	Portfolio list (Modern Animated)
	$data = array();
	$data['name'] = esc_html__( 'Portfolio list (Modern Animated)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/portfolio_list/portfolio-modern.jpg' );
	$data['sort_name'] = 'Portfolio';
	$data['custom_class'] = 'general portfolio';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content" desctop_mb="margin-lg-50b" mobile_mb="margin-xs-20b"][vc_column][phoxy_portfolio_list style="modern" cats="acia,albums,destination,exhibition,tiramila" orderby="title" count="15"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


//Category Portfolio
//	Portfolio list (Masonry Modern)
	$data = array();
	$data['name'] = esc_html__( 'Portfolio list (Masonry Modern)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/portfolio_list/portfolio-masonry.jpg' );
	$data['sort_name'] = 'Portfolio';
	$data['custom_class'] = 'general portfolio';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content"][vc_column][phoxy_portfolio_list style="masonry" cats="albums,exhibition,tiramila" orderby="title" count="12"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Portfolio
//	Portfolio sliders (Carousel)
	$data = array();
	$data['name'] = esc_html__( 'Portfolio sliders (Carousel)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/portfolio_sliders/portfolio-sliders-carousel.jpg' );
	$data['sort_name'] = 'Portfolio';
	$data['custom_class'] = 'general portfolio';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][phoxy_portfolio_sliders style="carousel" cats="ideas,tiramila"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Portfolio
//	Portfolio sliders (Horizontal)
	$data = array();
	$data['name'] = esc_html__( 'Portfolio sliders (Horizontal)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/portfolio_sliders/horizontal.jpg' );
	$data['sort_name'] = 'Portfolio';
	$data['custom_class'] = 'general portfolio';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][phoxy_portfolio_sliders style="horizontal" cats="acia,albums,creative,destination,exhibition,ideas,behind,outdoor,tiramila,travel" title="PHOXY" image="3058" count="12"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Portfolio
//	Portfolio sliders (Centered swiper)
	$data = array();
	$data['name'] = esc_html__( 'Portfolio sliders (Centered swiper)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/portfolio_sliders/portfolio-sliders-centered-swiper.jpg' );
	$data['sort_name'] = 'Portfolio';
	$data['custom_class'] = 'general portfolio';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][phoxy_portfolio_sliders style="album_swiper" cats="ideas,tiramila" title="Hello" descr="Nulla pulvinar, velit ornare interdum finibus, nibh nibh vulputate justo, sed finibus sem libero vel enim. Nullam tristique ligula a lectus fermentum, non auctor ex fermentum."][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Portfolio
//	Portfolio sliders (Interactive links)
	$data = array();
	$data['name'] = esc_html__( 'Portfolio sliders (Interactive links)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/portfolio_sliders/portfolio-sliders-interactive-links.jpg' );
	$data['sort_name'] = 'Portfolio';
	$data['custom_class'] = 'general portfolio';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][phoxy_portfolio_sliders cats="creative,outdoor" orderby="title" order="ASC"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Portfolio
//	Portfolio sliders (Showcase slider)
	$data = array();
	$data['name'] = esc_html__( 'Portfolio sliders (Showcase slider)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/portfolio_sliders/portfolio-sliders-showcase-slider.jpg' );
	$data['sort_name'] = 'Portfolio';
	$data['custom_class'] = 'general portfolio';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces" css=".vc_custom_1536656576870{padding-top: 0px !important;}"][vc_column][phoxy_portfolio_sliders style="full_showcase_slider" cats="ideas,tiramila" count="4"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Portfolio
//	Portfolio sliders (Slider classic)
	$data = array();
	$data['name'] = esc_html__( 'Portfolio sliders (Slider classic)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/portfolio_sliders/portfolio-sliders-slider-classic.jpg' );
	$data['sort_name'] = 'Portfolio';
	$data['custom_class'] = 'general portfolio';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][phoxy_portfolio_sliders style="slider_classic" cats="creative,destination,exhibition,outdoor" orderby="ID" order="ASC" count="3"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Portfolio
//	Portfolio sliders (Urban slider)
	$data = array();
	$data['name'] = esc_html__( 'Portfolio sliders (Urban slider)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/portfolio_sliders/portfolio-sliders-urban-slider.jpg' );
	$data['sort_name'] = 'Portfolio';
	$data['custom_class'] = 'general portfolio';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][phoxy_portfolio_sliders style="urban_slider" cats="creative,outdoor"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Portfolio
//	Portfolio sliders (Vertical slider)
	$data = array();
	$data['name'] = esc_html__( 'Portfolio sliders (Vertical slider)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/portfolio_sliders/portfolio-sliders-vertical-slider.jpg' );
	$data['sort_name'] = 'Portfolio';
	$data['custom_class'] = 'general portfolio';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][phoxy_portfolio_sliders style="vertical_slider" cats="behind,indoor" order="ASC" count="3"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Pricing
//	Pricing (Classic)
	$data = array();
	$data['name'] = esc_html__( 'Pricing (Classic)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/pricing/classic.jpg' );
	$data['sort_name'] = 'Pricing';
	$data['custom_class'] = 'general pricing';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row" full_height="yes" content_placement="middle" enable_ovarlay="true" desctop_lg_pt="padding-lg-80t" desctop_lg_pb="padding-lg-80b" tablets_pt="padding-sm-45t" mobile_pt="padding-xs-20t" mobile_pb="padding-xs-50b" css=".vc_custom_1536932823352{background-image: url(http://w4.themedemo.co/phoxy/wp-content/uploads/2018/09/photo-1517789382289-acf6d0f50222.jpg?id=6885) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}"][vc_column][vc_row_inner][vc_column_inner width="1/2" css=".vc_custom_1527069156922{margin-top: 35px !important;}" offset="vc_col-md-6"][vc_pricing image="4279" subtitle="STARTING FROM $200" title="CREATIVE" btn_style="a-btn-4" button="url:http%3A%2F%2Fw4.themedemo.co%2Fphoxy%2Fcontact-us%2F|title:Order%20Plan|target:%20_blank|"]
<ul>
 	<li>1 hour on location</li>
 	<li>2 outfit changes</li>
 	<li>10 images</li>
 	<li>Lo-res image for web</li>
 	<li>Hi-res images on CD</li>
</ul>
[/vc_pricing][/vc_column_inner][vc_column_inner width="1/2" css=".vc_custom_1527069162375{margin-top: 35px !important;}" offset="vc_col-md-6"][vc_pricing image="6799" subtitle="STARTING FROM $700" title="WEDDING" btn_style="a-btn-4" button="url:http%3A%2F%2Fw4.themedemo.co%2Fphoxy%2Fcontact-us%2F|title:Order%20Plan|target:%20_blank|"]
<ul>
 	<li>1 hour on location</li>
 	<li>2 outfit changes</li>
 	<li>10 images</li>
 	<li>Lo-res image for web</li>
 	<li>Hi-res images on CD</li>
</ul>
[/vc_pricing][/vc_column_inner][/vc_row_inner][vc_row_inner][vc_column_inner width="1/2" css=".vc_custom_1527069156922{margin-top: 35px !important;}" offset="vc_col-md-6"][vc_pricing image="3058" subtitle="STARTING FROM $500" title="CAMPAIGN" btn_style="a-btn-4" button="url:http%3A%2F%2Fw4.themedemo.co%2Fphoxy%2Fcontact-us%2F|title:Order%20Plan|target:%20_blank|"]
<ul>
 	<li>1 hour on location</li>
 	<li>2 outfit changes</li>
 	<li>10 images</li>
 	<li>Lo-res image for web</li>
 	<li>Hi-res images on CD</li>
</ul>
[/vc_pricing][/vc_column_inner][vc_column_inner width="1/2" css=".vc_custom_1527069162375{margin-top: 35px !important;}" offset="vc_col-md-6"][vc_pricing image="6877" subtitle="STARTING FROM $800" title="FASHION" btn_style="a-btn-4" button="url:http%3A%2F%2Fw4.themedemo.co%2Fphoxy%2Fcontact-us%2F|title:Order%20Plan|target:%20_blank|"]
<ul>
 	<li>1 hour on location</li>
 	<li>2 outfit changes</li>
 	<li>10 images</li>
 	<li>Lo-res image for web</li>
 	<li>Hi-res images on CD</li>
</ul>
[/vc_pricing][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Services
//	Services (Center)
	$data = array();
	$data['name'] = esc_html__( 'Services (Center)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/services/center.jpg' );
	$data['sort_name'] = 'Services';
	$data['custom_class'] = 'general services';
	$data['content'] = <<<CONTENT
[vc_row desctop_lg_pt="padding-lg-75t" desctop_lg_pb="padding-lg-90b" desctop_pt="padding-md-75t" desctop_pb="padding-md-85b" tablets_pt="padding-sm-35t" tablets_pb="padding-sm-60b" mobile_pt="padding-xs-25t" mobile_pb="padding-xs-35b"][vc_column width="1/2" offset="vc_col-md-4"][phoxy_services style="center" icon="icon-camera-tripod" title="Studio shooting" text="Proin ultricies augue libero, faucibus elit elementum sed dolor felis, cursus non diam non, finibus feugiat dui, facilisis urna magna"][/vc_column][vc_column width="1/2" offset="vc_col-md-4"][phoxy_services style="center" icon="icon-user-female-portrait" title="Fine retouching" text="Fusce auctor lacinia nunc, quis pellentesque dolor. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubili"][/vc_column][vc_column width="1/2" offset="vc_col-md-offset-0 vc_col-md-4 vc_col-sm-offset-3"][phoxy_services style="center" icon="icon-photoshop" title="Photo editing" text="Proin ultricies augue libero, quis faucibus elit elementum sed dolor felis, cursus non diam non, finibus interdum posuere"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Category Services
//	Services (Accordion)
	$data = array();
	$data['name'] = esc_html__( 'Services (Accordion)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/services/accordion.jpg' );
	$data['sort_name'] = 'Services';
	$data['custom_class'] = 'general services';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content" desctop_lg_pb="padding-lg-90b" desctop_pb="padding-md-85b" tablets_pb="padding-sm-60b" mobile_pb="padding-xs-45b"][vc_column][phoxy_services style="accordion" items_accordion="%5B%7B%22number%22%3A%2201.%22%2C%22title%22%3A%22Story%20%26%20Concept%22%2C%22text%22%3A%22A%20wonderful%20serenity%20has%20taken%20possession%20of%20my%20entire%20soul%2C%20like%20these%20sweet%20mornings%20of%20spring%20which%20and%20feel%20the%20charm%22%7D%2C%7B%22number%22%3A%2202.%22%2C%22title%22%3A%22Style%20%26%20Makeup%22%2C%22text%22%3A%22Aenean%20elementum%20maximus%20erat%2C%20id%20tincidunt%20nibh%20faucibus%20vel.%20Suspendisse%20eu%20maximus%20quam.%20Aliquam%20pulvinar%20lacinia%20odio.%22%7D%2C%7B%22number%22%3A%2203.%22%2C%22title%22%3A%22Shooting%20%26%20Retush%22%2C%22text%22%3A%22Donec%20libero%20ex%2C%20tincidunt%20sed%20risus%20in%2C%20ornare%20consectetur%20turpis.%20Mauris%20magna%20tellus%2C%20auctor%20ut%20ligula%20vel%2C%20varius%20congue%20magna.%20%22%7D%5D" video_link="https://www.youtube.com/watch?time_continue=3&v=lZDEU0ukMi4" image="7932" title="Our Process" text="For creating an impressive presentation in a few simple steps"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Skills
//	Skills (Circle)
	$data = array();
	$data['name'] = esc_html__( 'Skills (Circle)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/skills/circle.jpg' );
	$data['sort_name'] = 'Skills';
	$data['custom_class'] = 'general skills';
	$data['content'] = <<<CONTENT
[vc_row desctop_mb="margin-lg-90b" tablets_mb="margin-sm-70b" mobile_mb="margin-xs-10b"][vc_column][phoxy_skills circle_skills="%5B%7B%22number%22%3A%2297%22%2C%22title%22%3A%22portraits%22%7D%2C%7B%22number%22%3A%2287%22%2C%22title%22%3A%22landscapes%22%7D%2C%7B%22number%22%3A%2283%22%2C%22title%22%3A%22beauty%22%7D%2C%7B%22number%22%3A%2298%22%2C%22title%22%3A%22fashion%22%7D%5D"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Skills
//	Skills (Text with lines)
	$data = array();
	$data['name'] = esc_html__( 'Skills (Text with lines)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/skills/text-with-lines.jpg' );
	$data['sort_name'] = 'Skills';
	$data['custom_class'] = 'general skills';
	$data['content'] = <<<CONTENT
[vc_row desctop_mt="margin-lg-60t" desctop_mb="margin-lg-100b" desctop_md_mt="margin-md-45t" desctop_md_mb="margin-md-90b" tablets_mt="margin-sm-30t" tablets_mb="margin-sm-70b" mobile_mt="margin-xs-10t"][vc_column][phoxy_skills skills_style="linear_text" linear_skills="%5B%7B%22title%22%3A%22Portraits%22%2C%22number%22%3A%2276%22%2C%22line_color%22%3A%22%23222222%22%7D%2C%7B%22title%22%3A%22Wedding%22%2C%22number%22%3A%2289%22%2C%22line_color%22%3A%22%23222222%22%7D%2C%7B%22title%22%3A%22Fashion%22%2C%22number%22%3A%2265%22%2C%22line_color%22%3A%22%23222222%22%7D%5D" title="Always work" subtitle="editorials" text="Nam ornare quam turpis, a tincidunt dui auctor in. Nulla luctus justo urna, et tristique nisl dapibus a. Phasellus sagittis ante se cursus consequat. Nam ornare quam turpis, a tincidunt dui auctor in. Nulla luctus justo urna, et tristique nisl dapibu Phasellus sagittis ante sed cursus consequat."][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Team
//	Team (Chess tile)
	$data = array();
	$data['name'] = esc_html__( 'Team (Chess tile)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/team/chess-tile.jpg' );
	$data['sort_name'] = 'Team';
	$data['custom_class'] = 'general team';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces" desctop_mb="margin-lg-110b" tablets_mb="margin-sm-80b" mobile_mb="margin-xs-30b"][vc_column][phoxy_team team_style="chess_tile" team_members="%5B%7B%22image_id%22%3A%223028%22%2C%22name%22%3A%22Alisa%20Torky%22%2C%22position%22%3A%22Photographer%22%2C%22text%22%3A%22Lorem%20ipsum%20dolor%20sit%20amet%2C%20consectetur%20adipiscing%20elit.%20Duis%20volutpat%20ipsum%20odio%2C%20nec%20pulvinar%20erat%20efficitur%20ac.%20Vivamus%20aliquam%20sed%20risus%20sed%20aliquet.%20%22%2C%22socials%22%3A%22%255B%257B%2522icon%2522%253A%2522fa%2520fa-facebook%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Fwww.facebook.com%252F%2522%257D%252C%257B%2522icon%2522%253A%2522fa%2520fa-twitter%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Ftwitter.com%252F%2522%257D%252C%257B%2522icon%2522%253A%2522fa%2520fa-instagram%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Fwww.instagram.com%252F%2522%257D%252C%257B%2522icon%2522%253A%2522fa%2520fa-dribbble%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Fdribbble.com%252F%2522%257D%255D%22%7D%2C%7B%22image_id%22%3A%226724%22%2C%22name%22%3A%22Markia%20Rifer%22%2C%22position%22%3A%22Assistant%22%2C%22text%22%3A%22In%20volutpat%20posuere%20feugiat.%20Etiam%20condimentum%20quam%20nec%20velit%20tincidunt%20sollicitudin%20nec%20at%20dui.%20Pellentesque%20ac%20tristique%20enim.%20%22%2C%22socials%22%3A%22%255B%257B%2522icon%2522%253A%2522fa%2520fa-facebook%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Fwww.facebook.com%252F%2522%257D%252C%257B%2522icon%2522%253A%2522fa%2520fa-twitter%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Ftwitter.com%252F%2522%257D%252C%257B%2522icon%2522%253A%2522fa%2520fa-instagram%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Fwww.instagram.com%252F%2522%257D%252C%257B%2522icon%2522%253A%2522fa%2520fa-dribbble%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Fdribbble.com%252F%2522%257D%255D%22%7D%2C%7B%22image_id%22%3A%226739%22%2C%22name%22%3A%22Melio%20Gride%22%2C%22position%22%3A%22Manager%22%2C%22text%22%3A%22Class%20aptent%20taciti%20sociosqu%20ad%20litora%20torquent%20per%20conubia%20nostra%2C%20per%20inceptos%20himenaeos.%20Donec%20at%20fringilla%20mauris.%22%2C%22socials%22%3A%22%255B%257B%2522icon%2522%253A%2522fa%2520fa-facebook%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Fwww.facebook.com%252F%2522%257D%252C%257B%2522icon%2522%253A%2522fa%2520fa-twitter%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Ftwitter.com%252F%2522%257D%252C%257B%2522icon%2522%253A%2522fa%2520fa-instagram%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Fwww.instagram.com%252F%2522%257D%252C%257B%2522icon%2522%253A%2522fa%2520fa-dribbble%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Fdribbble.com%252F%2522%257D%255D%22%7D%2C%7B%22image_id%22%3A%226897%22%2C%22name%22%3A%22Oliver%20Naory%22%2C%22position%22%3A%22Stylist%22%2C%22text%22%3A%22Mauris%20imperdiet%20tempor%20ex%20quis%20consectetur.%20Morbi%20rhoncus%20velit%20non%20orci%20viverra%2C%20ac%20sollicitudin%20orci%20pellentesque.%20%22%2C%22socials%22%3A%22%255B%257B%2522icon%2522%253A%2522fa%2520fa-facebook%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Fwww.facebook.com%252F%2522%257D%252C%257B%2522icon%2522%253A%2522fa%2520fa-twitter%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Ftwitter.com%252F%2522%257D%252C%257B%2522icon%2522%253A%2522fa%2520fa-instagram%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Fwww.instagram.com%252F%2522%257D%252C%257B%2522icon%2522%253A%2522fa%2520fa-dribbble%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Fdribbble.com%252F%2522%257D%255D%22%7D%5D"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Team
//	Team (Inline)
	$data = array();
	$data['name'] = esc_html__( 'Team (Inline)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/team/inline.jpg' );
	$data['sort_name'] = 'Team';
	$data['custom_class'] = 'general team';
	$data['content'] = <<<CONTENT
[vc_row desctop_lg_pb="padding-lg-130b" desctop_pb="padding-md-120b" tablets_pb="padding-sm-95b" mobile_pb="padding-xs-45b"][vc_column][phoxy_team team_style="inline" col_numb="col-3 col-xs-12 col-sm-6 col-md-4" team_members="%5B%7B%22image_id%22%3A%227066%22%2C%22name%22%3A%22Abigel%20Chiunda%22%2C%22position%22%3A%22Kinfio%2C%20designer%22%2C%22socials%22%3A%22%255B%257B%2522icon%2522%253A%2522fa%2520fa-facebook-square%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Fwww.facebook.com%252F%2522%257D%252C%257B%2522icon%2522%253A%2522fa%2520fa-twitter%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Ftwitter.com%252F%2522%257D%252C%257B%2522icon%2522%253A%2522fa%2520fa-instagram%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Fwww.instagram.com%252F%2522%257D%255D%22%7D%2C%7B%22image_id%22%3A%227069%22%2C%22name%22%3A%22Blanche%20Fields%22%2C%22position%22%3A%22Google%2C%20CEO%22%2C%22socials%22%3A%22%255B%257B%2522icon%2522%253A%2522fa%2520fa-facebook-square%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Fwww.facebook.com%252F%2522%257D%252C%257B%2522icon%2522%253A%2522fa%2520fa-twitter%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Ftwitter.com%252F%2522%257D%252C%257B%2522icon%2522%253A%2522fa%2520fa-instagram%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Fwww.instagram.com%252F%2522%257D%255D%22%7D%2C%7B%22image_id%22%3A%227071%22%2C%22name%22%3A%22Martina%20Ross%22%2C%22position%22%3A%22Nettix%2C%20CEO%22%2C%22socials%22%3A%22%255B%257B%2522icon%2522%253A%2522fa%2520fa-facebook-square%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Fwww.facebook.com%252F%2522%257D%252C%257B%2522icon%2522%253A%2522fa%2520fa-twitter%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Ftwitter.com%252F%2522%257D%252C%257B%2522icon%2522%253A%2522fa%2520fa-instagram%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Fwww.instagram.com%252F%2522%257D%255D%22%7D%2C%7B%22image_id%22%3A%227075%22%2C%22name%22%3A%22David%20Copiled%22%2C%22position%22%3A%22Pixel%2C%20Designer%22%2C%22socials%22%3A%22%255B%257B%2522icon%2522%253A%2522fa%2520fa-facebook-square%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Fwww.facebook.com%252F%2522%257D%252C%257B%2522icon%2522%253A%2522fa%2520fa-twitter%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Ftwitter.com%252F%2522%257D%252C%257B%2522icon%2522%253A%2522fa%2520fa-instagram%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Fwww.instagram.com%252F%2522%257D%255D%22%7D%2C%7B%22image_id%22%3A%227067%22%2C%22name%22%3A%22Alik%20Roso%22%2C%22position%22%3A%22Droby%2C%20photographer%22%2C%22socials%22%3A%22%255B%257B%2522icon%2522%253A%2522fa%2520fa-facebook-square%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Fwww.facebook.com%252F%2522%257D%252C%257B%2522icon%2522%253A%2522fa%2520fa-twitter%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Ftwitter.com%252F%2522%257D%252C%257B%2522icon%2522%253A%2522fa%2520fa-instagram%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Fwww.instagram.com%252F%2522%257D%255D%22%7D%2C%7B%22image_id%22%3A%227073%22%2C%22name%22%3A%22Dorroty%20Kao%22%2C%22position%22%3A%22Finik%2C%20manages%22%2C%22socials%22%3A%22%255B%257B%2522icon%2522%253A%2522fa%2520fa-facebook-square%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Fwww.facebook.com%252F%2522%257D%252C%257B%2522icon%2522%253A%2522fa%2520fa-twitter%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Ftwitter.com%252F%2522%257D%252C%257B%2522icon%2522%253A%2522fa%2520fa-instagram%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Fwww.instagram.com%252F%2522%257D%255D%22%7D%5D" button="url:http%3A%2F%2Fw4.themedemo.co%2Fphoxy%2Fcontact-us%2F|title:Contact%20Us|target:%20_blank|"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Testimonials
//	Testimonials (Classic)
	$data = array();
	$data['name'] = esc_html__( 'Testimonials (Classic)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/testimonial/classic.jpg' );
	$data['sort_name'] = 'Testimonials';
	$data['custom_class'] = 'general testimonials';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content" full_height="yes" content_placement="middle" enable_ovarlay="true" css=".vc_custom_1537630445517{background-image: url(http://w4.themedemo.co/phoxy/wp-content/uploads/2018/05/photo-1510832198440-a52376950479-1.jpg?id=4509) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}"][vc_column css=".vc_custom_1526313612729{padding-top: 0px !important;}"][phoxy_testimonial autoplay="5" speed="1600" loop="true" color="#ffffff"][phoxy_testimonial_items author="Loren Mifinger" position="Kolini, assistant" logo_image="3723"]Ut et tempor lorem. Cras tempor quis turpis eget fringilla. Suspendisse vehicula finibus ante, a hendrerit orci accumsan sit amet.[/phoxy_testimonial_items][phoxy_testimonial_items author="Alisa Fisher" position="Retivi, designer" logo_image="3718"]Donec et luctus purus. Fusce in finibus tortor, ac posuere mi. Nunc neque purus, tristique sed pellentesque sed, imperdiet nec sapien.[/phoxy_testimonial_items][phoxy_testimonial_items author="Jenifer Olsen" position="Aster, manager" logo_image="3720"]Ut bibendum ante et dolor auctor tincidunt. Donec at quam lectus. Sed sagittis, enim vel mollis luctus, nisl est vestibulum magna.[/phoxy_testimonial_items][phoxy_testimonial_items author="Elizabet Fandat" position="Osel, office manager" logo_image="3720"]Morbi hendrerit eleifend nunc, luctus dapibus sapien tempor quis. Sed condimentum tincidunt diam, ut convallis metus efficitur.[/phoxy_testimonial_items][phoxy_testimonial_items author="Eva Froter" position="Osel, office manager" logo_image="3720"]Mauris sed nulla a dui mollis semper eu id neque. Cras molestie leo id posuere aliquam. Quisque velit arcu, lacinia id risus.[/phoxy_testimonial_items][phoxy_testimonial_items author="Olga Gigidrek" position="Pitius, director" logo_image="3720"]Vestibulum venenatis lectus ultricies, aliquam turpis et, consequat augue. Mauris quis gravida nisi. Sed blandit enim dapibus dolor molestie.[/phoxy_testimonial_items][/phoxy_testimonial][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Banners
//	Video banner (Classic)
	$data = array();
	$data['name'] = esc_html__( 'Video banner (Simple)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/video_banner/simple.jpg' );
	$data['sort_name'] = 'Banners';
	$data['custom_class'] = 'general banners';
	$data['content'] = <<<CONTENT
[vc_row gap="0" columns_placement="middle" video_bg_url="https://www.youtube.com/watch?v=lMJXxhRFO1k" parallax_speed_video="1.5" parallax_speed_bg="1.5" desctop_mt="none" desctop_mb="none" desctop_md_mt="none" desctop_md_mb="none" tablets_mt="none" tablets_mb="none" mobile_mt="none" mobile_mb="none" desctop_lg_pt="none" desctop_lg_pb="none" desctop_pt="none" desctop_pb="none" tablets_pt="none" tablets_pb="none" mobile_pt="none" mobile_pb="none"][vc_column video_bg_url="https://www.youtube.com/watch?v=lMJXxhRFO1k" parallax_speed_video="1.5" parallax_speed_bg="1.5" width="1/1" desctop_mt="none" desctop_mb="none" desctop_md_mt="none" desctop_md_mb="none" tablets_mt="none" tablets_mb="none" mobile_mt="none" mobile_mb="none" desctop_lg_pt="none" desctop_lg_pb="none" desctop_pt="none" desctop_pb="none" tablets_pt="none" tablets_pb="none" mobile_pt="none" mobile_pb="none"][video_banner video_link="https://www.youtube.com/watch?time_continue=3&v=lZDEU0ukMi4" autoplay="on"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Category Banners
//	Video banner (Modern)
	$data = array();
	$data['name'] = esc_html__( 'Video banner (Modern)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/video_banner/modern.jpg' );
	$data['sort_name'] = 'Banners';
	$data['custom_class'] = 'general banners';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces" desctop_mt="margin-lg-50t" tablets_mt="margin-sm-0t"][vc_column][video_banner style="modern" video_link="https://www.youtube.com/watch?time_continue=3&v=lZDEU0ukMi4" title="Watch Our New Video Story" subtitle="Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer nec gravida enim. Suspendisse molestie, ex vitae laoreet tincidunt, dui neque sollicitudin neque, sit amet placerat ipsum purus eget mauris. Sed tortor nisl, facilisis et tincidunt sed, luctus vitae orci. Donec pharetra nunc neque, nec viverra elit sollicitudin gravida." preview="3035"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Banners
//	Image Banner (Parallax)
	$data = array();
	$data['name'] = esc_html__( 'Image Banner (Parallax)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/banner/parallax.jpg' );
	$data['sort_name'] = 'Banners';
	$data['custom_class'] = 'general banners';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces" desctop_mb="margin-lg-120b" desctop_md_mb="margin-md-100b" tablets_mb="margin-sm-80b" mobile_mb="margin-xs-50b"][vc_column][phoxy_banner style_banner="parallax" height="medium_banner" overlay="yes" title="BOXED GALLERY" subtitle="art collection" text="Quisque semper neque quis justo tincidunt aliquet. Suspendisse sollicitudin finibus turpis. Morbi sed ipsum ipsum. Donec tempor vehicula imperdiet." image="7919"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Gallery
//	Gallery (Full slider)
	$data = array();
	$data['name'] = esc_html__( 'Gallery (Full slider)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/gallery/phoxy-full-slider.jpg' );
	$data['sort_name'] = 'Gallery';
	$data['custom_class'] = 'general gallery';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces" full_height="yes" equal_height="yes"][vc_column][phoxy_gallery type="full_slider" show_button="true" hide_menu="true" images="4503,4508,4510,4512,4511"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Gallery
//	Gallery (Slider with thumbnail)
	$data = array();
	$data['name'] = esc_html__( 'Gallery (Slider with thumbnail)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/gallery/phoxy-slider-thumbnail.jpg' );
	$data['sort_name'] = 'Gallery';
	$data['custom_class'] = 'general gallery';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][phoxy_gallery type="slider_thumbnail" images="3039,3031,6723,6734,3035,3517,3028,3061,7202,6726,7205,3027"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Gallery
//	Gallery (Mixed masonry)
	$data = array();
	$data['name'] = esc_html__( 'Gallery (Mixed masonry)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/gallery/mixed-masonry.jpg' );
	$data['sort_name'] = 'Gallery';
	$data['custom_class'] = 'general gallery';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][phoxy_gallery type="mixed_masonry" images="8293,8291,8281,8378,8382,8385,8383,8379,8380"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Gallery
//	Gallery (Justified gallery)
	$data = array();
	$data['name'] = esc_html__( 'Gallery (Justified gallery)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/gallery/justified.jpg' );
	$data['sort_name'] = 'Gallery';
	$data['custom_class'] = 'general gallery';
	$data['content'] = <<<CONTENT
[vc_row desctop_mt="margin-lg-30t"][vc_column][phoxy_gallery type="justified" title="PORTRAITS" subtitle="art and experimental photos from London" images="8291,8281,8379,8380,8382,8383,8385,8293,8409,8411,8408"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Gallery
//	Gallery (Boxed grid with filter)
	$data = array();
	$data['name'] = esc_html__( 'Gallery (Boxed grid with filter)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/gallery/boxed_grid.jpg' );
	$data['sort_name'] = 'Gallery';
	$data['custom_class'] = 'general gallery';
	$data['content'] = <<<CONTENT
[vc_row desctop_mb="margin-lg-90b" desctop_md_mb="margin-md-70b" tablets_mb="margin-sm-50b" mobile_mb="margin-xs-50b"][vc_column][phoxy_gallery type="boxed_grid" images="8383,8291,4503,8409,8408,8382,8411,8380,8379"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Gallery
//	Gallery (Masonry with filter)
	$data = array();
	$data['name'] = esc_html__( 'Gallery (Masonry with filter)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/gallery/masonry_filter.jpg' );
	$data['sort_name'] = 'Gallery';
	$data['custom_class'] = 'general gallery';
	$data['content'] = <<<CONTENT
[vc_row desctop_mb="margin-lg-90b" desctop_md_mb="margin-md-70b" tablets_mb="margin-sm-50b" mobile_mb="margin-xs-50b"][vc_column][phoxy_gallery type="masonry_filter" images="8383,8291,4503,8409,8408,8382,8411,8380,8379"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Gallery
//	Gallery (Masonry with gradient hover)
	$data = array();
	$data['name'] = esc_html__( 'Gallery (Masonry with gradient hover)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/gallery/masonry_gradient.jpg' );
	$data['sort_name'] = 'Gallery';
	$data['custom_class'] = 'general gallery';
	$data['content'] = <<<CONTENT
[vc_row desctop_mb="margin-lg-65b" tablets_mb="margin-sm-45b" mobile_mb="margin-xs-30b"][vc_column][phoxy_gallery type="masonry_gradient" col_numb="column-4" images="7097,3039,6811,6734,6975,6726,7071,6723,3031,3058,4278,3035,3036,3028"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Gallery
//	Gallery (Justified with main image)
	$data = array();
	$data['name'] = esc_html__( 'Gallery (Justified with main image)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/gallery/justified_image.jpg' );
	$data['sort_name'] = 'Gallery';
	$data['custom_class'] = 'general gallery';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content"][vc_column][phoxy_gallery type="justified_image" cats="black-white,city,experimental,nature,night,people,portraits" images="7202,7383,7205,7098,7097,6734,7071,6819,6811,3533,6813,3033,3035,3058,3028,3030,6796,6726,6975,3036,6733"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Headings
//	Headings (Small modern)
	$data = array();
	$data['name'] = esc_html__( 'Headings (Small modern)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/headings/text_small_modern.jpg' );
	$data['sort_name'] = 'Headings';
	$data['custom_class'] = 'general headings';
	$data['content'] = <<<CONTENT
[vc_row desctop_mt="margin-lg-100t" desctop_mb="margin-lg-80b" desctop_md_mt="margin-md-85t" desctop_md_mb="margin-md-65b" mobile_mt="margin-xs-45t" mobile_mb="margin-xs-20b"][vc_column][phoxy_headings style="text_small_modern" text_align="text-center" title="OUR SERVICE" subtitle="Nullam id dolor id nibh ultricies vehicula ut id elit. Aenean eu leo quam. Pellentesque lacinia risus varius blandit sit amet non magna. Cras mattis consectetur purus sit ferme." animation_fade="true"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Headings
//	Headings (Modern text with button)
	$data = array();
	$data['name'] = esc_html__( 'Headings (Modern text with button)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/headings/modern_button.jpg' );
	$data['sort_name'] = 'Headings';
	$data['custom_class'] = 'general headings';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row" desctop_lg_pt="padding-lg-90t" desctop_lg_pb="padding-lg-60b" desctop_pt="padding-md-70t" desctop_pb="padding-md-45b" tablets_pt="padding-sm-60t" tablets_pb="padding-sm-35b" mobile_pt="padding-xs-25t" mobile_pb="padding-xs-0b" css=".vc_custom_1543311167906{background-color: #faf7f7 !important;}"][vc_column][phoxy_headings style="modern_button" text_align="text-center" title="what we offer" subtitle="ease and simple" animation_fade="true"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Line of images
//	Line of images (Logos without link)
	$data = array();
	$data['name'] = esc_html__( 'Line of images (Logos without link)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/line_of_images/logos-without-link.jpg' );
	$data['sort_name'] = 'Line of images';
	$data['custom_class'] = 'general line-of-images';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row" equal_height="yes" content_placement="middle" desctop_lg_pt="padding-lg-100t" desctop_lg_pb="padding-lg-100b" desctop_pt="padding-md-65t" desctop_pb="padding-md-85b" mobile_pt="padding-xs-15t" mobile_pb="padding-xs-40b" css=".vc_custom_1542819605774{background-color: #f5f5f5 !important;}"][vc_column offset="vc_col-md-5"][phoxy_line_of_images style="logos_without_link" count="3" images="8213,8214,8215,8216,8217,8218"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Line of images
//	Line of images (Logos in slider)
	$data = array();
	$data['name'] = esc_html__( 'Line of images (Logos in slider)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/line_of_images/logos-in-slider.jpg' );
	$data['sort_name'] = 'Line of images';
	$data['custom_class'] = 'general line-of-images';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row" desctop_lg_pt="padding-lg-30t" desctop_lg_pb="padding-lg-60b" desctop_pt="padding-md-0t" desctop_pb="padding-md-30b" css=".vc_custom_1542817785840{background-color: #f5f5f5 !important;}"][vc_column][phoxy_line_of_images style="logos_in_slider" logos="%5B%7B%22image%22%3A%227899%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22image%22%3A%227900%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22image%22%3A%227901%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22image%22%3A%227902%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22image%22%3A%224639%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22image%22%3A%224638%22%7D%5D"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Portfolio
//	Portfolio list (Justified)
	$data = array();
	$data['name'] = esc_html__( 'Portfolio list (Justified)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/portfolio_list/portfolio-justified.jpg' );
	$data['sort_name'] = 'Portfolio';
	$data['custom_class'] = 'general portfolio';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][phoxy_portfolio_list style="justified" image_original_size="large" cats="acia,albums,creative,destination,exhibition,ideas,behind,outdoor,tiramila,travel" order="ASC" count="9"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Portfolio
//	Portfolio sliders (Diagonal slideshow)
	$data = array();
	$data['name'] = esc_html__( 'Portfolio sliders (Diagonal slideshow)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/portfolio_sliders/diagonal-slideshow.jpg' );
	$data['sort_name'] = 'Portfolio';
	$data['custom_class'] = 'general portfolio';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][phoxy_portfolio_sliders style="diagonal" cats="albums,creative" count="5"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Portfolio
//	Portfolio sliders (Horizontall scroll slider)
	$data = array();
	$data['name'] = esc_html__( 'Portfolio sliders (Horizontall scroll slider)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/portfolio_sliders/horizontal.jpg' );
	$data['sort_name'] = 'Portfolio';
	$data['custom_class'] = 'general portfolio';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][phoxy_portfolio_sliders style="horizontal" cats="acia,albums,creative,destination,exhibition,ideas,behind,outdoor,tiramila,travel" title="PHOXY" image="3058" count="12"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Services
//	Services (With images)
	$data = array();
	$data['name'] = esc_html__( 'Services (With images)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/services/with_images.jpg' );
	$data['sort_name'] = 'Services';
	$data['custom_class'] = 'general services';
	$data['content'] = <<<CONTENT
[vc_row desctop_mb="margin-lg-90b" desctop_md_mb="margin-md-75b" mobile_mb="margin-xs-35b"][vc_column width="1/2" offset="vc_col-md-4"][phoxy_services style="with_images" title="STUDIO SHOOTING" text="Vivamus enim nulla, sodales quis condimen tum ut, molestie eu ipsum. Nam ullamcorper mollis sem, nec eleifend augue." image="7011"][/vc_column][vc_column width="1/2" offset="vc_col-md-4"][phoxy_services style="with_images" title="FINE RETOUCHING" text="Fusce auctor lacinia nunc, quis pellentesque dolor. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubili" image="7013"][/vc_column][vc_column width="1/2" desctop_md_mt="margin-md-0t" tablets_mt="margin-sm-15t" mobile_mt="margin-xs-0t" offset="vc_col-md-offset-0 vc_col-md-4 vc_col-sm-offset-3"][phoxy_services style="with_images" title="VIDEO SHOOTING" text="Proin ultricies augue libero, quis faucibus elit elementum sed dolor felis, cursus non diam non, finibus interdum posuere" image="7012"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Services
//	Services (Numerical)
	$data = array();
	$data['name'] = esc_html__( 'Services (Numerical)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/services/numerical.jpg' );
	$data['sort_name'] = 'Services';
	$data['custom_class'] = 'general services';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row" desctop_lg_pb="padding-lg-120b" tablets_pb="padding-sm-90b" mobile_pb="padding-xs-35b" css=".vc_custom_1543310683765{background-color: #faf7f7 !important;}"][vc_column][phoxy_services style="numerical" items_numerical="%5B%7B%22icon%22%3A%22icon-camera-tripod%22%2C%22title%22%3A%22Studio%20shooting%22%2C%22text%22%3A%22Proin%20ultricies%20augue%20libero%2C%20faucibus%20elit%20elementum%20sed%20dolor%20felis%2C%20cursus%20non%20diam%20non%2C%20finibus%20feugiat%20dui%2C%20facilisis%20urna%20magna%22%7D%2C%7B%22icon%22%3A%22icon-user-male-portrait%22%2C%22title%22%3A%22Fine%20retouching%22%2C%22text%22%3A%22Fusce%20auctor%20lacinia%20nunc%2C%20quis%20pellentesque%20dolor.%20Vestibulum%20ante%20ipsum%20primis%20in%20faucibus%20orci%20luctus%20et%20ultrices%20posuere%20cubili%22%7D%2C%7B%22icon%22%3A%22icon-photoshop%22%2C%22title%22%3A%22Photo%20editing%22%2C%22text%22%3A%22Proin%20ultricies%20augue%20libero%2C%20quis%20faucibus%20elit%20elementum%20sed%20dolor%20felis%2C%20cursus%20non%20diam%20non%2C%20finibus%20interdum%20posuere%22%7D%2C%7B%22icon%22%3A%22icon-video-camera%22%2C%22title%22%3A%22Video%20shootig%22%2C%22text%22%3A%22Morbi%20maximus%20dignissim%20eros%2C%20eget%20pretium%20purus.%20Quisque%20efficitur%20vehicula%20lectus%2C%20nec%20pharetra%20lectus%20condimentum%20in.%20In%20odio%20nulla.%22%7D%5D"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Team
//	Team (Modern)
	$data = array();
	$data['name'] = esc_html__( 'Team (Modern)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/team/modern.jpg' );
	$data['sort_name'] = 'Team';
	$data['custom_class'] = 'general team';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row" desctop_lg_pb="padding-lg-85b" desctop_pb="padding-md-70b" mobile_pb="padding-xs-30b" css=".vc_custom_1542819822084{background-color: #f5f5f5 !important;}"][vc_column][phoxy_team team_style="modern" team_members="%5B%7B%22image_id%22%3A%228222%22%2C%22name%22%3A%22ABIGEL%20CHIUNDA%22%2C%22position%22%3A%22manager%22%2C%22socials%22%3A%22%255B%257B%2522icon%2522%253A%2522fa%2520fa-facebook-square%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Fwww.facebook.com%252F%2522%257D%252C%257B%2522icon%2522%253A%2522fa%2520fa-twitter%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Ftwitter.com%252F%2522%257D%252C%257B%2522icon%2522%253A%2522fa%2520fa-instagram%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Fwww.instagram.com%252F%2522%257D%255D%22%7D%2C%7B%22image_id%22%3A%228224%22%2C%22name%22%3A%22BLANCHE%20FIELDS%22%2C%22position%22%3A%22CEO%22%2C%22socials%22%3A%22%255B%257B%2522icon%2522%253A%2522fa%2520fa-facebook-square%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Fwww.facebook.com%252F%2522%257D%252C%257B%2522icon%2522%253A%2522fa%2520fa-twitter%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Ftwitter.com%252F%2522%257D%252C%257B%2522icon%2522%253A%2522fa%2520fa-instagram%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Fwww.instagram.com%252F%2522%257D%255D%22%7D%2C%7B%22image_id%22%3A%228223%22%2C%22name%22%3A%22MARTINA%20ROSS%22%2C%22position%22%3A%22stylist%22%2C%22socials%22%3A%22%255B%257B%2522icon%2522%253A%2522fa%2520fa-facebook-square%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Fwww.facebook.com%252F%2522%257D%252C%257B%2522icon%2522%253A%2522fa%2520fa-twitter%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Ftwitter.com%252F%2522%257D%252C%257B%2522icon%2522%253A%2522fa%2520fa-instagram%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Fwww.instagram.com%252F%2522%257D%255D%22%7D%2C%7B%22image_id%22%3A%228225%22%2C%22name%22%3A%22DAVID%20COPIELD%22%2C%22position%22%3A%22designer%22%2C%22socials%22%3A%22%255B%257B%2522icon%2522%253A%2522fa%2520fa-facebook-square%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Fwww.facebook.com%252F%2522%257D%252C%257B%2522icon%2522%253A%2522fa%2520fa-twitter%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Ftwitter.com%252F%2522%257D%252C%257B%2522icon%2522%253A%2522fa%2520fa-instagram%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Fwww.instagram.com%252F%2522%257D%255D%22%7D%2C%7B%22image_id%22%3A%228226%22%2C%22name%22%3A%22ALISA%20ROKKO%22%2C%22position%22%3A%22photographer%22%2C%22socials%22%3A%22%255B%257B%2522icon%2522%253A%2522fa%2520fa-facebook-square%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Fwww.facebook.com%252F%2522%257D%252C%257B%2522icon%2522%253A%2522fa%2520fa-twitter%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Ftwitter.com%252F%2522%257D%252C%257B%2522icon%2522%253A%2522fa%2520fa-instagram%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Fwww.instagram.com%252F%2522%257D%255D%22%7D%2C%7B%22image_id%22%3A%228227%22%2C%22name%22%3A%22DEN%20KARRON%22%2C%22position%22%3A%22assistent%22%2C%22socials%22%3A%22%255B%257B%2522icon%2522%253A%2522fa%2520fa-facebook-square%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Fwww.facebook.com%252F%2522%257D%252C%257B%2522icon%2522%253A%2522fa%2520fa-twitter%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Ftwitter.com%252F%2522%257D%252C%257B%2522icon%2522%253A%2522fa%2520fa-instagram%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Fwww.instagram.com%252F%2522%257D%255D%22%7D%2C%7B%22image_id%22%3A%228228%22%2C%22name%22%3A%22ALISSA%20MONTEGRO%22%2C%22position%22%3A%22assistent%22%2C%22socials%22%3A%22%255B%257B%2522icon%2522%253A%2522fa%2520fa-facebook-square%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Fwww.facebook.com%252F%2522%257D%252C%257B%2522icon%2522%253A%2522fa%2520fa-twitter%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Ftwitter.com%252F%2522%257D%252C%257B%2522icon%2522%253A%2522fa%2520fa-instagram%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Fwww.instagram.com%252F%2522%257D%255D%22%7D%2C%7B%22image_id%22%3A%228230%22%2C%22name%22%3A%22VIKTORIA%20RIKKI%22%2C%22position%22%3A%22photographer%22%2C%22socials%22%3A%22%255B%257B%2522icon%2522%253A%2522fa%2520fa-facebook-square%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Fwww.facebook.com%252F%2522%257D%252C%257B%2522icon%2522%253A%2522fa%2520fa-twitter%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Ftwitter.com%252F%2522%257D%252C%257B%2522icon%2522%253A%2522fa%2520fa-instagram%2522%252C%2522social_url%2522%253A%2522https%253A%252F%252Fwww.instagram.com%252F%2522%257D%255D%22%7D%5D"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Banners
//	Video banner (Centered modern)
	$data = array();
	$data['name'] = esc_html__( 'Video banner (Centered modern)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/video_banner/centered_modern.jpg' );
	$data['sort_name'] = 'Banners';
	$data['custom_class'] = 'general banners';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content" desctop_mb="margin-lg-100b" desctop_md_mb="margin-md-90b" mobile_mb="margin-xs-40b"][vc_column][video_banner style="centered_modern" video_link="https://www.youtube.com/watch?time_continue=2&amp;v=lZDEU0ukMi4" first_word="Our" second_word="Services" preview="8279"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Pricing
//	Pricing (Modern)
	$data = array();
	$data['name'] = esc_html__( 'Pricing (Modern)', 'phoxy' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/pricing/modern.jpg' );
	$data['sort_name'] = 'Pricing';
	$data['custom_class'] = 'general pricing';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row" full_height="yes" content_placement="middle" enable_ovarlay="true" desctop_lg_pt="padding-lg-30t" desctop_lg_pb="padding-lg-105b" tablets_pt="padding-sm-45t" mobile_pt="padding-xs-0t" mobile_pb="padding-xs-70b" css=".vc_custom_1539874616250{background-image: url(http://w4.themedemo.co/phoxy/wp-content/uploads/2018/09/photo-1517789382289-acf6d0f50222.jpg?id=6885) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}"][vc_column][vc_row_inner][vc_column_inner width="1/2" css=".vc_custom_1527069156922{margin-top: 35px !important;}" offset="vc_col-md-6"][vc_pricing image="4279" subtitle="STARTING FROM $200" title="CREATIVE" btn_style="a-btn-4" button="url:http%3A%2F%2Fwp.themedemo.co%2Fphoxy%2Fcontact-us%2F|title:Order%20Plan|target:%20_blank|"]
<ul>
 	<li>1 hour on location</li>
 	<li>2 outfit changes</li>
 	<li>10 images</li>
 	<li>Lo-res image for web</li>
 	<li>Hi-res images on CD</li>
</ul>
[/vc_pricing][/vc_column_inner][vc_column_inner width="1/2" css=".vc_custom_1527069162375{margin-top: 35px !important;}" offset="vc_col-md-6"][vc_pricing image="6799" subtitle="STARTING FROM $700" title="WEDDING" btn_style="a-btn-4" button="url:http%3A%2F%2Fwp.themedemo.co%2Fphoxy%2Fcontact-us%2F|title:Order%20Plan|target:%20_blank|"]
<ul>
 	<li>1 hour on location</li>
 	<li>2 outfit changes</li>
 	<li>10 images</li>
 	<li>Lo-res image for web</li>
 	<li>Hi-res images on CD</li>
</ul>
[/vc_pricing][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;







	return $templates;
}

function phoxy_add_default_templates() {
	$templates = phoxy_vc_templates();
	return array_map( 'vc_add_default_templates', $templates );
}
phoxy_add_default_templates();