<?php 
header("Content-type: text/css; charset: UTF-8");
echo cs_get_option( 'custom-css' );

$mobile = cs_get_option('mobile_menu');
$min_mobile = isset($mobile) && $mobile ? '1025px' : '992px';
$max_mobile = isset($mobile) && $mobile ? '1024px' : '991px'; ?>

.menu-item-label-hot{
    background-color: #222;
    color: #fff;
    font-size: 10px;
    letter-spacing: .2px;
    line-height: 1.3;
    padding: 2px 3px;
    display: inline-block;
    position: relative;
    z-index: 9999;
    margin-left: 3px;
    bottom: 6px;
    vertical-align: super;
}

.aside-menu.static #topmenu .menu li a .menu-item-label-hot{
    border: 1px solid #fff;
}
.aside-menu.static #topmenu .menu li a:hover .menu-item-label-hot{
    background: -webkit-gradient(linear,left top,right top,color-stop(0,#ccc), color-stop(.5,#eee), color-stop(1,#ccc));
    background-color: #222;
    -webkit-background-clip: text;
     -webkit-text-fill-color: transparent;
    -webkit-animation-iteration-count: infinite;
    -webkit-animation-duration: 3s;
    animation-duration: 3s;
    -webkit-animation-timing-function: linear;
    animation-timing-function: linear;
    -webkit-animation-name: slidetounlock;
    animation-name: slidetounlock;
}

.header_top_bg {
    position: relative;
    z-index: auto;
    background-color: #ffffff;
}

.header_top_bg.fixed-header {
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 100;
}

header {
    position: relative;
    width: 100%;
    z-index: 999;
    text-align: center;
}

header.absolute {
    position: absolute;
    margin-bottom: 0;
}

header a.logo {
    text-decoration: none;
    display: block;
}

header.zindex,
footer.zindex {
    z-index: 1 !important;
}

.header_top_bg.enable_fixed.fixed {
    position: fixed;
    z-index: 1000;
    width: 100%;
    top: 0;
}

.header_trans-fixed.header_top_bg.not-fixed-menu {
    position: static;
}

.header_trans-fixed.header_top_bg {
    background-color: transparent;
    position: fixed;
    z-index: 1000;
    top: 0;
    width: 100%;
}

.header_trans-fixed.header_top_bg.open header .logo span,
.header_trans-fixed.header_top_bg.open header .mob-nav i {
    color: #222222;
}

.single-post .header_trans-fixed.bg-fixed-color {
    margin-left: 0;
    width: 100%;
}

.top-menu {
    padding-bottom: 10px;
}

.top-menu .logo {
    display: inline-block;
}


.right-menu .logo span,
.only_logo .logo span {
    vertical-align: middle;
    text-align: left;
    font-family: "Source Sans Pro", sans-serif;
    font-size: 24px;
    line-height: 2;
    font-weight: 900;
    display: inline-block;
    letter-spacing: 1.2px;
    color: #222222;
    white-space: nowrap;
}
.menu_light_text .right-menu .logo span {
    color: #ffffff;
}
.right-menu #topmenu {
    text-align: right;
}

.no-menu {
    display: inline-block;
    margin-left: 12px;
}

.unit .header_trans-fixed.header_top_bg.only_logo .logo span{
    color: #222;
}
.header_trans-fixed.header_top_bg.only_logo .logo span{
    color: #fff;
}

.socials-mob-but i,
.header_top_bg.bg-fixed-color .right-menu #topmenu > ul > li:not(.current-menu-ancestor):not(.current-menu-parent) > a,
.header_top_bg.bg-fixed-color.menu_light_text .right-menu #topmenu > ul > li:not(.current-menu-ancestor):not(.current-menu-parent) > a,
.header_top_bg.bg-fixed-color .right-menu #topmenu .phoxy-shop-icon::before,
.header_trans-fixed.menu_light_text.bg-fixed-color header.right-menu .phoxy-top-social .social li a,
.header_top_bg.bg-fixed-color.menu_light_text .right-menu #topmenu .phoxy-shop-icon::before {
    color: #666!important;
}

.header_top_bg.bg-fixed-color .top-menu .logo span,
.bg-fixed-color.header_trans-fixed.menu_light_text header.right-menu .phoxy-top-social .social li a:hover{
    color: #222!important;
}

.menu_light_text .right-menu::not(.aside-menu) #topmenu ul li ul li a{
    color: #666!important;
}

.header_top_bg.bg-fixed-dark .top-menu .logo span,
.header_top_bg.bg-fixed-dark .right-menu #topmenu ul li a,
.header_top_bg.bg-fixed-dark.menu_light_text .right-menu #topmenu ul  li a,
.header_top_bg.bg-fixed-dark .right-menu #topmenu .search-icon-wrapper i,
.header_top_bg.bg-fixed-dark.menu_light_text .right-menu #topmenu .search-icon-wrapper i,
.header_top_bg.bg-fixed-dark .right-menu #topmenu .phoxy-shop-icon::before,
.header_top_bg.bg-fixed-dark.menu_light_text .right-menu #topmenu .phoxy-shop-icon::before {
    color: #ffffff;
}
.header_top_bg.bg-fixed-dark .right-menu #topmenu ul.sub-menu li a,
.header_top_bg.bg-fixed-dark.menu_light_text .right-menu #topmenu ul.sub-menu  li a {
    color: #222222;
}

#topmenu {
    width: 100%;
    text-align: center;
    background: #ffffff;
}

#topmenu ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: inline-block;
}

#topmenu ul li {
    display: inline-block;
    position: relative;
}

#topmenu ul li a {
    font-size: 12px;
    font-weight: 600;
    line-height: 2;
    letter-spacing: 2px;
    color: #222222;
    display: block;
    text-align: left;
    text-decoration: none;
    padding: 0 20px;
    transition: all .3s ease;
    -webkit-font-smoothing: antialiased;
    text-transform: uppercase;
}

.header_trans-fixed.header_top_bg.open #topmenu ul li a {
    color: #222222;
}

.top-menu #topmenu > ul > li > a,
.top-menu #topmenu ul.social > li > a {
    padding: 0;
}

header.social .fa {
    font-size: 18px;
}

.top-menu .logo img {
    max-height: 100px;
}

#topmenu ul ul {
    position: absolute;
    z-index: 999;
    left: 0;
    top: 50px;
    min-width: 250px;
    display: none;
    box-sizing: border-box;
}

#topmenu ul ul li::before {
    content: '';
    display: table;
    clear: both;
}

#topmenu ul ul li a {
    padding: 3px 30px;
    display: block;
    width: 100%;
    position: relative;
    -webkit-font-smoothing: antialiased;
}

#topmenu > ul > li > ul > li:hover ul {
    display: block;
}

#topmenu > ul > li > ul > li > ul {
    left: 101%;
    top: -15px;
}

.mob-nav {
    display: none;
    width: 20px;
    height: 20px;
    margin: 0 auto 12px;
    font-size: 14px;
    color: #222222;
    opacity: 1;
}

.mob-nav:hover {
    opacity: 0.7;
}

.header_trans-fixed .mob-nav i {
    color: #fff;
}

.header_trans-fixed.header_top_bg {
    transition: background-color 300ms ease;
}

.header_trans-fixed.header_top_bg.bg-fixed-color {
    background-color: #fff;
}
.header_trans-fixed.header_top_bg.bg-fixed-dark {
    background-color: #222;
}
.header_trans-fixed.header_top_bg.bg-fixed-color .mob-nav .line {
    background-color: #222;
}
.header_trans-fixed.header_top_bg.bg-fixed-dark .mob-nav .line {
    background-color: #fff;
}
.menu_light_text.header_trans-fixed.header_top_bg.bg-fixed-color .logo span,
.header_trans-fixed.header_top_bg.bg-fixed-color .logo span {
    color: #222;
}
.menu_light_text.header_trans-fixed.header_top_bg.bg-fixed-dark .logo span,
.header_trans-fixed.header_top_bg.bg-fixed-dark .logo span {
    color: #ffffff;
}
.menu_light_text .right-menu .mob-nav .line {
    background-color: #ffffff;
}
.right-menu .topmenu.open .mob-nav .line {
    background-color: #222222;
}
.phoxy-top-social {
    display: inline-block;
    margin-left: 0px;
    position: relative;
    vertical-align: middle;
}

.phoxy-top-social .social-icon {
    display: none;
    font-size: 14px;
    color: #222222;
    opacity: 1;
    padding: 0 20px;
    cursor: pointer;
    transition: opacity 0.3s ease;
    position: relative;
    z-index: 30;
}

.header_trans-fixed .phoxy-top-social .social-icon {
    color: #fff;
}

.phoxy-top-social .social-icon:hover {
    opacity: 0.7;
}

header .phoxy-top-social .social {
    margin-left: 0;
}

header .social li {
    display: inline-block;
    margin-left: 12px;
}

header .f-right {
    display: table-cell;
    white-space: nowrap;
    min-width: 150px;
    text-align: right;
}
header .phoxy-top-social .social li a {
    margin-left: 0;
    color: #666;
    font-size: 14px;
    font-weight: 600;
    letter-spacing: 2px;
    text-decoration: none;
    opacity: 1;
    transition: color 0.3s ease;
}

.header_trans-fixed.menu_light_text header.right-menu .phoxy-top-social .social li a {
    color: #fff;
}

header .phoxy-top-social .social li a:hover {
    opacity: 1;
    color: #222;
}

.header_trans-fixed header.right-menu .phoxy-top-social .social {
    background-color: transparent;
}

header .phoxy-top-social .social li {
    margin: 5px;
}

header .phoxy-top-social .social.active {
    visibility: visible;
    opacity: 1;
}

header .phoxy-top-social .social li a {
    line-height: 1.2;
}

#topmenu ul > li > ul > li > ul {
    display: none;
}

.header_trans-fixed.none {
    display: none;
}

.f-right .phoxy_mini_cart .product_list_widget .mini_cart_item .mini-cart-data .mini_cart_item_price {
    color: #222;
    font-size: 15px;
    font-weight: 600;
}

.mini-cart-wrapper {
    display: inline-block;
    position: relative;
    vertical-align: middle;
}

.mini-cart-wrapper .phoxy-shop-icon:hover::before {
    color: #999;
}

.mini-cart-wrapper .phoxy-shop-icon:before {
    position: relative;
    display: inline-block;
    line-height: 1;
    -webkit-transition: all 350ms ease;
    -moz-transition: all 350ms ease;
    -ms-transition: all 350ms ease;
    -o-transition: all 350ms ease;
    transition: all 350ms ease;
    color: #222222;
    font-size: 15px;
}

.mini-cart-wrapper .phoxy-shop-icon .cart-contents {
    display: -webkit-inline-box;
    display: -ms-inline-flexbox;
    display: inline-flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    position: absolute;
    top: -10px;
    right: -15px;
    width: 20px;
    height: 20px;
}

.mini-cart-wrapper .phoxy-shop-icon .cart-contents-count {
    font-size: 12px;
    font-weight: 600;
    color: #222;
}

.phoxy_mini_cart {
    position: absolute;
    right: -20px;
    top: 50px;
    display: block;
    background-color: #fff;
    opacity: 0;
    visibility: hidden;
    min-width: 360px;
    padding: 23px 30px;
    text-align: center;
    transition: opacity 0.5s ease, visibility 0.5s ease;
    box-shadow: 3px 1px 20px 0 rgba(0, 0, 0, 0.07);
}
.header_trans-fixed .f-right .phoxy_mini_cart .cart_list .mini_cart_item .remove_from_cart_button {
    color: #222;
}
.f-right .phoxy_mini_cart .cart_list .mini_cart_item .remove_from_cart_button {
    padding: 0;
    color: #222;
    font-size: 30px;
    text-decoration: none;
    font-weight: 400;
}
.f-right .phoxy_mini_cart .phoxy-buttons {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
}
.f-right .phoxy_mini_cart .phoxy-buttons a {
    display: -webkit-inline-box;
    display: -ms-inline-flexbox;
    display: inline-flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    color: #222222;
    font-size: 14px;
    font-weight: 600;
    letter-spacing: 1px;
    line-height: 2;
    text-transform: uppercase;
    text-decoration: none;
}

.f-right .phoxy_mini_cart .phoxy-buttons a:hover i {
    margin-left: 10px;
}
.f-right .phoxy_mini_cart .phoxy-buttons a i {
    margin-left: 5px;
    color: #222;
    font-size: 10px;
    -webkit-transition: all .3s ease;
    -o-transition: all .3s ease;
    transition: all .3s ease;
}
.woocommerce-mini-cart__total {
    margin: 0;
    text-transform: none;
    font-size: 15px;
    color: #999999;
}
.woocommerce-mini-cart__total span {
    margin-left: 10px;
    color: #222;
    font-size: 18px;
    font-weight: 600;
}
.mini-cart-wrapper:hover .phoxy_mini_cart {
    opacity: 1;
    visibility: visible;
}

.f-right .phoxy_mini_cart .product_list_widget {
    margin-left: 0;
    display: block;
}

.f-right .phoxy_mini_cart .product_list_widget .empty {
    line-height: 28px;
    font-weight: 400;
    color: #222;
    list-style: none;
    text-align: left;
    letter-spacing: .2px;
    font-size: 15px;
}

.f-right .phoxy_mini_cart .product_list_widget .mini_cart_item {
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-wrap: nowrap;
    -ms-flex-wrap: nowrap;
    flex-wrap: nowrap;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    padding: 0;
    padding-bottom: 10px;
    margin-bottom: 10px;
    border-bottom: 1px solid #ddd;
}

.f-right .phoxy_mini_cart .product_list_widget .mini_cart_item:last-of-type:not(.empty){
    margin-bottom: 20px;
}

.f-right .phoxy_mini_cart .product_list_widget .mini_cart_item .mini_cart_item_thumbnail {
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    width: 40%;
    max-width: 55px;
}

.f-right .phoxy_mini_cart .product_list_widget .mini_cart_item .mini_cart_item_thumbnail a {
    padding: 0;
    display: block;
}

.f-right .phoxy_mini_cart .product_list_widget .mini_cart_item .mini_cart_item_thumbnail img {
    float: none;
    max-width: 55px;
    width: 100%;
    margin-left: 0;
}

.f-right .phoxy_mini_cart .product_list_widget .mini_cart_item .mini-cart-data {
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-align-items: flex-start;
    -ms-flex-align: start;
    align-items: flex-start;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    width: 60%;
    padding-left: 20px;
}

.f-right .phoxy_mini_cart .product_list_widget .mini_cart_item .mini-cart-data .mini_cart_item_name {
    font-size: 15px;
    line-height: 1.6;
    letter-spacing: .2px;
    font-weight: 600;
    color: #222;
    text-align: left;
    text-decoration: none;
    padding: 0;
}

.f-right .phoxy_mini_cart .product_list_widget .mini_cart_item .mini-cart-data .mini_cart_item_quantity {
    font-size: 12px;
    line-height: 20px;
    letter-spacing: 2.88px;
    font-weight: 400;
    color: #b2b2b2;
    margin-bottom: 1px;
}

.f-right .phoxy_mini_cart a.button {
    margin-bottom: 0;
    letter-spacing: 1.2px;
    line-height: 20px;
    position: relative;
    display: inline-block;
    font-weight: bold;
    box-sizing: border-box;
    padding: 18px;
    font-size: 15px;
    text-decoration: none;
    -webkit-font-smoothing: antialiased;
    background-color: #222;
    color: #ffffff;
    width: 100%;
    border-radius: 0;
    -webkit-transition: all .3s ease;
    -o-transition: all .3s ease;
    transition: all .3s ease;
}

.f-right .phoxy_mini_cart a.button:hover {
    background-color: #222;
    color: #ffffff;
    background-image: none;
    border-color: #222;
}

.f-right .phoxy_mini_cart a.button:hover::after {
    right: 20px;
}

.header_trans-fixed.header_top_bg.menu_light_text.bg-fixed-color .mini-cart-wrapper .phoxy-shop-icon:before,
.header_trans-fixed.header_top_bg.menu_light_text.bg-fixed-color .mini-cart-wrapper .phoxy-shop-icon .cart-contents-count {
    color: #222;
}
.header_trans-fixed.header_top_bg.menu_light_text .mini-cart-wrapper .phoxy-shop-icon:before,
.header_trans-fixed.header_top_bg.menu_light_text .mini-cart-wrapper .phoxy-shop-icon .cart-contents-count {
    color: #fff;
}

.socials-mob-but {
    display: none;
}

.socials-mob-but:active,
.socials-mob-but:visited {
    opacity: 1;
}

header .logo img {
    max-width: none;
    max-height: 75px;
}

header .logo img.logo-hover {
    display: none;
}
header .logo:hover {
    opacity: 1;
}

.header_trans-fixed .f-right > div:first-child::before {
    background: #fff !important;
}

@media only screen and (max-width: 1199px) {
    .phoxy-top-social {
        margin-left: 5px;
    }
}

@media (min-width: <?php echo esc_attr($min_mobile); ?>) {
    .mini-cart-wrapper.mob-version{
        display: none;
    }
    .header_top_bg.header_trans-fixed.hide-menu{
        opacity: 0;
        visibility: hidden;
    }

    .f-right.mob-version{
        display: none;
    }

    .header_top_bg.header_trans-fixed.hide-menu.bg-fixed-color{
        opacity: 1;
        visibility: visible;
    }

    header .logo img.logo-mobile{
        display: none!important;
    }
    .menu_light_text.header_top_bg  .logo span,
    .menu_light_text.header_top_bg .right-menu .logo span,
    .menu_light_text.header_top_bg .right-menu #topmenu ul li a,
    .menu_light_text.header_top_bg .right-menu #topmenu .phoxy-shop-icon::before,
    .menu_light_text.header_top_bg .right-menu #topmenu .search-icon-wrapper i,
    .menu_light_text.header_top_bg .right-menu .socials-mob-but i {
        color: #ffffff;
    }
    .menu_light_text.header_top_bg .right-menu:not(.aside-menu) #topmenu .sub-menu li a {
        color: #222222;
    }
    .mob-nav-close {
        display: none;
    }
    .header_trans-fixed #topmenu {
        background-color: transparent;
    }

    #topmenu ul ul {
        padding: 10px 0;
    }

    .right-menu .logo-wrap{
        text-align: left;
        min-width: 150px;
    }
    .right-menu.simple .logo-wrap{
        min-width: auto;
    }
    .right-menu .logo-wrap,
    .right-menu #top-menu {
        display: table-cell;
        vertical-align: middle;
    }

    .top-menu #topmenu ul ul {
        left: -20px;
    }

    .top-menu .phoxy-top-social {
        margin-left: 10px;
    }

    #topmenu ul ul li {
        display: block;
        margin-bottom: 5px;
    }

    #topmenu ul ul li:last-child {
        margin-bottom: 0;
    }

    .top-menu #topmenu > ul:not(.social) > li {
        margin: 0 10px 5px 10px;
        padding: 0;
    }

    #topmenu ul li:hover > ul {
        display: block;
    }

    header .f-right > div {
        position: relative;
    }

    header .f-right > div:last-child::before {
        content: none;
    }

    #topmenu > ul > li > ul > li > ul {
        left: -100%;
        top: -15px;
    }

    .sub-menu li a {
        z-index: 1999;
    }

    .pr30md {
        padding-right: 30px !important;
        padding-left: 0 !important;
    }

    .right-menu {
        width: 100%;
        margin: auto;
        display: table;
        padding: 0;
    }

    .right-menu .f-right > div {
        position: relative;
        margin-left: 10px;
    }

    .right-menu .f-right > div:last-child::before {
        content: none;
    }

    header:not(.full) .right-menu #topmenu {
        text-align: center;
        display: table-cell !important;
        margin-top: 0;
        vertical-align: middle;
    }

    .header_trans-fixed.header_top_bg .right-menu:not(.static) #topmenu > ul > li > a {
        transform: translateZ(0);
    }

    .header_trans-fixed.header_top_bg .right-menu:not(.aside-menu) #topmenu > ul ul {
        top: 60px;
    }

    .header_trans-fixed.header_top_bg .right-menu:not(.aside-menu) #topmenu > ul ul ul {
        top: -10px;
    }

    .right-menu #topmenu ul ul {
        left: 10px;
        top: 44px;
    }

    .top-menu #topmenu ul ul {
        left: -20px;
        top: 100%;
    }

    .right-menu #topmenu > ul > li > ul > li > ul {
        left: 100%;
        top: -10px;
    }

    .top-menu #topmenu > ul > li > ul > li > ul {
        left: 100%;
        top: -10px;
    }

    header.right-menu .social {
        text-align: right;
        vertical-align: top;
    }

    header.right-menu .social li a {
        padding: 0;
        margin-left: 0;
        font-size: 14px;
        -webkit-transition: color 350ms ease;
        -moz-transition: color 350ms ease;
        -ms-transition: color 350ms ease;
        -o-transition: color 350ms ease;
        transition: color 350ms ease;
    }

    header.right-menu .social li a:hover {
        color: #222;
    }

    header.right-menu .social li a::after,
    header.right-menu .social li a::before {
        content: none;
    }

    .right-menu #topmenu > ul > li > a {
        position: relative;
        padding: 0;
        margin: 0 23px;
    }

    .right-menu #topmenu > ul > li.current-menu-item > a,
    .top-menu #topmenu > ul > li.current-menu-item > a,
    .right-menu #topmenu > ul > li.current-menu-parent > a,
    .top-menu #topmenu > ul > li.current-menu-parent > a {
        transition: all 0.5s ease;
    }

    .right-menu .logo img {
        max-height: 75px;
        margin: 5px auto;
    }
    .full-width-menu .right-menu .logo img {
        margin: 0;
        max-height: 77px;
    }

    .top-menu #topmenu > ul > li:last-child > ul > li > ul {
        left: calc(-100% - 30px);
    }

    header .phoxy-top-social .social {
        z-index: 25;
        text-align: left;
        transition: opacity 0.3s ease;
        margin-bottom: 0;
    }

    .aside-nav {
        display: none;
    }

    .aside-menu {
        position: fixed;
        top: 0;
        left: 0;
    }

    .aside-menu .topmenu {
        position: fixed;
        top: 0;
        left: -100%;
        height: 100%;
        width: 256px !important;
        padding: 50px 0;
        margin-left: 58px;
        text-align: center;
        background-color: #fff;
        box-sizing: border-box;
        outline: 0;
        z-index: 101;
        backface-visibility: hidden;
        transition: left 0.5s cubic-bezier(0.77, 0, 0.175, 1);
    }

    .aside-menu .topmenu.active-menu {
        left: 0;
    }

    .aside-menu.active-menu {
        left: 0;
    }

    .aside-menu.active-menu .aside-nav .aside-nav-line.line-1 {
        display: none;
    }

    .aside-menu.active-menu .aside-nav .aside-nav-line.line-2 {
        transform: rotate(45deg);
    }

    .aside-menu.active-menu .aside-nav .aside-nav-line.line-3 {
        transform: rotate(-45deg);
    }

    .aside-menu .logo {
        position: absolute;
        z-index: 9999;
        top: 20px;
        left: 31px;
        padding: 20px 0;
    }

    .aside-menu .aside-nav {
        position: fixed;
        display: block;
        left: 0;
        top: 0;
        width: 58px;
        background-color: #030e28;
        height: 100%;
        z-index: 1000;
    }

    .aside-menu .aside-nav .aside-nav-line {
        position: absolute;
        top: 50%;
        left: 18px;
        display: block;
        width: 22px;
        height: 1px;
        background-color: #fff;
        transition: transform .3s ease;
    }

    .aside-menu .aside-nav .aside-nav-line.line-1 {
        transform: translateY(-6px);
    }

    .aside-menu .aside-nav .aside-nav-line.line-3 {
        transform: translateY(6px);
    }

    .aside-menu .aside-nav:hover {
        opacity: 1;
    }

    .aside-menu .aside-nav:focus {
        opacity: 1;
    }

    .aside-menu .aside-nav:hover .aside-nav-line {
        transform: rotate(45deg);
    }

    .aside-menu #topmenu {
        display: table !important;
        border-right: 1px solid #f2f2f2;
    }

    .aside-menu #topmenu ul.menu {
        display: inline-block;
        vertical-align: middle;
        overflow-y: auto;
        width: 100%;
        max-height: 100%;
        position: absolute;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
        z-index: 100;
    }

    .aside-menu #topmenu ul.menu li {
        padding: 7px 20px 7px 45px;
        position: static;
        text-align: left;
        display: block;
    }
    .aside-menu #topmenu ul.menu a {
        display: block;
        text-align: center;
        z-index: 9999;
    }

    .aside-menu #topmenu .f-right {
        float: none;
        position: absolute;
        left: 50%;
        width: calc(100% - 35px);
        transform: translateX(-50%);
        bottom: 40px;
        z-index: 2;
    }

    .aside-menu #topmenu .f-right .phoxy-top-social {
        margin-left: 0;
        margin-top: 35px;
    }

    .aside-menu #topmenu .f-right .phoxy-top-social li {
        margin-left: 0;
        margin-right: 10px;
    }

    .aside-menu #topmenu .f-right .phoxy-top-social li a{
        padding: 0;
        font-size: 14px;
    }

    .aside-menu #topmenu > ul > li:hover ul,
    .aside-menu #topmenu > ul > li > ul > li:hover ul {
        display: none;
    }

    header:not(.aside-menu):not(.full) #topmenu ul li.mega-menu {
        position: static;
    }

    header:not(.aside-menu):not(.full).right-menu #topmenu ul .mega-menu > ul {
        width: 100%;
        left: 50%;
        top: 100%;
        padding: 30px 0;
        -webkit-transform: translateX(-50%);
        -moz-transform: translateX(-50%);
        -ms-transform: translateX(-50%);
        -o-transform: translateX(-50%);
        transform: translateX(-50%);
    }


    header:not(.aside-menu):not(.full) #topmenu ul li.mega-menu > ul::before {
        content: "";
        position: absolute;
        width: 5000px;
        top: 0;
        bottom: 0;
        left: -100%;
        background-color: #fff;
        box-shadow: 3px 1px 20px 0 rgba(0, 0, 0, 0.07);
        z-index: -1;
        opacity: 0;
        visibility: hidden;
        -webkit-transition: opacity .5s ease, visibility .5s ease;
        -o-transition: opacity .5s ease, visibility .5s ease;
        transition: opacity .5s ease, visibility .5s ease;
    }

    header:not(.aside-menu):not(.full) #topmenu ul li.mega-menu:hover > ul::before {
        opacity: 1;
        visibility: visible;
    }

    header:not(.aside-menu):not(.full).right-menu #topmenu ul .mega-menu > ul{
        background: transparent;
        box-shadow: none;
    }

    header:not(.aside-menu):not(.full) #topmenu ul li.mega-menu > ul > li {
        float: left;
        width: 20%;
        padding: 0 30px 5px;
        margin-bottom: 0;
    }

    header:not(.aside-menu):not(.full) #topmenu ul li.mega-menu > ul > li:nth-child(5n - (5n - 4)){
        padding-left: 15px;
    }

    header:not(.aside-menu):not(.full) #topmenu ul li.mega-menu > ul > li:nth-child(2)::after,
    header:not(.aside-menu):not(.full) #topmenu ul li.mega-menu > ul > li:nth-child(3)::after,
    header:not(.aside-menu):not(.full) #topmenu ul li.mega-menu > ul > li:nth-child(4)::after,
    header:not(.aside-menu):not(.full) #topmenu ul li.mega-menu > ul > li:nth-child(5)::after{
        content:'';
        height: 100%;
        width: 1px;
        background: #999;
        top: 0;
        position: absolute;
        display: block;
    }

    header:not(.aside-menu):not(.full) #topmenu ul li.mega-menu > ul > li:nth-child(2)::after{
        left: 20%;
    }
    header:not(.aside-menu):not(.full) #topmenu ul li.mega-menu > ul > li:nth-child(3)::after{
        left: 40%;
    }
    header:not(.aside-menu):not(.full) #topmenu ul li.mega-menu > ul > li:nth-child(4)::after{
        left: 60%;
    }
    header:not(.aside-menu):not(.full) #topmenu ul li.mega-menu > ul > li:nth-child(5)::after{
        left: 80%;
    }
    header:not(.aside-menu):not(.full) #topmenu ul > li.mega-menu > ul.sub-menu > li > ul.sub-menu {
        display: block;
        position: static;
        text-align: left;
        min-width: 100%;
        box-shadow: none;
        padding: 5px 0;
        transition: all .2s ease;
    }

    header:not(.aside-menu):not(.full) #topmenu ul > li.mega-menu > ul > li > ul.sub-menu > li {
        display: block;
        padding: 2px 0;
        margin-bottom: 0;
    }

    header:not(.aside-menu):not(.full) #topmenu ul > li.mega-menu > ul > li > ul.sub-menu > li a{
        line-height: 1.3;
    }

    header:not(.aside-menu):not(.full) #topmenu ul > li.mega-menu > ul > li > ul.sub-menu > li a {
        opacity: 0;
        text-transform: none;
        -webkit-transform: matrix(1, 0, 0, 1, 0, 20);
        -ms-transform: matrix(1, 0, 0, 1, 0, 20);
        transform: matrix(1, 0, 0, 1, 0, 20);
        -webkit-transition: opacity .75s ease, -webkit-transform .75s ease;
        -o-transition: opacity .75s ease, transform .75s ease;
        transition: opacity .75s ease, transform .75s ease, -webkit-transform .75s ease;
    }
    header:not(.aside-menu):not(.full).right-menu #topmenu ul .mega-menu ul li {
        position: static;
        display: block;
    }

    header.top-menu #topmenu ul li.mega-menu > ul {
        top: calc(100% - 25px);
    }

    header.top-menu #topmenu ul li.mega-menu > ul > li::before {
        display: none;
    }

    header.top-menu #topmenu ul ul {
        left: 0;
    }

    header.top-menu #topmenu ul li.mega-menu > ul > li:nth-child(1)::before,
    header.top-menu #topmenu ul li.mega-menu > ul > li:nth-child(2)::before,
    header.top-menu #topmenu ul li.mega-menu > ul > li:nth-child(3)::before {
        left: 100%;
        display: block;
        top: 0;
    }

    .top-menu .logo span {
        padding: 24px 10px;
    }

    header.top-menu .logo span {
        padding: 15px 10px;
    }

    .top-menu #topmenu > ul:not(.social) > li {
        margin: 0 0 5px;
        padding: 0 23px;
    }

    .top-menu #topmenu > ul > li:last-child > ul > li > ul {
        left: calc(-100%);
    }

    .top-menu #topmenu > ul > li > ul > li > ul {
        left: calc(100% + 23px);
    }
}

@media only screen and (min-width: <?php echo esc_attr($min_mobile); ?>) and (max-width: 1500px) {
    header:not(.aside-menu):not(.full).right-menu #topmenu ul .mega-menu > ul{
        width: 100vw;
    }
}

@media only screen and (min-width: <?php echo esc_attr($min_mobile); ?>) and (max-width: 1200px) {
    header:not(.aside-menu):not(.full) #topmenu ul li.mega-menu > ul > li{
        width: 25%;
    }
    header:not(.aside-menu):not(.full) #topmenu ul li.mega-menu > ul > li:nth-child(5n - (5n - 4)){
        padding-left: 30px;
    }
    header:not(.aside-menu):not(.full) #topmenu ul li.mega-menu > ul > li:nth-child(4n - (4n - 3)){
        padding-left: 15px;
    }
    header:not(.aside-menu):not(.full) #topmenu ul li.mega-menu > ul > li:nth-child(2)::after{
        left: 25%;
    }
    header:not(.aside-menu):not(.full) #topmenu ul li.mega-menu > ul > li:nth-child(3)::after{
        left: 50%;
    }
    header:not(.aside-menu):not(.full) #topmenu ul li.mega-menu > ul > li:nth-child(4)::after{
        left: 75%;
    }
    header:not(.aside-menu):not(.full) #topmenu ul li.mega-menu > ul > li:nth-child(5)::after{
        display: none;
    }
}

@media (min-width: <?php echo esc_attr($min_mobile); ?>) and (max-width: 1199px) {
    .right-menu #topmenu > ul > li > a {
        margin: 0 18px;
    }
}

@media (min-width: <?php echo esc_attr($max_mobile); ?>) {

    .main-wrapper.unit .right-menu #topmenu > ul > li > a {
        margin: 0 15px;
    }
}
@media only screen and (min-width: <?php echo esc_attr($max_mobile); ?>) and (max-width: 1100px) {
    .main-wrapper.unit .right-menu #topmenu > ul > li > a {
        margin: 0 10px;
    }
}


/*------------------------------------------------------*/
/*---------------------- MOBILE MENU ----------------------*/
@media (max-width: <?php echo esc_attr($max_mobile); ?>) {
    .aside-nav{
        display: none;
    }
    .header_trans-fixed.header_top_bg.menu_light_text .mini-cart-wrapper .phoxy-shop-icon:before,
    .header_trans-fixed.header_top_bg.menu_light_text .mini-cart-wrapper .phoxy-shop-icon .cart-contents-count{
        color: #222;
    }
    .mini-cart-wrapper.mob-version{
        display: block;
        float: left;
        padding: 15px 0;
        margin-left: 32px;
        text-align: left;
    }

    .mini-cart-wrapper.mob-version .phoxy-shop-icon .cart-contents{
        top: -3px;
    }
    .mini-cart-wrapper.mob-version .phoxy-shop-icon{
        position: relative;
    }

    .header_top_bg{
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        z-index: 100;
    }

    .f-right.mob-version{
        display: block;
    }

    #footer.classic img.main-logo:not(.logo-mobile),
    header .logo img.main-logo:not(.logo-mobile){
        display: none!important;
    }
    #footer.classic img.logo-mobile,
    header .logo img.logo-mobile{
        display: inline;
        padding: 10px 0;
    }
    .aside-menu.static #topmenu .f-right .copy {
        display: none;
    }

    .header_top_bg > .container {
        width: 100%;
    }

    #topmenu {
        overflow-x: hidden;
    }

    .header_trans-fixed.header_top_bg .mini-cart-wrapper .phoxy-shop-icon .cart-contents-count {
        color: #222222;
    }

    .main-wrapper {
        width: 100%;
    }

    .main-wrapper header .logo img {
        max-height: 75px;
    }

    header {
        padding: 10px 0px;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    #topmenu ul li ul {
        box-shadow: none;
        font-style: normal;
    }

    #topmenu ul {
        box-shadow: none;
        font-style: normal;
    }

    .header_top_bg > .container > .row > .col-xs-12 {
        padding: 0;
    }

    .top-menu .logo {
        margin-bottom: 0;
        margin-top: 0;
    }

    .no-padd-mob {
        padding: 0 !important;
    }
    .right-menu #topmenu .menu li.menu-item-has-children,
    #topmenu .menu li.menu-item-has-children {
        position: relative;
        text-align: left;
    }
    .right-menu #topmenu .menu li.menu-item-has-children i,
    #topmenu .menu li.menu-item-has-children i {
        position: absolute;
        top: 16px;
        right: 35px;
    }

    .right-menu #topmenu .menu li.menu-item-has-children > a,
    #topmenu .menu li.menu-item-has-children > a {
        position: relative;
        display: inline-block;
        width: auto!important;
    }
    .mob-nav {
        display: block;
        width: auto;
        margin: 0;
    }

    .mob-nav i::before {
        font-size: 24px;
    }
    .sidebar-open {
        height: 100vh;
    }
    .sidebar-open .canvas-wrap {
        left: 320px;
    }
    .sidebar-open .header_top_bg {
        position: fixed;
    }
    .main-wrapper {
        left: 0;
        transition: all .5s ease-in-out;
    }
    .main-wrapper::before {
        content: '';
        display: block;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(0,0,0,0.75);
        z-index: 400;
        opacity: 0;
        visibility: hidden;
        -webkit-transition: all 0.5s ease-in-out;
        transition: all 0.5s ease-in-out;
    }
    .sidebar-open .main-wrapper {
        left: 320px;
        overflow: visible;
    }
    .sidebar-open .main-wrapper::before {
        opacity: 1;
        visibility: visible;
    }
    .mob-nav-close {
        display: block;
        float: right;
        text-decoration: none;
        padding: 15px 0;
        line-height: 36px;
        margin-right: 35px;
    }
    .mob-nav-close span {
        font-size: 12px;
        font-weight: 600;
        letter-spacing: 2px;
        text-transform: uppercase;
        display: inline-block;
    }
    .mob-nav-close .hamburger {
        padding-left: 15px;
        display: inline-block;
        vertical-align: middle;
        margin-bottom: 2px;
    }
    .mob-nav-close .line {
        display: block;
        width: 24px;
        height: 2px;
        background-color: #222222;
    }

    .mob-nav-close .line:first-of-type {
        -webkit-transform: rotate(45deg) translateY(2px);
        -moz-transform: rotate(45deg) translateY(2px);
        -ms-transform: rotate(45deg) translateY(2px);
        -o-transform: rotate(45deg) translateY(2px);
        transform: rotate(45deg) translateY(2px);
    }

    .mob-nav-close .line:last-of-type {
        -webkit-transform: rotate(-45deg) translateY(-1px);
        -moz-transform: rotate(-45deg) translateY(-1px);
        -ms-transform: rotate(-45deg) translateY(-1px);
        -o-transform: rotate(-45deg) translateY(-1px);
        transform: rotate(-45deg) translateY(-1px);
    }
    #topmenu {
        display: inline-block;
        overflow-y: auto;
        position: fixed;
        text-align: left;
        padding-top: 0;
        padding-bottom: 100px;
        top: 0;
        bottom: 0;
        width: 320px;
        left: -320px;
        background-color: #fff;
        height: 100vh;
        z-index: 100;
        transition: all .5s ease-in-out;
    }
    body.admin-bar #topmenu {
        top: 46px;
    }
    .sidebar-open #topmenu {
        position: fixed;
        left: 0;
    }
    #topmenu ul ul {
        display: none;
        position: static;
    }

    #topmenu ul.menu > li > ul > li > ul {
        display: none;
    }

    #topmenu ul.menu {
        width: 100%;
        display: inline-block;
        padding-bottom: 10px;
        background-color: #fff;
        border-top: 1px solid #f1f2f3;
    }

    #topmenu ul.menu li {
        display: block !important;
        float: none;
        text-align: left;
        margin-bottom: 0;
    }

    #topmenu ul.menu li a::before{
        content: '';
        position: absolute;
        bottom: 0;
        left: 0;
        width: 320px;
        height: 1px;
        display: block;
        background-color: #f1f2f3;
    }
    #topmenu ul.menu li a {
        font-size: 12px;
        font-weight: 600;
        letter-spacing: 2px;
        text-transform: uppercase;
        color: #222222;
        padding: 10px 35px;
        line-height: 25px;
        display: inline-block;
        width: auto!important;
        float: none;
        transition: all 0.5s ease;
    }

    /*2 level menu*/
    #topmenu > ul.menu > li > ul > li,
    #topmenu > ul.menu > li > ul > li > ul > li {
        padding-left: 10px;

    }

    #topmenu > ul.menu > li > ul > li > ul > li:last-child {
        margin-bottom: 20px;
    }

    header .social li a {
        line-height: 25px !important;
    }

    #topmenu .menu li a:hover,
    #topmenu .menu .current-menu-parent > a,
    #topmenu .menu .current-menu-item > a,
    #topmenu .menu .current-menu-ancestor > a {
        color: #999!important;
    }

    header.right-menu .social {
        display: block;
    }

    header.right-menu .social li {
        display: inline-block;
    }

    header.right-menu .social li a {
        padding: 5px!important;
    }

    .phoxy-top-social .social-icon {
        display: none;
    }

    header.right-menu .phoxy-top-social .social {
        position: static;
        visibility: visible;
        opacity: 1;
    }

    .header_trans-fixed.open header.right-menu .phoxy-top-social .social li a {
        color: #222222;
    }

    #topmenu ul li.mega-menu:hover > ul > li {
        width: 100%;
    }

    #topmenu ul li.mega-menu:hover > ul > li {
        width: auto;
    }

    #topmenu.active-socials {
        left: 0;
        right: 0;
        overflow: visible;
        opacity: 1;
        width: 100%;
    }

    header .f-right {
        background: #fff;
        padding: 15px;
        text-align: center;
        z-index: 9999;
        width: 100%;
        transition: all 350ms ease;
        display: none;
    }

    header .f-right.active-socials {
        opacity: 1;
        visibility: visible;
    }

    header .f-right.active-socials a {
        visibility: visible;
    }

    header .f-right .header_trans-fixed.open header.right-menu .phoxy-top-social .social li a {
        transition: none;
    }

    .socials-mob-but {
        display: block;
        margin: 0;
        position: absolute;
        top: calc(50% + -3px);
        right: 20px;
        -webkit-transform: translateY(-50%);
        -ms-transform: translateY(-50%);
        transform: translateY(-50%);
    }

    .socials-mob-but i::before {
        font-size: 24px;
    }

    header.social .fa,
    .mini-cart-wrapper .phoxy-shop-icon {
        font-size: 28px;
        transition: none;
    }

    .mini-cart-wrapper .phoxy-shop-icon {
        margin: 5px;
        line-height: 36px;
    }

    .mini-cart-wrapper {
        margin: 0;
    }

    .header_trans-fixed.header_top_bg.open header .socials-mob-but i,
    .header_trans-fixed header .phoxy-top-social .social li a,
    .header_trans-fixed .mini-cart-wrapper .phoxy-shop-icon::before {
        color: #222222 !important;
    }

    .header_trans-fixed.header_top_bg {
        transition: none;
    }

    .phoxy-top-social {
        vertical-align: middle;
        margin-left: 0;
    }

    .mini-cart-wrapper .phoxy-shop-icon:before {
        margin-top: -3px;
        font-size: 20px;
    }

    .header_trans-fixed.header_top_bg.open {
        background-color: #fff;
        position: fixed;
        z-index: 1000;
        top: 0;
        width: 100%;
    }
    .right-menu .mob-nav .line {
        width: 18px;
        height: 2px;
        background-color: #222222;
        display: block;
        float: left;
        margin: 3px auto;
        -webkit-transition: all 0.3s ease-in-out;
        -o-transition: all 0.3s ease-in-out;
        transition: all 0.3s ease-in-out;
    }

    .right-menu .mob-nav .hamburger {
        display: inline-block;
    }
    .right-menu .mob-nav .hamburger i {
        font-family: "Source Sans Pro", sans-serif;
        font-style: normal;
        font-size: 14px;
        font-weight: 600;
        letter-spacing: 2px;
        text-transform: uppercase;
        display: inline-block;
        margin-top: 4px;
    }
    .header_trans-fixed.menu_light_text .right-menu .mob-nav .hamburger i {
        color: #ffffff;
    }
    .header_trans-fixed .right-menu .mob-nav .hamburger i,
    .header_trans-fixed.bg-fixed-color .right-menu .mob-nav .hamburger i {
        color: #222222;
    }
    .header_trans-fixed.bg-fixed-dark .right-menu .mob-nav .hamburger i {
        color: #fff;
    }
    .right-menu .mob-nav.active .line {
        margin: 0;
        background-color: #222222;
    }
    .right-menu .mob-nav.active .line:nth-of-type(2) {
        opacity: 0;
    }
    .right-menu .mob-nav.active .line:nth-of-type(1) {
        width: 24px;
        -webkit-transform: translateY(2px) rotate(45deg);
        -ms-transform: translateY(2px) rotate(45deg);
        -o-transform: translateY(2px) rotate(45deg);
        transform: translateY(2px) rotate(45deg);
    }
    .right-menu .mob-nav.active .line:nth-of-type(3) {
        width: 24px;
        -webkit-transform: translateY(-4px) rotate(-45deg);
        -ms-transform: translateY(-4px) rotate(-45deg);
        -o-transform: translateY(-4px) rotate(-45deg);
        transform: translateY(-4px) rotate(-45deg);
    }
    .right-menu .mob-nav .line:nth-of-type(2) {
        width: 24px;
    }
    .search-form input {
        width: 100%;
        border: 0;
        border-bottom: 1px solid #222;
        background-color: transparent;
        color: #999999;
        font-size: 15px;
        padding: 14px 0;
    }
    .search-icon-wrapper {
        display: block;
        position: relative;
        margin-top: 30px;
    }
    .search-icon-wrapper i {
        position: absolute;
        top: 50%;
        right: 20px;
        -webkit-transform: translateY(-50%);
        -moz-transform: translateY(-50%);
        -ms-transform: translateY(-50%);
        -o-transform: translateY(-50%);
        transform: translateY(-50%);
    }
    .search-icon-wrapper .input-group {
        width: 100%;
    }
}

/*BOTTOM MENU*/

@media only screen and (min-width: <?php echo esc_attr($min_mobile); ?>) {
    .menu-bottom:not(.static-menu):not(.body-aside-menu) .main-wrapper{
        display: -webkit-flex;
        display: flex;
        flex-direction: column;
    }
    .menu-bottom:not(.static-menu):not(.body-aside-menu) .header_top_bg .logo span{
        color: #fff;
    }
    .menu-bottom:not(.static-menu):not(.body-aside-menu) .header_top_bg .mini-cart-wrapper .phoxy-shop-icon:before,
    .menu-bottom:not(.static-menu):not(.body-aside-menu) .header_top_bg #topmenu > .menu > li > a,
    .menu-bottom:not(.static-menu):not(.body-aside-menu) .header_top_bg .phoxy-top-social .social li a{
        color: #aaa!important;
    }
    .menu-bottom:not(.static-menu):not(.body-aside-menu) .header_top_bg{
        order: 5;
        margin-top: 0!important;
        background-color: #222;
    }
    .menu-bottom:not(.static-menu):not(.body-aside-menu) #topmenu{
        background-color: #222;
    }
    .menu-bottom:not(.static-menu):not(.body-aside-menu) .phoxy_mini_cart{
        top: auto;
        bottom: 50px;
    }
    .menu-bottom:not(.static-menu):not(.body-aside-menu) #topmenu > ul > li > .sub-menu{
        top: auto;
        bottom: 75px;
    }
    .menu-bottom:not(.static-menu):not(.body-aside-menu) .header_trans-fixed,
    .menu-bottom:not(.static-menu):not(.body-aside-menu) .fixed-header{
        top: auto;
        bottom: 0;
    }
    .menu-bottom:not(.static-menu):not(.body-aside-menu) #topmenu ul .mega-menu > ul{
        top: auto!important;
    }

    .menu-bottom:not(.static-menu):not(.body-aside-menu) .header_top_bg .mini-cart-wrapper a:hover .phoxy-shop-icon:before,
    .menu-bottom:not(.static-menu):not(.body-aside-menu) .phoxy-top-social .social li a:hover,
    .menu-bottom:not(.static-menu):not(.body-aside-menu) #topmenu .menu > li > a:hover,
    .menu-bottom:not(.static-menu):not(.body-aside-menu) #topmenu .menu > li.current-menu-parent > a,
    .menu-bottom:not(.static-menu):not(.body-aside-menu) #topmenu .menu > li.current-menu-item > a,
    .menu-bottom:not(.static-menu):not(.body-aside-menu) #topmenu .menu > li.current-menu-ancestor > a{
        color: #fff!important;
    }

}


@media only screen and (max-width: <?php echo esc_attr($max_mobile); ?>) {
    .about-mob-section-wrap .about-hamburger {
        width: 20px;
        cursor: pointer;
        position: absolute;
        top: 50%;
        right: 20px;
        -webkit-transform: translateY(-50%);
        -ms-transform: translateY(-50%);
        transform: translateY(-50%);
        z-index: 100;
    }
    .menu_light_text.bg-fixed-color .about-mob-section-wrap .about-hamburger .line {
        background-color: #222222;
    }
    .menu_light_text.bg-fixed-dark .about-mob-section-wrap .about-hamburger .line {
        background-color: #fff;
    }
    .menu_light_text .about-mob-section-wrap .about-hamburger .line {
        background-color: #ffffff;
    }
    .about-mob-section-wrap .about-hamburger .line {
        display: block;
        width: 18px;
        height: 2px;
        background-color: #222222;
        float: right;
        margin: 3px auto;
        -webkit-transition: all 0.3s ease-in-out;
        -o-transition: all 0.3s ease-in-out;
        transition: all 0.3s ease-in-out;
    }

    .menu_light_text.bg-fixed-color .about-mob-section-wrap.open .about-hamburger .line{
        background-color: #fff;
    }

    .about-mob-section-wrap .about-hamburger .line:nth-of-type(2) {
        width: 24px;
    }
    .about-mob-section-wrap .mobile-about-section {
        position: fixed;
        top: 0;
        bottom: 0;
        right: 0;
        width: 320px;
        height: 100%;
        background-color: #000;
        transition: opacity .75s ease, visibility .75s ease, transform .75s ease;
        -webkit-transform:translateX(100%);
        -moz-transform: translateX(100%);
        -ms-transform: translateX(100%);
        -o-transform: translateX(100%);
        transform:translateX(100%);
        visibility: hidden;
    }
    /* style for open menu */
    .about-mob-section-wrap.open .mobile-about-section {
        visibility: visible;
        opacity: 1;
        -webkit-transform:translateX(0);
        -moz-transform: translateX(0);
        -ms-transform: translateX(0);
        -o-transform: translateX(0);
        transform: translateX(0);
        overflow-y: auto;
    }
    .about-mob-section-wrap.open .about-hamburger .line {
        background-color: #ffffff;
    }
    .about-mob-section-wrap.open .about-hamburger .line:nth-of-type(2) {
        opacity: 0;
    }
    .about-mob-section-wrap.open .about-hamburger .line:nth-of-type(1) {
        width: 24px;
        -webkit-transform: translateY(7px) rotate(45deg);
        -ms-transform: translateY(7px) rotate(45deg);
        -o-transform: translateY(7px) rotate(45deg);
        transform: translateY(7px) rotate(45deg);
    }
    .about-mob-section-wrap.open .about-hamburger .line:nth-of-type(3) {
        width: 24px;
        -webkit-transform: translateY(-9px) rotate(-45deg);
        -ms-transform: translateY(-9px) rotate(-45deg);
        -o-transform: translateY(-9px) rotate(-45deg);
        transform: translateY(-9px) rotate(-45deg);
    }
    /*end of*/

    .about-mob-section-wrap .about-section-inner {
        padding: 65px 40px 40px;
    }
    .about-mob-section-wrap .mobile-about-section .about-social-title{
        font-size: 19px;
        line-height: 1.3;
        font-family:"Source Sans Pro", sans-serif;
        letter-spacing: .2px;
        color: #fff;
        display: block;
        font-weight: 600;
        margin-top: 50px;
        margin-bottom: 20px;
    }
    .about-mob-section-wrap .mobile-about-section .about-gallery-list{
        margin-left: -5px;
        width: -webkit-calc(100% + 10px);
        width: calc(100% + 10px);
    }

    .about-mob-section-wrap .mobile-about-section .about-gallery-list li a{
        background-size: cover;
        background-position: center;
        display: block;
        height: 100%;
        width: 100%;
    }
    .about-mob-section-wrap .mobile-about-section .about-gallery-list li{
        width: calc(50% - 10px);
        display: block;
        float: left;
        margin: 5px;
    }
    .about-mob-section-wrap .about-section-inner .about-gallery-wrap{
        margin-top: 40px;
    }
    .about-mob-section-wrap .about-section-inner .social{
        display: block;
        text-align: center;
        margin-left: 0;
    }

    .about-mob-section-wrap .about-section-inner .social li{
        display: inline-block;
    }

    .about-mob-section-wrap .about-section-inner .social li a{
        color: #fff;
        font-size: 16px;
        margin-right: 30px;
        -webkit-transition: all 350ms ease;
        -moz-transition: all 350ms ease;
        -ms-transition: all 350ms ease;
        -o-transition: all 350ms ease;
        transition: all 350ms ease;
    }
    .about-mob-section-wrap .about-section-inner .social li a:hover{
        opacity: .8;
    }
    .about-mob-section-wrap .mobile-about-section .about-text-wrap p {
        margin-top: 15px;
        max-width: 580px;
        text-align: center;
        line-height: 1.6;
        font-size: 15px;
    }
    .about-mob-section-wrap .mobile-about-section .about-gallery-wrap .mob-about-title {
        margin-bottom: 20px;
        color: #ffffff;
        font-family: "Source Sans Pro", sans-serif;
        font-size: 30px;
        font-weight: 600;
        letter-spacing: 1px;
        line-height: 1.1;
        width: 100%;
        text-align: left;
    }
    .about-mob-section-wrap .mobile-about-section .about-gallery-wrap .s-back-switch {
        -webkit-background-size: cover;
        background-size: cover;
        background-repeat: no-repeat;
        background-position: center;
        position: relative;
    }
    .about-mob-section-wrap .mobile-about-section .about-gallery-wrap .s-back-switch::before {
        position: absolute;
        top: 0;
        right: 0;
        left: 0;
        bottom: 0;
        background-color: rgba(0, 0, 0,  .4);
        transition: opacity .3s ease, visibility .3s ease;
        visibility: hidden;
        opacity: 0;
        content: "";
    }
    .about-mob-section-wrap .mobile-about-section .about-gallery-wrap .s-back-switch:hover::before {
        opacity: 1;
        visibility: visible;
    }


    .about-mob-section-wrap .mobile-about-section .about-text-wrap,
    .about-mob-section-wrap .mobile-about-section .about-gallery-wrap {
        width: 100%;

    }
    .about-mob-section-wrap .mobile-about-section .about-text-wrap {
        text-align: center;
    }
    .about-mob-section-wrap .mobile-about-section .about-text-wrap h1,
    .about-mob-section-wrap .mobile-about-section .about-text-wrap h2,
    .about-mob-section-wrap .mobile-about-section .about-text-wrap h3,
    .about-mob-section-wrap .mobile-about-section .about-text-wrap h4,
    .about-mob-section-wrap .mobile-about-section .about-text-wrap h5,
    .about-mob-section-wrap .mobile-about-section .about-text-wrap h6,
    .about-mob-section-wrap .mobile-about-section .about-text-wrap p {
        color: #ffffff;
    }
    .about-mob-section-wrap .mobile-about-section .about-text-wrap h1,
    .about-mob-section-wrap .mobile-about-section .about-text-wrap h2,
    .about-mob-section-wrap .mobile-about-section .about-text-wrap h3,
    .about-mob-section-wrap .mobile-about-section .about-text-wrap h4,
    .about-mob-section-wrap .mobile-about-section .about-text-wrap h5,
    .about-mob-section-wrap .mobile-about-section .about-text-wrap h6 {
        font-family: "Source Sans Pro", sans-serif;
        font-weight: 600;
        letter-spacing: 1px;
    }
}

/*------------------------------------------------------*/
/*---------------------- STATIC ASIDE MENU ----------------------*/
.mCSB_container.mCS_no_scrollbar_y.mCS_y_hidden,
.mCSB_inside > .mCSB_container {
    margin-right: 0;
}

@media only screen and (min-width: <?php echo esc_attr($min_mobile); ?>) {
    .static-menu {
        padding-left: 256px;
        position: relative;
    }

    .static-menu .right-menu .logo span {
        float: none;
    }
    .static-menu .main-header-testimonial {
        margin-left: auto;
        margin-right: auto;
    }

    .static-menu .single-pagination {
        padding: 15px;
    }

    .static-menu .top-banner {
        height: 500px;
    }

    .static-menu .row.single-share {
        margin-right: 0;
        margin-left: 0;
    }

    .static-menu .portfolio-single-content .izotope-container {
        margin-top: 20px;
    }

    .static-menu .pixproof-data,
    .static-menu .pixproof-data .grid__item:last-child {
        margin-top: 20px;
    }

    .static-menu .portfolio-single-content .single-pagination {
        padding: 50px 15px;
    }

    .static-menu .banner-slider .page-view {
        max-width: 100%;
    }

    .static-menu .portfolio-single-content p,
    .static-menu .portfolio-single-content h1,
    .static-menu .portfolio-single-content h2,
    .static-menu .portfolio-single-content h3,
    .static-menu .portfolio-single-content h4,
    .static-menu .portfolio-single-content h5,
    .static-menu .portfolio-single-content h6 {
        padding: 0 15px;
    }

    .static-menu .portfolio-single-content .row.gallery-single {
        margin-right: 0;
        margin-left: 0;
    }

    .static-menu .swiper-container-split .swiper-slide .slide-item.slide-text-left .wrap-slide-text {
        padding-left: 190px;
    }

    .static-menu .vc_row:not([data-vc-stretch-content="true"]) {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }

    .static-menu .vc_row[data-vc-full-width] {
        max-width: calc(100% + 30px) !important;
        left: 0 !important;
    }

    .static-menu .top-banner .content {
        padding: 0 15px;
    }

    .static-menu .flow-slider .swiper-container {
        width: 120vw;
    }

    .static-menu .exhibition-wrap .container-wrap {
        max-width: 100%;
    }

    .static-menu .exhibition-wrap .slide {
        max-width: calc(70vw - 90px);
    }

    .static-menu #footer {
        max-width: calc(100% - 254px);
        left: 254px;
    }

    .static-menu .header_top_bg {
        padding-bottom: 0;
    }

    .aside-menu.static {
        max-width: 290px;
        left: 0;
    }

    .aside-menu.static .aside-nav {
        display: none;
    }

    .aside-menu.static #topmenu ul.menu {
        overflow-y: visible;
        transform: translate(-50%, -50%);
    }

    .aside-menu.static #topmenu {
        box-shadow: 3px 1px 20px 0 rgba(0, 0, 0, 0.12);
        left: 0 !important;
        margin-left: 0;
        vertical-align: top;
        border-right: none;
        background-color: #222222;
    }

    .aside-menu.static #topmenu .sub-menu {
        margin-left: 0;
        left: 100%;
        top: 50%;
        background-color: #222;
        width: 100% !important;
        max-height: 100vh;
        transform: translateY(-50%);
        box-shadow: 3px 1px 20px 0 rgba(0, 0, 0, 0.12);
    }

    .aside-menu.static #topmenu .mega-menu .sub-menu {
        overflow: auto;
    }
    .aside-menu.static #topmenu .sub-menu .sub-menu {
        left: 99%;
    }

    .aside-menu.static #topmenu li:hover > .sub-menu {
        display: none;
    }

    .aside-menu.static #topmenu .menu li a {
        text-align: left;
        color: #ffffff;
        font-family: "Source Sans Pro", sans-serif;
        font-size: 12px;
        font-weight: 600;
        display: inline-block;
        letter-spacing: 2px;
        margin: 0;
        width: auto;
        line-height: 2;
        padding: 0 2px 0 0;
        text-transform: uppercase;
    }

    @-webkit-keyframes slidetounlock {
        0% {
            background-position: -150px 0
        }

        100% {
            background-position: 150px 0
        }
    }

    .aside-menu.static #topmenu .current-menu-parent > a,
    .aside-menu.static #topmenu .current-menu-item > a,
    .aside-menu.static #topmenu .menu li a:hover {
        opacity: 1;
        visibility: visible;
        display: inline-block;
        background: -webkit-gradient(linear,left top,right top,color-stop(0,#ccc), color-stop(.5,#eee), color-stop(1,#ccc));
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
        -webkit-animation-iteration-count: infinite;
        -webkit-animation-duration: 3s;
        animation-duration: 3s;
        -webkit-animation-timing-function: linear;
        animation-timing-function: linear;
        -webkit-animation-name: slidetounlock;
        animation-name: slidetounlock
    }
    .aside-menu.static #topmenu .social li a {
        color: #ffffff;
    }
    .aside-menu.static #topmenu .social li a:hover {
        color: #999999;
    }
    .aside-menu.static #topmenu .f-right {
        text-align: left;
        left: 0;
        -webkit-transform: none;
        -moz-transform: none;
        -ms-transform: none;
        -o-transform: none;
        transform: none;
        width: 100%;
        padding-left: 45px;
        padding-right: 20px;
    }
    .aside-menu.static #topmenu .f-right .copy {
        text-transform: none;
        font-size: 14px;
        line-height: 1.57;
        color: #fff;
        margin-top: 15px;
        white-space: normal;
        margin-left: 0;
    }
    .aside-menu.static #topmenu .f-right .copy a {
        text-decoration: none;
        color: #ffffff;
    }
    .aside-menu.static #topmenu .f-right .copy a:hover {
        color: #999999;
    }
    .aside-menu.static .logo {
        left: 0;
        width: 100%;
        top: 0;
        padding-top: 40px;
        text-align: left;
        padding-left: 45px;
    }
    .aside-menu.static .logo span {
        color: #ffffff;
        font-size: 26px;
        line-height: 1;
    }
    .aside-menu.static .logo img {
        max-width: 100%;
    }
    body.right-aside{
        padding-left: 0;
        padding-right: 256px;
    }
    .right-aside .aside-menu.static{
        right: 0;
        left: auto;
    }
    .right-aside .aside-menu.static #topmenu{
        right: 0!important;
        left: auto!important;
    }
    .right-aside .aside-menu.static .logo{
        left: auto;
        right: 0;
        text-align: right;
        padding-right: 45px;
        padding-left: 0;
        max-width: 256px;
    }
    .right-aside .aside-menu #topmenu ul.menu li{
        text-align: right;
        padding: 7px 45px 7px 20px;
    }
    .right-aside  .aside-menu.static #topmenu .menu li a{
        text-align: right;
    }
    .right-aside .aside-menu.static #topmenu .f-right{
        padding-left: 20px;
        padding-right: 45px;
        text-align: right;
    }
    .right-aside .aside-menu.static #topmenu .sub-menu{
        left: -100%;
    }
    .right-aside .aside-menu.static #topmenu .sub-menu .sub-menu{
        left: -99%;
    }
}

@media only screen and (min-width: 1650px) {
    .static-menu .vc_row:not([data-vc-stretch-content="true"]) {
        padding-left: 7% !important;
        padding-right: 7% !important;
    }
}

@media only screen and (min-width: 1199px) and (max-width: 1375px) {
    .static-menu .pricing-item {
        padding: 60px 40px;
    }

    .static-menu .pricing-item .mask-image {
        min-width: 150px;
        width: 150px;
    }
}

@media only screen and (min-width: 1200px) and (max-width: 1275px) {
    .static-menu .pricing-item .mask-image {
        min-width: 130px;
        width: 130px;
    }
}
@media only screen and (min-width: <?php echo esc_attr($min_mobile); ?>) and (max-width: 1460px) {
    .static-menu .about-section {
        padding: 0 30px;
        overflow: hidden;
    }
    .static-menu .headings-wrap,
    .static-menu .phoxy-post-list-1,
    .static-menu .phoxy-post-list-2,
    .static-menu .phoxy-portfolio-2,
    .static-menu .phoxy-portfolio-3,
    .static-menu .phoxy-portfolio-urban {
        padding: 0 15px;
    }
    .static-menu .contacts-info-wrap {
        padding: 0 15px 15px;
    }
    .static-menu .vc_row.pad-fix {
        padding-right: 15px!important;
        padding-left: 15px!important;
    }
}
@media only screen and (min-width: <?php echo esc_attr($min_mobile); ?>) and (max-width: 1375px) {
    .static-menu .outer-album-swiper .album-text-block,
    .static-menu .outer-album-swiper .right-content {
        max-width: 233px;
    }
}

@media only screen and (min-width: <?php echo esc_attr($min_mobile); ?>) and (max-width: 1350px) {
    .static-menu .contacts-info-wrap.style3 .content {
        padding: 100px 20px;
    }

    .static-menu .swiper-container.carousel-albums .swiper-button-prev {
        left: 30px;
    }

    .static-menu .swiper-container.carousel-albums .swiper-button-prev:hover {
        left: 20px;
    }

    .static-menu .swiper-container.carousel-albums .swiper-button-next {
        right: 30px;
    }

    .static-menu .swiper-container.carousel-albums .swiper-button-next:hover {
        right: 20px;
    }
}

@media only screen and (min-width: <?php echo esc_attr($min_mobile); ?>) and (max-width: 1200px) {
    .static-menu .coming-soon .svg .count {
        font-size: 115px;
    }

    .static-menu .client-wrap {
        width: 50%;
    }

    .static-menu .info-block-parallax-wrap .content-wrap {
        padding: 70px 20px 70px;
    }
}

@media only screen and (min-width: <?php echo esc_attr($min_mobile); ?>) and (max-width: 1100px) {
    .static-menu .top-banner {
        height: 300px;
    }

    .static-menu .top-banner.center_content {
        min-height: 300px;
    }

    .static-menu .fragment-wrapper .fragment-block .fragment-text .wrap-frag-text .title {
        font-size: 50px;
        line-height: 55px;
    }

    .static-menu .swiper-container-vert-slider .swiper-slide .container .wrap-text {
        max-width: calc(100% - 40px);
    }

    .static-menu .swiper-container-vert-slider .swiper-slide .container .wrap-text .title {
        font-size: 60px;
        letter-spacing: 8px;
    }

    .static-menu .portfolio-slider-wrapper.slider_classic .content-wrap .portfolio-title {
        font-size: 50px;
        letter-spacing: 7px;
    }

    .static-menu .portfolio-single-content .gallery-single.infinite_full_gallery .item-single {
        width: 33.33%;
    }

    .static-menu .portfolio.grid .item {
        width: 50% !important;
    }

    .static-menu .flow-slider .flow-title {
        font-size: 60px;
    }
}


/*------------------------------------------------------*/
/*---------------------- ASIDE FIX MENU ----------------------*/
@media only screen and (min-width: <?php echo esc_attr($min_mobile); ?>) {
    .body-aside-menu {
        padding-left: 58px;
    }

    .aside-fix .logo {
        position: fixed;
        top: auto;
        left: 0;
        transform-origin: left top 0;
        transform: rotate(-90deg);
        padding: 0;
        height: 58px;
    }
    .aside-fix .logo span,
    .aside-fix .logo img {
        max-height: 58px;
        margin: 0;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        color: #ffffff;
    }
    .aside-fix .aside-nav {
        background-color: #222;
    }
    .aside-fix .aside-nav .aside-nav-line {
        top: auto;
        bottom: 40px;
        background-color: #fff;
    }
    .aside-fix #topmenu .sub-menu {
        min-width: auto;
        position: static;
    }
    .aside-fix #topmenu .sub-menu a {
        font-weight: 400;
        line-height: 1.5!important;
        text-transform: none;
        letter-spacing: .5px;
        font-size: 13px;
    }

    .aside-fix #topmenu::after {
        content: '';
        position: absolute;
        bottom: 0;
        left: 0;
        width: 100%;
        height: 80px;
        background: #fff;
        z-index: 1;
    }

    .aside-fix #topmenu .f-right {
        text-align: center;
    }
    .aside-fix #topmenu ul.menu li a:hover,
    .aside-fix #topmenu ul.menu .current-menu-ancestor > a,
    .aside-fix #topmenu ul.menu .current-menu-parent > a,
    .aside-fix #topmenu ul.menu .current-menu-item > a {
        color: #999999;
    }
    .aside-fix #topmenu ul ul li a {
        width: auto;
        padding: 0;
    }

    .aside-fix #topmenu ul.menu li {
        padding: 10px 15px;
        text-align: center;
    }
    .aside-fix #topmenu ul.menu a {
        display: inline-block;
        position: relative;
        line-height: 1.2;
    }
    .aside-fix .logo img {
        margin: 0;
    }
    .aside-fix #topmenu ul.menu {
        padding-bottom: 20px;
    }
}


/*------------------------------------------------------*/
/*---------------------- CLASSIC MENU ----------------------*/
@media only screen and (min-width: <?php echo esc_attr($min_mobile); ?>) {
    .container-fluid header.classic {
        padding: 0 85px;
    }
    header.classic {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
    }

    .classic #topmenu {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
    }

    .classic #topmenu .menu {
        width: 100%;
        text-align: center;
    }
    .classic .f-right ul li a{
        text-transform: initial!important;
    }

    .header_trans-fixed.header_top_bg .classic #topmenu ul li a {
        padding: 0;
    }

    .classic #topmenu .menu li a {
        color: #666;
        font-size: 13px;
        font-weight: 600;
        letter-spacing: 1.2px;
        line-height: 2;
        text-transform: uppercase;
    }

    .classic #topmenu .menu li a:hover,
    .classic #topmenu .current-menu-parent > a,
    .classic #topmenu .current-menu-item > a,
    .classic #topmenu .current-menu-ancestor > a,
    .header_trans-fixed .classic #topmenu .menu li a:hover,
    .header_trans-fixed .classic #topmenu .current-menu-parent > a,
    .header_trans-fixed .classic #topmenu .current-menu-item > a,
    .header_trans-fixed .classic #topmenu .current-menu-ancestor > a {
        color: #222!important;
    }

    .menu_light_text.header_top_bg:not(.bg-fixed-color) .classic #topmenu .menu > li > a:hover,
    .menu_light_text.header_top_bg:not(.bg-fixed-color) .classic #topmenu .menu > .current-menu-parent > a,
    .menu_light_text.header_top_bg:not(.bg-fixed-color) .classic #topmenu .menu > .current-menu-item > a,
    .menu_light_text.header_top_bg:not(.bg-fixed-color) .classic #topmenu .menu > .current-menu-ancestor > a{
        color: rgba(255,255,255,.8)!important;
    }

    .classic #topmenu .menu > li {
        padding: 30px 0;
    }

    .classic #topmenu .sub-menu {
        top: 75px;
        left: -35px;
        min-width: 270px;
        padding: 30px 0;
        background-color: #ffffff;
        -webkit-box-shadow: 3px 1px 20px 0 rgba(0, 0, 0, 0.07);
        box-shadow: 3px 1px 20px 0 rgba(0, 0, 0, 0.07);
        opacity: 0;
        visibility: hidden;
        -webkit-transition: opacity .5s ease, visibility .5s ease;
        -o-transition: opacity .5s ease, visibility .5s ease;
        transition: opacity .5s ease, visibility .5s ease;
        display: block;
    }

    .classic #topmenu .menu li:hover > ul {
        opacity: 1;
        visibility: visible;
    }

    .classic #topmenu .menu > li ul a {
        opacity: 0;
        -webkit-transform: matrix(1, 0, 0, 1, 0, 20);
        -ms-transform: matrix(1, 0, 0, 1, 0, 20);
        transform: matrix(1, 0, 0, 1, 0, 20);
        -webkit-transition: opacity .75s ease, color .5s ease, -webkit-transform .75s ease;
        transition: opacity .75s ease, color .5s ease, -webkit-transform .75s ease;
        -o-transition: opacity .75s ease, transform .75s ease, color .5s ease;
        transition: opacity .75s ease, transform .75s ease, color .5s ease;
        transition: opacity .75s ease, transform .75s ease, color .5s ease, -webkit-transform .75s ease;
    }

    .classic #topmenu .menu > li:hover ul a,
    .classic #topmenu .menu > li.mega-menu:hover ul > li > ul.sub-menu > li a {
        opacity: 1;
        -webkit-transform: matrix(1, 0, 0, 1, 0, 0);
        -ms-transform: matrix(1, 0, 0, 1, 0, 0);
        transform: matrix(1, 0, 0, 1, 0, 0);
    }

    .classic #topmenu .sub-menu .sub-menu {
        top: 0;
        left: 100%;
        padding: 40px 15px;
    }

    .unit .classic #topmenu .sub-menu{
        min-width: 230px;
    }

    .classic #topmenu .menu li:last-of-type .sub-menu .sub-menu,
    .classic #topmenu .menu li:nth-last-of-type(2) .sub-menu .sub-menu,
    .classic #topmenu .menu li:nth-last-of-type(3) .sub-menu .sub-menu {
        left: -100%;
    }

    .classic #topmenu .sub-menu li {
        padding: 8px 35px;
        text-align: left;
    }

    .classic #topmenu .sub-menu li a {
        width: auto;
        display: inline-block;
        padding: 0;
        font-weight: 600;
    }

    .classic #topmenu .current-menu-parent > a,
    .classic #topmenu .current-menu-item > a {
        position: relative;
    }

    .classic #topmenu > ul > li > a {
        margin: 0 28px 0 0;
    }

    .classic #topmenu .mini-cart-wrapper {
        margin-left: 30px;
    }

    .classic #topmenu .menu .mega-menu:hover > ul > li > ul {
        opacity: 1;
        visibility: visible;
    }

    /* search popup */
    .classic .site-search {
        position: fixed;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: 100;
        background-color: rgba(255, 255, 255, .9);
        overflow-x: hidden;
        overflow-y: auto;
        opacity: 0;
        visibility: hidden;
        -webkit-transition: opacity .7s ease, visibility .7s ease;
        -o-transition: opacity .7s ease, visibility .7s ease;
        transition: opacity .7s ease, visibility .7s ease;
    }

    .classic .site-search.open {
        opacity: 1;
        visibility: visible;
    }

    .classic .site-search .form-container {
        position: relative;
        top: 50%;
        -webkit-transform: translateY(-50%);
        -ms-transform: translateY(-50%);
        transform: translateY(-50%);
    }

    .classic .site-search .form-container .input-group {
        width: 100%;
    }

    .classic .site-search .form-container .input-group input {
        font-size: 18px;
    }

    .classic .site-search .close-search {
        position: absolute;
        top: 80px;
        right: 80px;
        width: 30px;
        height: 30px;
    }

    .classic .site-search .line {
        width: 18px;
        height: 1px;
        background-color: #222222;
        display: block;
        margin: 4px auto;
        -webkit-transition: all 0.3s ease-in-out;
        -o-transition: all 0.3s ease-in-out;
        transition: all 0.3s ease-in-out;
    }

    .classic .site-search .line:nth-of-type(1) {
        -webkit-transform: translateY(1px) rotate(45deg);
        -ms-transform: translateY(1px) rotate(45deg);
        -o-transform: translateY(1px) rotate(45deg);
        transform: translateY(1px) rotate(45deg);
    }

    .classic .site-search .line:nth-of-type(2) {
        -webkit-transform: translateY(-4px) rotate(-45deg);
        -ms-transform: translateY(-4px) rotate(-45deg);
        -o-transform: translateY(-4px) rotate(-45deg);
        transform: translateY(-4px) rotate(-45deg);
    }

    .search-form input {
        width: 100%;
        border: 0;
        border-bottom: 1px solid #222;
        background-color: transparent;
        color: #999999;
        font-size: 15px;
        padding: 14px 0;
    }

    .classic #topmenu .search-icon-wrapper {
        margin-left: 30px;
        cursor: pointer;
        font-size: 18px;
    }

    /* end of search popup */

}
@media only screen and (min-width: <?php echo esc_attr($min_mobile); ?>) and (max-width: 1199px) {
    .container-fluid header.classic{
        padding: 0 45px;
    }
}

@media only screen and (min-width: <?php echo esc_attr($min_mobile); ?>) and (max-width: 1380px) {
    .classic #topmenu > ul > li > a {
        margin: 0 20px 0 0;
    }

}
/*------------------------------------------------------*/
/*---------------------- SIMPLE MENU ----------------------*/
@media only screen and (min-width: <?php echo esc_attr($min_mobile); ?>) {
    .classic.simple #topmenu .menu{
        text-align: left;
        padding-left: 50px;
        padding-right: 50px;
    }
}


/*------------------------------------------------------*/
/*---------------------- MODERN MENU ----------------------*/
@media only screen and (min-width: 1200px) {
    .modern #topmenu {
        padding-right: 75px;
        padding-left: 60px;
    }
}
@media only screen and (min-width: <?php echo esc_attr($min_mobile); ?>) {
    .modern .site-search .container {
        width: auto;
        padding: 0;
    }
    .modern .site-search .container .row {
        margin: 0;
    }
    .modern .site-search .container .row .col-lg-12 {
        padding: 0;
    }
    .modern #topmenu,
    .modern .menu-wrapper {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
        -ms-flex-preferred-size: 80%;
        flex-basis: 80%;
    }

    .modern #topmenu .menu li a:hover,
    .modern #topmenu .current-menu-parent > a,
    .modern #topmenu .current-menu-item > a,
    .modern #topmenu .current-menu-ancestor > a {
        color: #999999;
    }
    .modern .logo {
        display: block;
        margin: 0 30px;
    }
    #footer.classic img.logo-mobile,
    .modern .logo-mobile {
        display: none;
    }
    .modern .logo span {
        line-height: 2;
    }

    .modern #topmenu .menu li a {
        padding: 0 10px;
        color: #222222;
        font-size: 12px;
        font-weight: 600;
        letter-spacing: 2px;
        line-height: 2;
        text-transform: uppercase;
    }

    .modern #topmenu .menu li a:hover,
    .modern #topmenu .current-menu-parent > a,
    .modern #topmenu .current-menu-item > a,
    .modern #topmenu .current-menu-ancestor > a {
        color: #999999;
    }

    .modern #topmenu .menu > li {
        padding: 30px 0;
    }

    .modern #topmenu .sub-menu {
        top: 75px;
        left: -35px;
        min-width: 270px;
        padding: 30px 0;
        background-color: #ffffff;
        -webkit-box-shadow: 3px 1px 20px 0 rgba(0, 0, 0, 0.07);
        box-shadow: 3px 1px 20px 0 rgba(0, 0, 0, 0.07);
        opacity: 0;
        visibility: hidden;
        -webkit-transition: opacity .5s ease, visibility .5s ease, color .3s ease;
        -o-transition: opacity .5s ease, visibility .5s ease, color .3s ease;
        transition: opacity .5s ease, visibility .5s ease, color .3s ease;
        display: block;
    }

    .modern #topmenu .menu li:hover > ul {
        opacity: 1;
        visibility: visible;
    }

    .modern #topmenu .menu > li ul a {
        opacity: 0;
        -webkit-transform: matrix(1, 0, 0, 1, 0, 20);
        -ms-transform: matrix(1, 0, 0, 1, 0, 20);
        transform: matrix(1, 0, 0, 1, 0, 20);
        -webkit-transition: opacity .75s ease, color .3s ease, -webkit-transform .75s ease;
        -o-transition: opacity .75s ease, transform .75s ease, color .3s ease, transform .75s ease;
        transition: opacity .75s ease, transform .75s ease, color .3s ease, transform .75s ease;
    }

    .modern #topmenu .menu > li:hover ul a,
    .modern #topmenu .menu > li.mega-menu:hover ul > li > ul.sub-menu > li a {
        opacity: 1;
        -webkit-transform: matrix(1, 0, 0, 1, 0, 0);
        -ms-transform: matrix(1, 0, 0, 1, 0, 0);
        transform: matrix(1, 0, 0, 1, 0, 0);
    }

    .modern #topmenu .sub-menu .sub-menu {
        top: 0;
        left: 100%;
        padding: 40px 15px;
    }

    .modern #topmenu .menu li:last-of-type .sub-menu .sub-menu,
    .modern #topmenu .menu li:nth-last-of-type(2) .sub-menu .sub-menu,
    .modern #topmenu .menu li:nth-last-of-type(3) .sub-menu .sub-menu {
        left: -100%;
    }

    .modern #topmenu .sub-menu li {
        padding: 8px 35px;
        text-align: left;
    }

    .modern #topmenu .sub-menu li a {
        width: auto;
        display: inline-block;
        padding: 0;
        font-weight: 600;
    }

    .modern #topmenu .current-menu-parent > a,
    .modern #topmenu .current-menu-item > a {
        position: relative;
    }

    .modern #topmenu > ul > li > a {
        margin: 0 28px 0 0;
    }

    .modern #topmenu .mini-cart-wrapper {
        margin-left: 30px;
    }

    .modern #topmenu .menu .mega-menu:hover > ul > li > ul {
        opacity: 1;
        visibility: visible;
    }

    .modern .search-icon-wrapper {
        position: relative;
        -ms-flex-preferred-size: 10%;
        flex-basis: 10%;
    }

    .modern .open-search {
        position: absolute;
        top: 50%;
        -webkit-transform: translateY(-50%);
        -moz-transform: translateY(-50%);
        -ms-transform: translateY(-50%);
        -o-transform: translateY(-50%);
        transform: translateY(-50%);
        right: 0;
    }

    .modern .search-form input {
        padding: 8px 0;
        border-bottom: 1px solid #ddd;
        color: #222222;
        font-family: "Source Sans Pro", sans-serif;
        font-style: italic;
        letter-spacing: 1.3px;
    }
    .modern .f-right {
        -ms-flex-preferred-size: 10%;
        flex-basis: 10%;
    }
}

@media (max-width: <?php echo esc_attr($max_mobile); ?>) {
    .modern #topmenu {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column;
    }
    .modern .mob-nav-close {
        -webkit-box-ordinal-group: 2;
        -ms-flex-order: 1;
        order: 1;
    }
    .modern .menu-wrapper {
        -webkit-box-ordinal-group: 3;
        -ms-flex-order: 2;
        order: 2;
    }
    .modern .f-right {
        -webkit-box-ordinal-group: 4;
        -ms-flex-order: 3;
        order: 3;
    }
    .modern .search-icon-wrapper {
        -webkit-box-ordinal-group: 5;
        -ms-flex-order: 4;
        order: 4;
    }
    .modern #topmenu .logo {
        display: none;
    }
    .modern #topmenu .menu {
        padding-bottom: 0;
    }
    .modern #topmenu .f-right {
        margin-top: 30px;
    }
}


/*DARK SUBMENU STYLE*/

@media (min-width: <?php echo esc_attr($min_mobile); ?>) {
    .dark-submenu header:not(.aside-menu):not(.full) #topmenu ul li.mega-menu > ul > li:nth-child(2)::after,
    .dark-submenu header:not(.aside-menu):not(.full) #topmenu ul li.mega-menu > ul > li:nth-child(3)::after,
    .dark-submenu header:not(.aside-menu):not(.full) #topmenu ul li.mega-menu > ul > li:nth-child(4)::after{
        background-color: rgba(255,255,255,.15);
        height: -webkit-calc(100% - 30px);
        height: calc(100% - 30px);
        top: 15px;
    }
    .dark-submenu header:not(.aside-menu):not(.full) #topmenu ul li.mega-menu > ul > li:nth-child(2)::after{
        left: 25%;
    }
    .dark-submenu header:not(.aside-menu):not(.full) #topmenu ul li.mega-menu > ul > li:nth-child(3)::after{
        left: 50%;
    }
    .dark-submenu header:not(.aside-menu):not(.full) #topmenu ul li.mega-menu > ul > li:nth-child(4)::after{
        left: 75%;
    }
    .dark-submenu header:not(.aside-menu):not(.full) #topmenu ul li.mega-menu > ul > li:nth-child(5)::after{
        display: none;
    }
    .dark-submenu .classic #topmenu .sub-menu{
        background-color: #222;
    }
    .dark-submenu.menu_light_text .right-menu #topmenu ul li ul li a{
        color: #fff!important;
    }
    .dark-submenu header:not(.aside-menu):not(.full).right-menu #topmenu ul .mega-menu > ul{
        background-color: #222;
        width: calc(100% - 160px);
    }
    .dark-submenu header:not(.aside-menu):not(.full) #topmenu ul li.mega-menu > ul::before{
        display: none;
    }
    .dark-submenu header:not(.aside-menu):not(.full) #topmenu ul li.mega-menu > ul > li{
        width: 25%;
    }
    .dark-submenu header:not(.aside-menu):not(.full) #topmenu ul li li.mega-menu{
        padding-bottom: 0!important;
    }
    .dark-submenu .classic #topmenu .sub-menu li{
        padding: 0 35px;
    }
    .dark-submenu header:not(.aside-menu):not(.full) #topmenu ul li li a{
        -webkit-transition: none;
        -moz-transition: none;
        -ms-transition: none;
        -o-transition: none;
        transition: none;
        color: #fff;
        display: block;
        padding: 1px 7px;
        font-size: 12px;
    }

    .dark-submenu .classic #topmenu .menu li li a:hover,
    .dark-submenu .classic #topmenu li li.current-menu-parent > a,
    .dark-submenu .classic #topmenu li li.current-menu-item > a,
    .dark-submenu .classic #topmenu li li.current-menu-ancestor > a,
    .dark-submenu.header_trans-fixed .classic #topmenu .menu li li a:hover,
    .dark-submenu.header_trans-fixed .classic #topmenu li li.current-menu-parent > a,
    .dark-submenu.header_trans-fixed .classic #topmenu li li.current-menu-item > a,
    .dark-submenu.header_trans-fixed .classic #topmenu li li.current-menu-ancestor > a,
    .dark-submenu header:not(.aside-menu):not(.full) #topmenu ul li li a:hover{
        color: rgba(255,255,255,.5)!important;
        background-color: rgba(255,255,255,.05);
    }
    .dark-submenu .classic #topmenu .sub-menu .sub-menu{
        padding: 30px 0;
    }
}


@media only screen and (min-width: <?php echo esc_attr($min_mobile); ?>) and (max-width: 1199px){
    .dark-submenu header:not(.aside-menu):not(.full).right-menu #topmenu ul .mega-menu > ul{
        width: calc(100% - 90px);
    }
    .dark-submenu header:not(.aside-menu):not(.full) #topmenu ul li.mega-menu > ul > li{
        padding: 0 20px 5px;
    }
}


<?php
$style = '';
///HEADER LOGO//
if ( cs_get_option('site_logo') == 'txtlogo' ) {
    //Header logo text
    if ( cs_get_option('text_logo_style') == 'custom' ) {

        $style .= 'a.logo span{';
        $style .=  cs_get_option('text_logo_color') && cs_get_option('text_logo_color') !== '#fff' ? 'color:' . cs_get_option('text_logo_color') . ' !important;' : '';
        $style .=  cs_get_option('text_logo_width') ? 'width:' . cs_get_option('text_logo_width') . ' !important;' : '';
        $style .=  cs_get_option('text_logo_font_size') ? 'font-size:' . cs_get_option('text_logo_font_size') . ' !important;' : '';
        $style .= '}';
    }

} else {
    //Header logo image
    if ( cs_get_option('img_logo_style') == 'custom' ) {
        $style .= '.logo img {';
        if (cs_get_option('img_logo_width')) {
            $logo_width = is_integer(cs_get_option('img_logo_width')) ? cs_get_option('img_logo_width') . 'px' : cs_get_option('img_logo_width');
             $style .=  cs_get_option('img_logo_width') ? 'width:' . esc_attr($logo_width) . ' !important;' : '';
        }
        if (cs_get_option('img_logo_height')) {
            $logo_height = is_integer(cs_get_option('img_logo_height')) ? cs_get_option('img_logo_height') . 'px' : cs_get_option('img_logo_height');
             $style .=  cs_get_option('img_logo_height') ? 'height:' . esc_attr( $logo_height ) . ' !important;' : '';
             $style .=  cs_get_option('img_logo_height') ? 'max-height:' . cs_get_option('img_logo_height') . ' !important;' : '';
        }
        $style .= '}';
    }
}
echo esc_html($style);

$post_id = isset($_GET['post']) && is_numeric($_GET['post']) ? $_GET['post'] : '' ;

if(!empty($post_id)){
 $meta_data = get_post_meta( $post_id, '_custom_page_options', true );
 $meta_data_portfolio = get_post_meta( $post_id, 'phoxy_portfolio_options', true );
 $meta_data_events    = get_post_meta( $post_id, 'phoxy_events_options', true );

 if (isset($meta_data['footer_color']) && !empty($meta_data['footer_color'])) {
     $footer_color = $meta_data['footer_color'];
 } elseif (isset($meta_data_portfolio['footer_color']) && !empty($meta_data_portfolio['footer_color'])) {
     $footer_color = $meta_data_portfolio['footer_color'];
 } elseif (isset($meta_data_events['footer_color']) && !empty($meta_data_events['footer_color'])) {
     $footer_color = $meta_data_events['footer_color'];
 }

if (isset($footer_color) && !empty($footer_color)) { ?>
.page-id-<?php echo esc_attr($post_id); ?> #footer,
.postid-<?php echo esc_attr($post_id); ?> #footer {
    background-color: <?php echo esc_html($footer_color) ?>;
}
<?php }

 if (isset($meta_data['header_scroll_bg']) && !empty($meta_data['header_scroll_bg'])) {
     $header_scroll_bg = $meta_data['header_scroll_bg'];
 } elseif (isset($meta_data_portfolio['header_scroll_bg']) && !empty($meta_data_portfolio['header_scroll_bg'])) {
     $header_scroll_bg = $meta_data_portfolio['header_scroll_bg'];
 } elseif (isset($meta_data_events['header_scroll_bg']) && !empty($meta_data_events['header_scroll_bg'])) {
     $header_scroll_bg = $meta_data_events['header_scroll_bg'];
 }

if (isset($header_scroll_bg) && !empty($header_scroll_bg)) { ?>
.page-id-<?php echo esc_attr($post_id); ?> .header_trans-fixed.header_top_bg.bg-fixed-color,
.postid-<?php echo esc_attr($post_id); ?> .header_trans-fixed.header_top_bg.bg-fixed-color {
    background-color: <?php echo esc_html($header_scroll_bg) ?>;
}
<?php }

 if (isset($meta_data['header_scroll_text']) && !empty($meta_data['header_scroll_text'])) {
     $header_scroll_text = $meta_data['header_scroll_text'];
 } elseif (isset($meta_data_portfolio['header_scroll_text']) && !empty($meta_data_portfolio['header_scroll_text'])) {
     $header_scroll_text = $meta_data_portfolio['header_scroll_text'];
 } elseif (isset($meta_data_events['header_scroll_text']) && !empty($meta_data_events['header_scroll_text'])) {
     $header_scroll_text = $meta_data_events['header_scroll_text'];
 }

if (isset($header_scroll_text) && !empty($header_scroll_text)) { ?>

.page-id-<?php echo esc_attr($post_id); ?> .header_trans-fixed.header_top_bg.bg-fixed-color #topmenu:not(.open) ul li a,
.page-id-<?php echo esc_attr($post_id); ?> .header_trans-fixed.header_top_bg.bg-fixed-color #topmenu .search-icon-wrapper i,
.page-id-<?php echo esc_attr($post_id); ?> .header_trans-fixed.header_top_bg.bg-fixed-color #topmenu .mini-cart-wrapper .phoxy-shop-icon::before,
.page-id-<?php echo esc_attr($post_id); ?> .header_trans-fixed.header_top_bg.bg-fixed-color header .phoxy-top-social .social li a,
.page-id-<?php echo esc_attr($post_id); ?> .header_trans-fixed.header_top_bg.bg-fixed-color .header_top_bg .right-menu.full #topmenu ul li a,
.page-id-<?php echo esc_attr($post_id); ?> .header_trans-fixed.header_top_bg.bg-fixed-color .right-menu .logo span,
.page-id-<?php echo esc_attr($post_id); ?> .header_trans-fixed.header_top_bg.bg-fixed-color .top-menu .logo span,
.page-id-<?php echo esc_attr($post_id); ?> .header_trans-fixed.header_top_bg.bg-fixed-color .aside-menu.static #topmenu .f-right .copy,
.postid-<?php echo esc_attr($post_id); ?> .header_trans-fixed.header_top_bg.bg-fixed-color #topmenu:not(.open) ul li a,
.postid-<?php echo esc_attr($post_id); ?> .header_trans-fixed.header_top_bg.bg-fixed-color #topmenu .search-icon-wrapper i,
.postid-<?php echo esc_attr($post_id); ?> .header_trans-fixed.header_top_bg.bg-fixed-color #topmenu .mini-cart-wrapper .phoxy-shop-icon::before,
.postid-<?php echo esc_attr($post_id); ?> .header_trans-fixed.header_top_bg.bg-fixed-color header .phoxy-top-social .social li a,
.postid-<?php echo esc_attr($post_id); ?> .header_trans-fixed.header_top_bg.bg-fixed-color .header_top_bg .right-menu.full #topmenu ul li a,
.postid-<?php echo esc_attr($post_id); ?> .header_trans-fixed.header_top_bg.bg-fixed-color .right-menu .logo span,
.postid-<?php echo esc_attr($post_id); ?> .header_trans-fixed.header_top_bg.bg-fixed-color .top-menu .logo span,
.postid-<?php echo esc_attr($post_id); ?> .header_trans-fixed.header_top_bg.bg-fixed-color .aside-menu.static #topmenu .f-right .copy {
    color: <?php echo esc_html($header_scroll_text) ?>;
}

.page-id-<?php echo esc_attr($post_id); ?> .header_trans-fixed.header_top_bg.bg-fixed-color .right-menu.full .mob-nav:not(.active) .line,
.postid-<?php echo esc_attr($post_id); ?> .header_trans-fixed.header_top_bg.bg-fixed-color .right-menu.full .mob-nav:not(.active) .line {
    background-color: <?php echo esc_html($header_scroll_text) ?>;
}

@media only screen and (max-width: <?php echo esc_attr($max_mobile); ?>) {
    .page-id-<?php echo esc_attr($post_id); ?> .header_trans-fixed.header_top_bg.bg-fixed-color .mob-nav-close,
    .page-id-<?php echo esc_attr($post_id); ?> .header_trans-fixed.header_top_bg.bg-fixed-color #topmenu ul.menu li a,
    .postid-<?php echo esc_attr($post_id); ?> .header_trans-fixed.header_top_bg.bg-fixed-color .mob-nav-close,
    .postid-<?php echo esc_attr($post_id); ?> .header_trans-fixed.header_top_bg.bg-fixed-color #topmenu ul.menu li a {
        color: <?php echo esc_html($header_scroll_text) ?>;
    }

    .page-id-<?php echo esc_attr($post_id); ?> .header_trans-fixed.header_top_bg.bg-fixed-color .mob-nav-close .line,
    .page-id-<?php echo esc_attr($post_id); ?> .header_trans-fixed.header_top_bg.bg-fixed-color .right-menu .mob-nav .line,
    .postid-<?php echo esc_attr($post_id); ?> .header_trans-fixed.header_top_bg.bg-fixed-color .mob-nav-close .line,
    .postid-<?php echo esc_attr($post_id); ?> .header_trans-fixed.header_top_bg.bg-fixed-color .right-menu .mob-nav .line {
        background-color: <?php echo esc_html($header_scroll_text) ?>;
    }
}
<?php }


if(!empty($meta_data['padding_desktop'])){ ?>

@media only screen and (min-width: 992px) {
    .page-id-<?php echo esc_attr($post_id); ?> .padding-desc,
    .page-id-<?php echo esc_attr($post_id); ?> .padding-desc .vc_row,
    .page-id-<?php echo esc_attr($post_id); ?> .padding-desc + #footer > div {
        padding-right: <?php echo esc_attr($meta_data['padding_desktop']); ?>;
        padding-left: <?php echo esc_attr($meta_data['padding_desktop']); ?>;
    }
}

@media (min-width: 768px) {
    .right-menu {
        width: 100%;
        margin: 0;
        max-width: 100%;
    }
}

<?php }
} ?>

/**** WHITE VERSION  ****/

<?php

$black_version = cs_get_option('dark_version');

$class_post_id = !empty($post_id) ? '.page-id-'. esc_attr($post_id) : '';
$class_post_type_id = !empty($post_id) ? '.postid-'. esc_attr($post_id) : '';

$bg_static_menu = cs_get_option('bg_static_menu');
$bg_static_menu = isset($meta_data['bg_static_menu']) && !empty($meta_data['bg_static_menu']) ? $meta_data['bg_static_menu'] : $bg_static_menu;
$bg_static_menu = isset($meta_data_portfolio['bg_static_menu']) && !empty($meta_data_portfolio['bg_static_menu']) ? $meta_data_portfolio['bg_static_menu'] : $bg_static_menu;


if($bg_static_menu){ ?>
    @media only screen and (min-width: <?php echo esc_attr($min_mobile); ?>){
        <?php echo esc_attr($class_post_type_id); ?> .aside-menu.static #topmenu::before,
        <?php echo esc_attr($class_post_id); ?> .aside-menu.static #topmenu::before {
            content: '';
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background: rgba(0,0,0,.3);
        }
        <?php echo esc_attr($class_post_type_id); ?> .aside-menu.static #topmenu,
        <?php echo esc_attr($class_post_id); ?> .aside-menu.static #topmenu {
            background: url(<?php echo esc_attr($bg_static_menu); ?>);
            background-position: center;
            background-size: cover;
        }
    }
<?php }


if($black_version) { ?>

    .select2-container .select2-selection--single{
        height: 30px;
    }

    .contacts-info-wrap .form input:not([type="submit"]),
    .contacts-info-wrap .form textarea,
    #footer.fix-bottom .footer-bottom-wrap{
        background: transparent!important;
    }

   body,
   .header_top_bg,
   #footer .footer-bottom-wrap,
   #footer.classic,
   .aside-fix #topmenu::after,
   #footer.modern .footer-bottom-wrap,
   .post-paper.metro,
   .post-paper.masonry,
   .single-post .main-wrapper,
   .blog.metro,
   .post.metro-style .post-wrap-item .post-media,
   .archive.metro,
   .post.center-style .info-wrap,
   .pages, .page-numbers,
   .woocommerce div.product form.cart .variations select,
   .woocommerce div.product .woocommerce-tabs .panel,
   .woocommerce #review_form #respond textarea,
   .video-banner-modern .text-content .title mark,
   .woocommerce-cart #payment,
   .woocommerce-checkout #payment,
   #add_payment_method #payment,
   .woocommerce form .form-row input.input-text,
   .woocommerce form .form-row textarea,
   .select2-container--default .select2-selection--single .select2-selection__rendered,
   .woocommerce #review_form #respond input:not([type="submit"]),
   .banner-slider-modern .swiper-slide .content-wrapper .content-wrap .title mark,
   .ct-ultimate-gdpr-container.ct-ultimate-gdpr-simple-form #tabs .ui-tabs-nav .ui-state-active,
   .pricing-item.classic,
   .ct-ultimate-gdpr-container.ct-ultimate-gdpr-simple-form #tabs .ui-tabs-panel,
   .ui-widget-content,
   #footer,
    #topmenu{
        background-color: #000;
    }

    .woocommerce div.product form.cart .variations select,
    .woocommerce-cart #payment,
    .woocommerce-checkout #payment,
    #add_payment_method #payment{
        outline: 1px solid #666;
    }

    .tg-post-1 .tg-item-content-holder,
    .tg-post-masonry .tg-item-content-holder,
    .phoxy-tile-masonry .tg-iso-tile .tg-item-content-holder{
        background-color: #000!important;
    }

    .woocommerce ul.products li.product a.woocommerce-loop-product__link + .button:hover,
    .woocommerce ul.products li.product a.woocommerce-loop-product__link + .button + .added_to_cart:hover{
        background-color: #999!important;
    }

    .tg-iso-transform .tg-item-media-content,
    .metro_2 .gallery-item-wrap.default .caption{
        background-color: rgba(255,255,255,.8)!important;
    }

    .tg-iso-transform .tg-element-1,
    .post.metro-style.format-quote .info-wrap i.ion-quote,
    .post.metro-style.format-post-text .info-wrap i.ion-quote,
    .metro_2 .gallery-item-wrap.default .caption,
    .woocommerce a.remove{
        color: #222!important;
    }

    .tg-iso-transform .tg-element-2,
    .woocommerce .quantity .qty{
        color: #777!important;
    }

    .f-right .phoxy_mini_cart .product_list_widget .mini_cart_item,
    .ct-ultimate-gdpr-container.ct-ultimate-gdpr-simple-form .ui-widget-content .ct-checkbox,
    .ct-ultimate-gdpr-container.ct-ultimate-gdpr-simple-form .ui-widget-content input[type=email]:focus,
    .ct-ultimate-gdpr-container.ct-ultimate-gdpr-simple-form #tabs .ui-tabs-nav .ui-state-active,
    .ct-ultimate-gdpr-container.ct-ultimate-gdpr-simple-form .ui-widget-content textarea:focus{
        border-color: #666;
    }

    .classic #topmenu .sub-menu,
    .thumb-slider-wrapp .sub-thumb-slider,
    .thumb-glitch,
    .thumb-slider-wrapp .thumb-slider-wrapp-arrow .hide-images,
    .thumb-slider-wrapp .thumb-slider-wrapp-arrow .show-images,
    .thumb-glitch .swiper-button-next,
    .thumb-glitch .swiper-button-prev,
    .urban_slider .slick-arrow,
    .header_trans-fixed.header_top_bg.bg-fixed-color,
    .select2-container--open .select2-dropdown--below,
    .select2-container--default .select2-search--dropdown .select2-search__field,
    .services.accordion .accordeon-wrap,
    .detailed-features.container .feature,
    .posts-slider-wrap.urban .swiper-button,
    .phoxy_mini_cart{
        background-color: #222;
    }

    .portfolio-slider-wrap.carousel .slide-image .content-wrap{
         background: rgba(0,0,0,.7);
     }

    .skill-wrapper.circle svg .bar{
        stroke: #fff;
    }

    .skill-wrapper.circle svg circle{
        stroke: #777;
    }

    .about-section-simple .description blockquote:hover,
    .skill-wrapper.linear .line,
    .woocommerce nav.woocommerce-pagination ul li a,
    .woocommerce nav.woocommerce-pagination ul li span,
    .woocommerce span.onsale,
    .justified-wrap-gallery .subtitle::before,
    .justified-wrap-gallery::after,
    .woocommerce ul.products li.product a.woocommerce-loop-product__link + .button + .added_to_cart,
    .woocommerce ul.products li.product a.woocommerce-loop-product__link + .button,
    .woocommerce div.product .woocommerce-tabs ul.tabs li{
         background-color: #444;
     }

    .posts-slider-wrap.urban .swiper-container,
    .posts-slider-wrap.urban .swiper-button:hover{
        background-color: #333;
    }
    
    .woocommerce nav.woocommerce-pagination ul li a,
    .woocommerce nav.woocommerce-pagination ul li span,
    .woocommerce .quantity .qty,
    .woocommerce table.shop_attributes td,
    .woocommerce table.shop_attributes th,
    .woocommerce div.product .woocommerce-tabs ul.tabs li,
    .woocommerce div.product .woocommerce-tabs ul.tabs li.active,
    .woocommerce #reviews #comments ol.commentlist li .comment-text,
    .woocommerce #review_form #respond textarea,
    .woocommerce #review_form #respond input:not([type="submit"]),
    .woocommerce-message, .woocommerce-error, .woocommerce-info,
    .ct-ultimate-gdpr-container.ct-ultimate-gdpr-simple-form #tabs .ui-tabs-panel,
    .ct-ultimate-gdpr-container.ct-ultimate-gdpr-simple-form .ui-widget-content input[type=email],
    .ct-ultimate-gdpr-container.ct-ultimate-gdpr-simple-form .ui-widget-content textarea,
    .woocommerce div.product .woocommerce-tabs ul.tabs::before{
        border-color: #444;
    }

    .woocommerce div.product .woocommerce-tabs .panel,
    .services.accordion .accordeon a,
    .woocommerce div.product .woocommerce-tabs ul.tabs li.active{
        border-bottom: 1px solid #444!important;
    }

    .video-banner-centered-modern .preview{
        box-shadow: 18px -7px 20px 0px #333;
    }

    .pricing-item.classic{
        box-shadow: 5px 5px 20px 0px #333;
    }

    .woocommerce nav.woocommerce-pagination ul li a:hover, 
    .woocommerce nav.woocommerce-pagination ul li a:focus{
        background-color: #999;
    }

    .headings.text_center .subtitle,
    #footer.modern .footer-bottom-wrap .copyright,
    .headings.text_button_modern .subtitle,
    .archive-client .user-info-wrap .descr,
    .about-section-simple .description,
    .about-section-simple .description p,
    .about-section-simple .subtitle,
    .services.center .content .text,
    .skill-wrapper.linear .subtitle,
    .services.numerical .item-service .content .text,
    .services.numerical .item-service .icon-wrap i,
    .modern_button .subtitle,
    .contacts-info-wrap.info_with_form .address,
    .contacts-info-wrap.info_with_form .address p,
    .contacts-info-wrap.info_with_form .address a,
    .skill-wrapper.linear-text .text,
    .team-members-wrap.chess_tile .member-text,
    .headings.text_small_modern .subtitle,
    .team-members-wrap.modern .member-position,
    .post.center-style .category a,
    .woocommerce #review_form #respond .comment-form-rating label,
    .post.center-style .date a,
    .headings.text_button .title,
    body.single-whizzy_proof_gallery .whizzy-data .grid__item .entry__meta-box span,
    .contacts-info-wrap.parallax_content .text p,
    .woocommerce-mini-cart__total,
    .woocommerce-review-link,
    .woocommerce div.product .product_meta span a,
    .pricing-info .pricing-list li, .pricing-info .pricing-list p,
    .woocommerce-product-details__short-description,
    .woocommerce div.product .product_meta span span,
    .woocommerce div.product .woocommerce-tabs .panel p,
    .woocommerce table.shop_table td.product-name a:hover,
    .woocommerce-message a:hover, .woocommerce-error a:hover, .woocommerce-info a:hover,
    .woocommerce #reviews #comments ol.commentlist li .meta .woocommerce-review__published-date,
    .woocommerce div.product form.cart .woocommerce-variation-description p,
    .masonry-animated .wrapper .content .title:hover,
    .masonry-animated .wrapper .content .category,
    .wpb_text_column p,
    .justified-portfolio-wrap .justified-item .content .category,
    .services.accordion .accordeon-wrap .main-text,
    .services.accordion .accordeon .text,
    .headings.text_small_modern .subtitle,
    .services.with_images .content .text,
    .justified-wrap-gallery .subtitle,
    .posts-slider-wrap.urban .excerpt,
    .posts-slider-wrap.urban .info-top a,
    .posts-slider-wrap.urban .info-top,
    .ct-ultimate-gdpr-container.ct-ultimate-gdpr-simple-form #tabs .ui-tabs-panel,
    .masonry-filter-gallery-wrap .gallery .item-filter .content .text,
    .ct-ultimate-gdpr-container.ct-ultimate-gdpr-simple-form .ui-widget-content .ct-ultimate-gdpr-service-description,
    .single-whizzy_proof_gallery .whizzy-client-banner+.container .whizzy-filters button.is-checked,
    .ct-ultimate-gdpr-container.ct-ultimate-gdpr-simple-form #tabs .ui-widget-header .ui-state-default a,
    .ct-ultimate-gdpr-container.ct-ultimate-gdpr-simple-form #tabs .ui-widget-header .ui-state-default a:link,
    .f-right .phoxy_mini_cart .product_list_widget .mini_cart_item .mini-cart-data .mini_cart_item_quantity{
        color: #aaa;
    }

    .tg-post-masonry .date,
    .tg-post-masonry a.category span,
    .tg-post-1 .tg-element-3{
        color: #aaa!important;
    }

    .contacts-info-wrap .form input::-webkit-input-placeholder {
        opacity: 1;
        color: #aaa;
    }
    .contacts-info-wrap .form input::-moz-placeholder {
        opacity: 1;
        color: #aaa;
    }
    .contacts-info-wrap .form input:-ms-input-placeholder {
        opacity: 1;
        color: #aaa;
    }
    .contacts-info-wrap .form input:-moz-placeholder {
        opacity: 1;
        color: #aaa;
    }
    .contacts-info-wrap .form textarea::-webkit-input-placeholder {
        opacity: 1;
        color: #aaa;
    }
    .contacts-info-wrap .form textarea::-moz-placeholder {
        opacity: 1;
        color: #aaa;
    }
    .contacts-info-wrap .form textarea:-ms-input-placeholder {
        opacity: 1;
        color: #aaa;
    }
    .contacts-info-wrap .form textarea:-moz-placeholder {
        opacity: 1;
        color: #aaa;
    }
    .woocommerce form .form-row input.input-text::-webkit-input-placeholder {
        opacity: 1;
        color: #aaa;
    }
    .woocommerce form .form-row input.input-text::-moz-placeholder {
        opacity: 1;
        color: #aaa;
    }
    .woocommerce form .form-row input.input-text:-ms-input-placeholder {
        opacity: 1;
        color: #aaa;
    }
    .woocommerce form .form-row input.input-text:-moz-placeholder {
        opacity: 1;
        color: #aaa;
    }
    .woocommerce form .form-row textarea::-webkit-input-placeholder {
        opacity: 1;
        color: #aaa;
    }
    .woocommerce form .form-row textarea::-moz-placeholder {
        opacity: 1;
        color: #aaa;
    }
    .woocommerce form .form-row textarea:-ms-input-placeholder {
        opacity: 1;
        color: #aaa;
    }
    .woocommerce form .form-row textarea:-moz-placeholder {
        opacity: 1;
        color: #aaa;
    }


    body,
    a,
    .post.center-style .title,
    .a-btn-3,
    .contacts-info-wrap .form input:not([type="submit"]),
    .contacts-info-wrap .form textarea,
    .contacts-info-wrap.info_with_form .address a:hover,
    .skill-wrapper.linear .title,
    .a-btn:hover,
    body.single-whizzy_proof_gallery .whizzy-data .grid__item .a-btn-2:hover,
    body.single-whizzy_proof_gallery .whizzy-data .grid__item .entry__meta-box .meta-box__title,
    body.single-whizzy_proof_gallery .single-content-wrapper .title,
    .single-portfolio .protected-page .protected-title,
    .contacts-info-wrap .form input[type="submit"]:hover,
    .contacts-info-wrap.info_with_form .title,
    .skill-wrapper.linear .skill-value,
    .single-portfolio .protected-page input[type="submit"]:hover,
    .skill-wrapper.linear .skill-label,
    .simple_slider .owl-container-gallery .owl-prev::before,
    .simple_slider .owl-container-gallery .owl-next::before,
    .simple_slider .owl-container-gallery .caption,
    header .phoxy-top-social .social li a,
    .classic #topmenu .menu li a,
    .right-menu .logo span,
    #footer .copyright a,
    .woocommerce #reviews #comments ol.commentlist li .meta,
    .mob-nav,
    .headings.text_button .subtitle,
    .single-portfolio .protected-page form,
    .services.center .content .title,
    .about-section-simple .description blockquote p,
    .headings.text_button_modern .title,
    .headings.text_center .title,
    .contacts-info-wrap.parallax_content .text blockquote p,
    #topmenu ul li a,
    .thumb-glitch .swiper-button-next,
    .thumb-glitch .swiper-button-prev,
    .only_logo .logo span,
    .skill-wrapper.circle .cont:after,
    #footer.classic .logo span,
    .skill-wrapper.circle #cont:after,
    .urban_slider .slick-arrow,
    .thumb-slider-wrapp .thumb-slider-wrapp-arrow .hide-images,
    .thumb-slider-wrapp .thumb-slider-wrapp-arrow .show-images,
    #footer.classic #back-to-top,
    .portfolio-slider-wrap.carousel .slide-image .content-wrap,
    .outer-album-swiper .album-text-title,
    .headings.simple .title,
    .skill-wrapper.circle .skill-label,
    .about-section-simple .description h1,
    .about-section-simple .description h2,
    .about-section-simple .description h3,
    .about-section-simple .description h4,
    .about-section-simple .description h5,
    .about-section-simple .description h6,
    .contacts-info-wrap.parallax_content .text h1,
    .contacts-info-wrap.parallax_content .text h2,
    .contacts-info-wrap.parallax_content .text h3,
    .contacts-info-wrap.parallax_content .text h4,
    .contacts-info-wrap.parallax_content .text h5,
    .contacts-info-wrap.parallax_content .text h6,
    .urban_slider .slick-current .pagination-title,
    .about-section-simple .title,
    .menu_light_text.header_trans-fixed.header_top_bg.bg-fixed-color .logo span,
    .header_trans-fixed.header_top_bg.bg-fixed-color .logo span,
    .mini-cart-wrapper .phoxy-shop-icon:before,
    .mini-cart-wrapper .phoxy-shop-icon:hover:before,
    .mini-cart-wrapper .phoxy-shop-icon .cart-contents-count,
    .f-right .phoxy_mini_cart .product_list_widget .mini_cart_item .mini-cart-data .mini_cart_item_name,
    .f-right .phoxy_mini_cart .product_list_widget .mini_cart_item .mini-cart-data .mini_cart_item_price,
    .f-right .phoxy_mini_cart .phoxy-buttons a,
    .f-right .phoxy_mini_cart .phoxy-buttons a i,
    .f-right .phoxy_mini_cart .product_list_widget .empty,
    .woocommerce-review-link:hover,
    .woocommerce div.product span.price,
    .woocommerce div.product p.price,
    .woocommerce div.product form.cart .variations label,
    .woocommerce div.product form.cart .variations select,
    .woocommerce div.product .product_meta span,
    .woocommerce div.product .product_meta span a:hover,
    .woocommerce p.stars a:hover,
    .woocommerce p.stars a:focus,
    .woocommerce #review_form #respond textarea,
    .comment-form label, .comments.main label,
    .woocommerce-cart .cart-collaterals .cart_totals table .shipping-calculator-button:hover,
    .woocommerce-checkout .cart-collaterals .cart_totals table .shipping-calculator-button:hover,
    #add_payment_method .cart-collaterals .cart_totals table .shipping-calculator-button:hover,
    .woocommerce #review_form #respond input:not([type="submit"]),
    .woocommerce p.woocommerce-shipping-destination,
    .woocommerce-cart .cart-collaterals .shipping-calculator-button:hover,
    .woocommerce-cart .cart-collaterals .shipping-calculator-button:focus,
    .woocommerce-message a, .woocommerce-error a, .woocommerce-info a,
    .woocommerce-message, .woocommerce-error, .woocommerce-info,
    .woocommerce form .form-row label,
    .header_trans-fixed .f-right .phoxy_mini_cart .cart_list .mini_cart_item .remove_from_cart_button,
    .woocommerce-message::before, .woocommerce-error::before, .woocommerce-info::before,
    .woocommerce form .form-row input.input-text,
    .woocommerce form .form-row textarea,
    .select2-container--default .select2-selection--single .select2-selection__rendered,
    .woocommerce div.product span.price ins, .woocommerce div.product p.price ins,
    p.cart-empty,
    .cart-collaterals .cross-sells > h2:first-child,
    .portfolio-slider-wrap.horizontal .main-title,
    .masonry-animated .wrapper .content .title,
    .woocommerce span.onsale,
    .woocommerce ul.products li.product a.woocommerce-loop-product__link + .button + .added_to_cart,
    .woocommerce ul.products li.product a.woocommerce-loop-product__link + .button,
    .wpb_text_column h1,
    .wpb_text_column h2,
    .wpb_text_column h3,
    .wpb_text_column h4,
    .wpb_text_column h5,
    .wpb_text_column h6,
    .services.accordion .accordeon a .title,
    .services.accordion .accordeon a i,
    .services.accordion .accordeon a,
    .adjusted_grid .img-title,
    .video-banner-centered-modern .second-word,
    .justified-portfolio-wrap .justified-item .content .title,
    .services.numerical .item-service .content .title,
    .pricing-item.classic .title,
    .single-whizzy_proof_gallery .whizzy-client-banner+.container .whizzy-filters button,
    .masonry-filter-gallery-wrap .masonry-filters button.is-checked,
    .ct-ultimate-gdpr-container.ct-ultimate-gdpr-simple-form .ui-widget-content .ui-widget-content a,
    .ct-ultimate-gdpr-container.ct-ultimate-gdpr-simple-form .ui-widget-content label,
    .ct-ultimate-gdpr-button:hover,
    .ct-ultimate-gdpr-container.ct-ultimate-gdpr-simple-form .ui-widget-content input[type=submit]:hover,
    .ct-ultimate-gdpr-container.ct-ultimate-gdpr-simple-form .ui-widget-content .ct-headerContent,
    .ct-ultimate-gdpr-container.ct-ultimate-gdpr-simple-form .ui-widget-content input[type=email],
    .ct-ultimate-gdpr-container.ct-ultimate-gdpr-simple-form .ui-widget-content textarea,
    .ct-ultimate-gdpr-container.ct-ultimate-gdpr-simple-form .ui-widget-content .ct-ultimate-gdpr-service-title,
    .ct-ultimate-gdpr-container.ct-ultimate-gdpr-simple-form #tabs .ui-widget-header .ui-state-default.ui-tabs-active a,
    .detailed-features.container .feature .text,
    .posts-slider-wrap.urban .info-top a:hover,
    .posts-slider-wrap.urban .swiper-button,
    .woocommerce-mini-cart__total span{
        color: #fff;
    }

    .header_top_bg.bg-fixed-color .top-menu .logo span,
    .header_top_bg.bg-fixed-color .right-menu #topmenu ul li ul li a,
    .menu_light_text .right-menu #topmenu ul li ul li a, .socials-mob-but i,
    .header_top_bg.bg-fixed-color .right-menu #topmenu ul li a,
    .header_top_bg.bg-fixed-color.menu_light_text .right-menu #topmenu ul li a,
    .header_top_bg.bg-fixed-color .right-menu #topmenu .search-icon-wrapper i,
    .header_top_bg.bg-fixed-color.menu_light_text .right-menu #topmenu .search-icon-wrapper i,
    .header_top_bg.bg-fixed-color .right-menu #topmenu .phoxy-shop-icon::before,
    .tg-iso-tile .tg-element-2,
    .tg-post-1 .tg-element-2,
    .woocommerce a.button:hover,
    .woocommerce button.button:hover,
    .woocommerce input.button:hover,
    .woocommerce #respond input#submit:hover,
    .f-right .phoxy_mini_cart .cart_list .mini_cart_item .remove_from_cart_button,
    .adjusted-albums .tg-filter-name:hover,
    .adjusted-albums .tg-filter-active span,
    .tg-adjusted .tg-element-1,
    .tg-post-masonry a.category:hover span,
    .tg-post-masonry .tg-item-title,
    .header_top_bg.bg-fixed-color.menu_light_text .right-menu #topmenu .phoxy-shop-icon::before{
        color: #fff!important;
    }

    .services.numerical .item-service .content .number{
        color: #444;
    }

    .video-banner-centered-modern .second-word{
        -webkit-text-stroke: 1px #000;
    }

    .video-banner-centered-modern .first-word{
        color: #000;
        -webkit-text-stroke: 1px #fff;
    }

    .archive-client .user-info-wrap .title:before,
    .client-wrap .client-link:hover .client-overlay,
    .ct-ultimate-gdpr-container.ct-ultimate-gdpr-simple-form .ui-widget-content .ct-checkbox.ct-checked,
    .swiper-container-horizontal-scroll .swiper-slide .wrap-cont .category::after{
        background-color: #fff;
    }

    .client-wrap .client-overlay{
        background-color: rgba(255,255,255,.6);
        color: #222;
    }

    .justified-portfolio-wrap .justified-item .content,
    body.bg_slider .phoxy-main-content{
        background-color: rgba(0,0,0,.9);
    }

    .woocommerce a.remove,
    .services.numerical .item-service .content .text::before{
        background-color: #fff!important;
    }

    .urban_slider .pagination-category,
    .portfolio-slider-wrap.carousel .slide-image .content-wrap .category{
        color: #999;
    }

    .urban_slider .slick-current .pagination-category{
        color: #d8d8d8;
    }

    header.classic #topmenu .menu li a:hover,
    header.classic #topmenu .current-menu-parent > a,
    header.classic #topmenu .current-menu-item > a,
    header.classic #topmenu .current-menu-ancestor > a,
    .header_trans-fixed .classic #topmenu .menu li a:hover,
    .header_trans-fixed .classic #topmenu .current-menu-parent > a,
    .header_trans-fixed .classic #topmenu .current-menu-item > a,
    .header_trans-fixed .classic #topmenu .current-menu-ancestor > a,
    .header_top_bg.bg-fixed-color .classic #topmenu .menu li a:hover,
    .header_top_bg.bg-fixed-color .classic #topmenu .current-menu-parent > a,
    .header_top_bg.bg-fixed-color .classic #topmenu .current-menu-item > a,
    .header_top_bg.bg-fixed-color .classic #topmenu .current-menu-ancestor > a,
    .modern-animated .content .title:hover,
    .modern-animated .content .category{
        color: rgba(255,255,255,.7)!important;
    }

    .socials-mob-but i,
    .header_top_bg.bg-fixed-color .right-menu #topmenu > ul > li:not(.current-menu-ancestor):not(.current-menu-parent) > a,
    .header_top_bg.bg-fixed-color.menu_light_text .right-menu #topmenu > ul > li:not(.current-menu-ancestor):not(.current-menu-parent) > a,
    .header_top_bg.bg-fixed-color .right-menu #topmenu .phoxy-shop-icon::before,
    .header_trans-fixed.menu_light_text.bg-fixed-color header.right-menu .phoxy-top-social .social li a,
    .header_top_bg.bg-fixed-color.menu_light_text .right-menu #topmenu .phoxy-shop-icon::before,
    .header_trans-fixed.header_top_bg.menu_light_text.bg-fixed-color .mini-cart-wrapper .phoxy-shop-icon:before,
    .header_trans-fixed.header_top_bg.menu_light_text.bg-fixed-color .mini-cart-wrapper .phoxy-shop-icon .cart-contents-count{
        color: #aaa!important;
    }
    .header_top_bg.bg-fixed-color .top-menu .logo span, .bg-fixed-color.header_trans-fixed.menu_light_text header.right-menu .phoxy-top-social .social li a:hover{
        color: #fff!important;
    }

    @media only screen and (max-width: 768px) {
        .single-post .single-content .single-content-wrapper,
        .single-post .single-content .single-post-pagination{
            padding: 0 15px;
        }
    }
    @media (min-width: <?php echo esc_attr($min_mobile); ?>) {
        header.right-menu .social li a:hover {
            color: rgba(255, 255, 255, .7) !important;
        }
        .aside-menu #topmenu{
            border-right: 1px solid #555;
        }
        header:not(.aside-menu):not(.full) #topmenu ul li.mega-menu > ul::before{
            background-color: #222;
        }
        .socials-mob-but i,
        .header_top_bg.bg-fixed-color .right-menu #topmenu > ul > li:not(.current-menu-ancestor):not(.current-menu-parent) > a,
        .header_top_bg.bg-fixed-color.menu_light_text .right-menu #topmenu > ul > li:not(.current-menu-ancestor):not(.current-menu-parent) > a,
        .header_top_bg.bg-fixed-color .right-menu #topmenu .phoxy-shop-icon::before,
        .header_trans-fixed.menu_light_text.bg-fixed-color header.right-menu .phoxy-top-social .social li a,
        .header_top_bg.bg-fixed-color.menu_light_text .right-menu #topmenu .phoxy-shop-icon::before{
            color: #aaa!important;
        }
        .header_top_bg.bg-fixed-color .top-menu .logo span,
        .bg-fixed-color.header_trans-fixed.menu_light_text header.right-menu .phoxy-top-social .social li a:hover{
            color: #fff!important;
        }
    }

    @media (max-width: <?php echo esc_attr($max_mobile); ?>) {
        .mob-nav-close span,
        .right-menu #topmenu .menu li.menu-item-has-children i,
        #topmenu .menu li.menu-item-has-children i,
        .header_trans-fixed .right-menu .mob-nav .hamburger i,
        #topmenu ul.menu li a,
        .header_trans-fixed.bg-fixed-color .right-menu .mob-nav .hamburger i{
            color: #fff;
        }
        .mob-nav-close .line{
            background-color: #fff;
        }
        #topmenu ul.menu,
        header .f-right{
            background-color: #000;
        }
        header ul.menu li a::before,
        #topmenu ul.menu li a::before{
            background-color: #555;
        }
        #topmenu ul.menu{
            border-top-color: #555;
        }
        .header_trans-fixed.header_top_bg.open header .socials-mob-but i,
        .header_trans-fixed header .phoxy-top-social .social li a,
        .header_trans-fixed .mini-cart-wrapper .phoxy-shop-icon::before{
            color: #fff!important;
        }
    }

<?php }



//TYPOGRAPHY

$options = apply_filters( 'cs_get_option', get_option( CS_OPTION ) );

function get_str_by_number($str){
    $number = preg_replace("/[0-9|\.]/", '', $str);
    return $number;
}

foreach ($options as $key => $item) {
    if (is_array($item)) {
        if (!empty($item['variant']) && $item['variant'] == 'regular') {
            $item['variant'] = 'normal';
        }
    }
    $options[$key] = $item;
}

function calculateFontWeight( $fontWeight ) {
    $fontWeightValue = '';
    $fontStyleValue = '';

    switch( $fontWeight ) {
        case '100':
            $fontWeightValue = '100';
            break;
        case '100italic':
            $fontWeightValue = '100';
            $fontStyleValue = 'italic';
            break;
        case '300':
            $fontWeightValue = '300';
            break;
        case '300italic':
            $fontWeightValue = '300';
            $fontStyleValue = 'italic';
            break;
        case '500':
            $fontWeightValue = '500';
            break;
        case '500italic':
            $fontWeightValue = '500';
            $fontStyleValue = 'italic';
            break;
        case '600italic':
            $fontWeightValue = '600';
            $fontStyleValue = 'italic';
            break;
         case '600':
            $fontWeightValue = '600';
            break;
        case '700':
            $fontWeightValue = '700';
            break;
        case '700italic':
            $fontWeightValue = '700';
            $fontStyleValue = 'italic';
            break;
        case '900':
            $fontWeightValue = '900';
            break;
        case '900italic':
            $fontWeightValue = '900';
            $fontStyleValue = 'italic';
            break;
        case 'italic':
            $fontStyleValue = 'italic';
            break;
    }

    return array('weight' => $fontWeightValue, 'style' => $fontStyleValue);
}

$all_button_font = $options['all_button_font_family']; ?>

.a-btn, .a-btn-2, .a-btn-3, .a-btn-4,
.btn-style-1 input[type="submit"],
.btn-style-2 input[type="submit"],
.btn-style-3 input[type="submit"],
.btn-style-4 input[type="submit"] {
<?php
if(!empty($all_button_font['family'])){
	echo "font-family: \"{$all_button_font['family']}\" !important;";
}

$variant = calculateFontWeight( $all_button_font['variant'] );
if(!empty($variant['style'])) : ?> font-style: <?php echo esc_html( $variant['style']); ?> !important;
<?php endif;
if(!empty($variant['weight'])) : ?> font-weight: <?php echo esc_html( $variant['weight']); ?> !important;
<?php endif;

$button_font_style = get_str_by_number($all_button_font['variant']);
if(!empty($button_font_style) && !empty($all_button_font['family'])){
	echo "font-style:{$button_font_style} !important;";
}

$all_button_font_size = get_number_str($options['all_button_font_size']);
if(!empty($all_button_font_size)){
	echo "font-size: {$all_button_font_size}px !important;";
}

$all_button_line_height = get_number_str($options['all_button_line_height']);
if(!empty($all_button_line_height)){
   echo "line-height:{$all_button_line_height}px !important;";
}
if(!empty($options['all_button_letter_spacing'])){
	echo "letter-spacing:{$options['all_button_letter_spacing']}px !important;";
} ?>
}

<?php $all_links_font= $options['all_links_font_family']; ?>
a {
<?php if(!empty($all_links_font['family'])){
	echo "font-family: \"{$all_links_font['family']}\" !important;";
}
$variant = calculateFontWeight( $all_links_font['variant'] );
if(!empty($all_links_font['family']) && !empty($variant['style'])) : ?> font-style: <?php echo esc_html( $variant['style']); ?> !important;
<?php endif;
if(!empty($variant['weight'])) : ?> font-weight: <?php echo esc_html( $variant['weight']); ?> !important;
<?php endif;

$all_links_font_size = get_number_str($options['all_links_font_size']);
if(!empty($all_links_font_size)){
	echo "font-size: {$all_links_font_size}px !important;" ;
}

$all_links_line_height = get_number_str($options['all_links_line_height']);
if(!empty($all_links_line_height)){
	echo "line-height:{$all_links_line_height}px !important;";
}

$all_links_letter_spacing = get_number_str($options['all_links_letter_spacing']);
if(!empty($all_links_letter_spacing)){
	echo "letter-spacing:{$all_links_letter_spacing}px !important;";
} ?>
}

/*FOOTER*/
<?php function get_number_str($str){
    $number = preg_replace("/[^0-9|\.]/", '', $str);
    return $number;
}

/* FOR TITLE H1 - H6 */
if ( cs_get_option('heading') ) {
    foreach (cs_get_option('heading') as $title) {
        $font_family = $title['heading_family'];
        echo esc_attr($title['heading_tag']); ?> ,
<?php echo esc_attr($title['heading_tag']); ?> a {
<?php if($font_family['family']){
   echo "font-family: {$font_family['family']} !important;";
}
$one_title_size = get_number_str($title['heading_size']);
if($one_title_size){
   echo "font-size: {$one_title_size}px !important;\n line-height: normal;";
}
$variant = calculateFontWeight( $font_family['variant'] );
if(!empty($variant['style'])) : ?> font-style: <?php echo esc_html( $variant['style']); ?> !important;
<?php endif;
if(!empty($variant['weight'])) : ?> font-weight: <?php echo esc_html( $variant['weight']); ?> !important;
<?php endif; ?>
}

<?php }
} ?>

#topmenu ul li a {
<?php if ( cs_get_option('menu_item_family') ) {

	$font_family = cs_get_option('menu_item_family');
	if(!empty($font_family['family'])){ ?> font-family: "<?php echo esc_html( $font_family['family'] ); ?>", sans-serif !important;
<?php }

$variant = calculateFontWeight( $font_family['variant'] );
if(!empty($variant['style'])) : ?> font-style: <?php echo esc_html( $variant['style']); ?> !important;
<?php endif;
if(!empty($variant['weight'])) : ?> font-weight: <?php echo esc_html( $variant['weight']); ?> !important;
<?php endif;
}
if ( cs_get_option('menu_item_size') ) {
$menu_item_size = get_number_str(cs_get_option('menu_item_size'));  ?> font-size: <?php echo esc_html( $menu_item_size ); ?>px !important;
<?php }
if ( cs_get_option('menu_line_height') ) {
	$menu_line_height = get_number_str(cs_get_option('menu_line_height'));  ?> line-height: <?php echo esc_html( $menu_line_height ); ?>px !important;
<?php } ?>
}

#topmenu ul ul li a {
<?php if ( cs_get_option('submenu_item_family') ) {
	$font_family = cs_get_option('submenu_item_family');
	if(!empty($font_family['family'])){ ?> font-family: "<?php echo esc_html( $font_family['family'] ); ?>", sans-serif !important;
<?php }
$variant = calculateFontWeight( $font_family['variant'] );
if(!empty($variant['style'])) : ?> font-style: <?php echo esc_html( $variant['style']); ?> !important;
<?php endif;
if(!empty($variant['weight'])) : ?> font-weight: <?php echo esc_html( $variant['weight']); ?> !important;
<?php endif;
}
if ( cs_get_option('submenu_item_size') ) {
$submenu_item_size = get_number_str(cs_get_option('submenu_item_size')); ?> font-size: <?php echo esc_html( $submenu_item_size ); ?>px !important;
<?php }

if ( cs_get_option('submenu_line_height') ) {
	$submenu_line_height = get_number_str(cs_get_option('submenu_line_height'));  ?> line-height: <?php echo esc_html( $submenu_line_height ); ?>px !important;
<?php } ?>
}

<?php if( cs_get_option( 'preloader_image' ) ) :
    $image_src = wp_get_attachment_image_url( cs_get_option( 'preloader_image' ), 'full', false );
?>

@-webkit-keyframes scaleout-image {
    0% {
        -webkit-transform: scale(0.5);
    }
    100% {
        -webkit-transform: scale(1);
        opacity: 0;
    }
}

@keyframes scaleout-image {
    0% {
        transform: scale(0.5);
        -webkit-transform: scale(0.5);
    }
    100% {
        transform: scale(1);
        -webkit-transform: scale(1);
        opacity: 0;
    }
}

.animsition-loading {
    background-color: white;
    z-index: 9999;
    background-image: url(<?php echo esc_url( $image_src ); ?>) !important;
    background-repeat: no-repeat !important;
    background-position: center center !important;
}

.animsition-loading:before {
    display: none;
}

<?php endif; ?>